2009-11-18 15:36:46  Rev 10044  reinhard

	* src/GFObjects/GFObj.py, src/GFObjects/GFTabStop.py: Moved definition
	  of FieldNotFoundError into the right file.

2009-11-03 13:45:11  Rev 10036  reinhard

	* src/uidrivers/wx26/widgets/grid.py: Base calculation the height of a
	  grid row on current size rather than on minimum size, since the
	  minimum size doesn't take the invisible actual control into account.
	  This fixes grid resizing.

2009-10-30 09:03:01  Rev 10022  reinhard

	* defaults/default.gfd: Using Alt-up/down keys for block navigation
	  was a bad idea - we need Alt-down for dropdowns. Changed it to
	  Ctrl-PgUp/PgDn.

2009-10-29 10:10:54  Rev 10021  reinhard

	* src/GFObjects/GFField.py: Fixes for dropdown sources with no current
	  resultset.

2009-10-29 09:54:52  Rev 10020  reinhard

	* src/GFObjects/GFTabStop.py: Fix for controls not assigned to a block.

2009-10-28 14:59:53  Rev 10017  reinhard

	* src/uidrivers/qt4/widgets/form.py,
	  src/uidrivers/curses/widgets/form.py,
	  src/uidrivers/wx26/widgets/form.py,
	  src/uidrivers/qt3/widgets/form.py: Fixed record counter for
	  resultsets with no records.

2009-10-28 14:41:59  Rev 10016  reinhard

	* src/GFObjects/GFBlock.py, src/GFObjects/GFObj.py,
	  src/GFObjects/GFButton.py, src/GFObjects/GFTabStop.py,
	  src/GFForm.py, src/GFObjects/GFScrollBar.py,
	  src/GFObjects/GFGrid.py: If an entry is linked to a grid, consider
	  the grid's block the current block while the entry has the focus.
	  This is explicitly useful for entries in an unbound block that serve
	  as "search" filter for a grid.

2009-10-28 11:46:40  Rev 10015  reinhard

	* src/GFObjects/GFObj.py, src/GFObjects/GFTabStop.py,
	  src/GFObjects/GFEntry.py, src/GFObjects/GFImage.py,
	  src/GFObjects/GFField.py: Cleanup of "is_navigable" logic.

2009-10-28 10:38:57  Rev 10014  reinhard

	* src/GFObjects/GFBlock.py: Nicer mouse wheel handling: as long as the
	  grid can be scrolled, scroll. When the grid is scrolled to the top
	  or bottom, move the database cursor instead.

2009-10-27 16:54:42  Rev 10013  reinhard

	* src/GFObjects/GFTabStop.py, src/GFParser.py: Allow an entry outside
	  a grid to be linked to the grid for handling of cursor and page keys.

2009-10-27 16:00:31  Rev 10012  reinhard

	* src/GFObjects/GFBlock.py, src/GFObjects/GFTabStop.py,
	  src/GFObjects/GFGrid.py, src/uidrivers/wx26/widgets/entry.py,
	  src/uidrivers/qt3/widgets/entry.py,
	  src/uidrivers/qt4/widgets/entry.py: Treat cursor up/down and page
	  up/down keys in grids as reasonable as possible.

2009-10-26 23:23:33  Rev 10010  reinhard

	* src/uidrivers/qt3/widgets/entry.py: Fixed reference to _gfObject.

2009-10-26 22:16:56  Rev 10009  reinhard

	* src/uidrivers/qt3/widgets/entry.py,
	  src/uidrivers/qt4/widgets/entry.py: Don't try to focus "label" style
	  entries.

2009-10-26 22:12:46  Rev 10008  reinhard

	* src/GFObjects/GFTabStop.py, src/uidrivers/wx26/widgets/entry.py: Do
	  not try to set the focus on "label" style entries, but if the user
	  clicks on one of them, at least move the database cursor to the
	  corresponding record.

2009-10-26 21:19:19  Rev 10007  reinhard

	* src/uidrivers/win32/widgets/_base.py, src/GFObjects/GFTabStop.py,
	  src/uidrivers/curses/widgets/_base.py,
	  src/uidrivers/html/widgets/_base.py,
	  src/uidrivers/wx26/widgets/_base.py,
	  src/uidrivers/gtk2/widgets/_base.py,
	  src/uidrivers/qt3/widgets/_base.py,
	  src/uidrivers/qt4/widgets/_base.py,
	  src/uidrivers/wx26/widgets/entry.py: If a grid contains an entry of
	  style "label", highlight the current record. This makes it possible
	  to use the grid much like a listbox with several columns, except
	  that the labels in the grid cannot receive the focus. Currently only
	  implemented for wx26.

2009-10-25 14:57:39  Rev 10005  reinhard

	* po/el.po, po/ro.po, doc/gnue-forms.dtd, po/ru.po, po/es.po,
	  po/fr.po, po/de.po, po/nl.po, po/hu.po, setup.py: Built 0.6.2.

2009-10-25 14:54:19  Rev 10004  reinhard

	* po/el.po, po/ro.po, doc/gnue-forms.dtd, po/ru.po, po/es.po,
	  po/fr.po, po/de.po, po/nl.po, po/hu.po, setup.py: Built 0.6.2.

2009-10-25 14:49:16  Rev 10003  reinhard

	* po/el.po, po/ro.po, NEWS, src/__init__.py, doc/gnue-forms.dtd,
	  doc/man/gnue-forms.1, po/ru.po, po/es.po, po/fr.po, po/de.po,
	  po/nl.po, po/hu.po: Built 0.6.2.

2009-10-25 13:54:07  Rev 10002  reinhard

	* src/uidrivers/wx26/widgets/gridline.py: Fixed layout for grid
	  elements of style "label".

2009-10-23 12:29:30  Rev 10001  reinhard

	* src/GFForm.py, src/uidrivers/curses/UIdriver.py,
	  src/uidrivers/curses/widgets/form.py: Fixed some minor glitches that
	  epydoc complained about.

2009-10-23 11:59:02  Rev 9999   reinhard

	* doc/technotes/00001.txt, doc/technotes/00002.txt,
	  doc/technotes/00003.txt, doc/technotes/00004.txt,
	  doc/technotes/00006.txt: Updated technote status.

2009-10-23 11:41:10  Rev 9998   reinhard

	* FAQ: Added at least one FAQ entry per tool.

2009-10-22 22:48:06  Rev 9996   reinhard

	* src/uidrivers/wx26/widgets/grid.py: Reworked grid resize magic.

2009-10-22 18:22:44  Rev 9995   reinhard

	* src/GFObjects/commanders.py: Never show disabled toolbar buttons in
	  "pressed in" position.

2009-10-22 18:21:57  Rev 9994   reinhard

	* src/GFObjects/GFBlock.py: Don't show any status for unbound blocks.

2009-10-21 18:49:53  Rev 9990   reinhard

	* defaults/default.gfd: Changed Prev/Next Block to Alt-Cursor-Keys so
	  Page Up/Down are free for navigation in grid.

2009-10-21 18:49:15  Rev 9989   reinhard

	* src/GFObjects/GFBlock.py: Fixed jumping to first record for
	  non-insertable blocks.

2009-10-17 11:21:02  Rev 9983   reinhard

	* src/GFForm.py: Epydoc fix.

2009-10-16 10:05:21  Rev 9975   reinhard

	* src/uidrivers/_base/UIdriver.py, src/GFForm.py: Epydoc fixes.

2009-10-15 21:43:16  Rev 9974   reinhard

	* src/GFForm.py: Avoid recursive commit in some weird cases.

2009-10-15 21:32:44  Rev 9972   reinhard

	* src/GFObjects/GFBlock.py, src/GFObjects/GFEntry.py: Behave as
	  reasonable as possible if there is no resultset behind the block.

2009-10-15 08:27:00  Rev 9969   reinhard

	* src/GFParser.py: Epydoc fixes.

2009-10-14 15:01:48  Rev 9967   reinhard

	* packaging/debian/control: Hm. Having the XS-Python-Version: lines
	  seems to be deprecated, although not having them also seems to be
	  deprecated....
	  Currently, building Debian packages seems to work better without
	  them.

2009-10-13 11:26:03  Rev 9964   reinhard

	* packaging/debian/control: Include Python version info in Debian
	  control file.

2009-10-12 19:38:44  Rev 9961   reinhard

	* NEWS: Updated NEWS file to remember what we've done.

2009-10-11 18:54:57  Rev 9956   reinhard

	* src/uidrivers/curses/widgets/_base.py, packaging/win32/setup.py,
	  src/GFObjects/GFVBox.py, src/uidrivers/gtk2/widgets/_base.py,
	  src/GFObjects/GFParameter.py, src/uidrivers/qt3/widgets/page.py,
	  src/uidrivers/qt4/widgets/page.py,
	  src/uidrivers/win32/widgets/scrollbar.py,
	  src/uidrivers/curses/widgets/menuitem.py,
	  src/input/displayHandlers/Listbox.py, src/uidrivers/qt4/QTApp.py,
	  src/uidrivers/wx26/UISplashScreen.py,
	  src/uidrivers/gtk2/widgets/image.py, defaults/default.gfd,
	  src/GFObjects/GFOptions.py, src/uidrivers/gtk2/GFApp.py,
	  src/uidrivers/wx26/__init__.py, src/GFLibrary.py, src/GFInstance.py,
	  src/uidrivers/curses/widgets/gridline.py, defaults/default/fr.gfd,
	  src/uidrivers/wx26/widgets/hbox.py,
	  src/uidrivers/win32/widgets/form/wrappers.py,
	  src/uidrivers/win32/PrintDialog.py,
	  src/uidrivers/wx26/widgets/form.py, scripts/gnue-forms,
	  src/uidrivers/wx26/widgets/menu.py, src/uidrivers/curses/dialogs.py,
	  src/uidrivers/win32/widgets/label.py,
	  src/uidrivers/html/GFServer.py,
	  src/uidrivers/gtk2/widgets/button.py, src/GFObjects/__init__.py,
	  src/uidrivers/gtk2/common.py,
	  src/uidrivers/gtk2/widgets/menuitem.py,
	  src/uidrivers/win32/dialog.py, src/uidrivers/curses/widgets/box.py,
	  src/uidrivers/gtk2/widgets/form/widget.py,
	  src/uidrivers/qt4/widgets/gridline.py,
	  src/uidrivers/win32/widgets/menu.py,
	  src/uidrivers/html/widgets/form.py,
	  src/uidrivers/win32/widgets/_base.py, src/GFObjects/GFLayout.py,
	  src/uidrivers/html/widgets/button.py,
	  src/uidrivers/qt3/widgets/toolbutton.py,
	  src/uidrivers/wx26/dialogs.py, src/uidrivers/curses/widgets/vbox.py,
	  src/uidrivers/wx26/widgets/page.py,
	  src/uidrivers/win32/widgets/image.py, src/GFObjects/GFGrid.py,
	  src/uidrivers/html/common.py, src/uidrivers/curses/UIdriver.py,
	  src/uidrivers/gtk2/widgets/scrollbar.py,
	  src/uidrivers/wx26/widgets/box.py, src/GFObjects/GFGridLine.py,
	  src/GFConfig.py, utils/gfd04to05.py,
	  src/uidrivers/wx26/UILoginHandler.py,
	  src/uidrivers/curses/widgets/entry.py,
	  src/uidrivers/qt3/UILoginHandler.py,
	  src/uidrivers/gtk2/widgets/entry.py,
	  src/uidrivers/gtk2/widgets/menu.py,
	  src/uidrivers/win32/widgets/page.py, src/GFObjects/GFLabel.py,
	  src/uidrivers/html/widgets/page.py, src/uidrivers/qt3/dialogs.py,
	  src/uidrivers/html/widgets/label.py,
	  src/uidrivers/_base/Exceptions.py,
	  src/uidrivers/qt3/widgets/vbox.py,
	  src/uidrivers/qt4/widgets/vbox.py,
	  src/uidrivers/qt3/widgets/label.py, src/GFParser.py, setup.py,
	  src/uidrivers/wx26/widgets/scrollbar.py,
	  src/uidrivers/wx26/widgets/menuitem.py, src/GFObjects/GFBox.py,
	  src/uidrivers/curses/widgets/grid.py,
	  src/uidrivers/gtk2/UIdriver.py, src/uidrivers/qt4/UIdriver.py,
	  src/uidrivers/qt4/widgets/scrollbar.py,
	  src/uidrivers/gtk2/widgets/box.py,
	  src/uidrivers/win32/UILoginHandler.py, src/GFObjects/GFHBox.py,
	  src/uidrivers/curses/UILoginHandler.py,
	  src/uidrivers/wx26/widgets/gridline.py,
	  src/GFObjects/GFComponent.py,
	  src/uidrivers/win32/widgets/toolbar.py,
	  src/input/displayHandlers/Password.py,
	  src/uidrivers/gtk2/widgets/toolbar.py,
	  src/uidrivers/wx26/PrintDialog.py,
	  src/uidrivers/html/widgets/_base.py,
	  src/input/displayHandlers/datehandler.py,
	  src/uidrivers/html/gnue.js, src/uidrivers/qt3/widgets/_base.py,
	  src/uidrivers/_base/widgets/_base.py, src/GFObjects/GFImage.py,
	  src/uidrivers/gtk2/widgets/page.py, src/GFObjects/GFField.py,
	  src/uidrivers/wx26/widgets/label.py,
	  src/uidrivers/win32/widgets/menuitem.py,
	  src/uidrivers/html/widgets/image.py,
	  src/input/displayHandlers/Text.py,
	  src/uidrivers/qt4/widgets/label.py,
	  src/uidrivers/qt3/widgets/image.py,
	  src/uidrivers/gtk2/SplashScreen.py,
	  src/uidrivers/qt3/widgets/grid.py,
	  src/uidrivers/qt4/widgets/grid.py, doc/gnue-forms.dtd,
	  src/uidrivers/win32/widgets/entry.py,
	  src/uidrivers/qt4/UILoginHandler.py, src/GFObjects/GFOption.py,
	  src/GFObjects/commanders.py, src/uidrivers/wx26/widgets/_base.py,
	  src/uidrivers/html/GFhtmlApp.py, src/uidrivers/qt4/widgets/_base.py,
	  src/uidrivers/wx26/widgets/button.py,
	  src/uidrivers/qt3/widgets/button.py, scripts/gfclient,
	  src/uidrivers/html/Generator.py, src/GFObjects/GFScrollBar.py,
	  src/uidrivers/wx26/widgets/vbox.py,
	  src/uidrivers/html/UISplashScreen.py,
	  src/uidrivers/wx26/widgets/image.py,
	  src/uidrivers/win32/widgets/form/widget.py,
	  src/uidrivers/wx26/UIdriver.py,
	  src/uidrivers/qt3/widgets/menuitem.py,
	  src/uidrivers/qt4/widgets/image.py, src/GFObjects/GFDataSource.py,
	  src/GFObjects/GFBlock.py, src/uidrivers/html/widgets/box.py,
	  src/uidrivers/_base/UIdriver.py, src/uidrivers/curses/__init__.py,
	  src/GFObjects/GFLogic.py, src/input/displayHandlers/__init__.py,
	  src/uidrivers/curses/widgets/hbox.py,
	  src/uidrivers/qt3/widgets/gridline.py,
	  src/input/displayHandlers/Component.py, setup.svn,
	  src/uidrivers/curses/widgets/form.py,
	  src/uidrivers/curses/widgets/menu.py, src/GFClient.py,
	  src/GFObjects/GFObj.py, src/uidrivers/win32/GFwin32App.py,
	  src/GFObjects/GFTabStop.py, src/GFObjects/GFPage.py,
	  src/uidrivers/win32/widgets/button.py,
	  src/uidrivers/wx26/widgets/toolbutton.py,
	  src/uidrivers/curses/widgets/button.py,
	  src/uidrivers/gtk2/widgets/toolbutton.py,
	  src/input/displayHandlers/Cursor.py, src/uidrivers/qt4/dialogs.py,
	  src/uidrivers/win32/common.py, src/input/displayHandlers/Image.py,
	  src/uidrivers/win32/UIdriver.py, src/uidrivers/html/UIdriver.py,
	  src/uidrivers/curses/widgets/scrollbar.py,
	  src/input/displayHandlers/Checkbox.py,
	  src/uidrivers/qt3/widgets/scrollbar.py,
	  src/uidrivers/wx26/widgets/grid.py, src/GFForm.py,
	  src/uidrivers/qt4/widgets/box.py, doc/man/gnue-forms.1,
	  src/GFObjects/GFEntry.py,
	  src/uidrivers/win32/widgets/form/__init__.py,
	  src/input/displayHandlers/Numeric.py,
	  src/uidrivers/gtk2/UILoginHandler.py,
	  src/uidrivers/html/widgets/entry.py, defaults/default/hu.gfd,
	  src/uidrivers/qt3/widgets/hbox.py,
	  src/uidrivers/qt3/widgets/entry.py,
	  src/uidrivers/wx26/widgets/toolbar.py,
	  src/uidrivers/qt4/widgets/hbox.py,
	  src/uidrivers/qt3/widgets/form.py,
	  src/uidrivers/win32/widgets/toolbutton.py,
	  src/uidrivers/qt4/widgets/form.py,
	  src/uidrivers/qt3/widgets/menu.py, src/GFObjects/GFButton.py,
	  src/__init__.py, src/uidrivers/gtk2/widgets/form/wrappers.py,
	  src/uidrivers/win32/dialogs.py, packaging/debian/copyright,
	  src/uidrivers/curses/widgets/page.py,
	  src/uidrivers/curses/widgets/label.py,
	  src/uidrivers/gtk2/dialogs.py, src/uidrivers/qt4/widgets/button.py,
	  src/GFObjects/GFContainer.py, src/uidrivers/gtk2/widgets/label.py,
	  src/uidrivers/qt3/QTApp.py, src/input/GFKeyMapper.py,
	  src/uidrivers/qt3/UIdriver.py, src/uidrivers/win32/widgets/box.py,
	  src/uidrivers/html/GFController.py,
	  src/input/displayHandlers/Dropdown.py,
	  src/uidrivers/qt3/widgets/box.py, defaults/default/es.gfd,
	  src/uidrivers/html/UILoginHandler.py, packaging/osx/gnue-forms.py,
	  src/uidrivers/wx26/widgets/entry.py,
	  src/uidrivers/gtk2/widgets/component.py,
	  src/uidrivers/qt3/widgets/toolbar.py,
	  src/uidrivers/qt4/widgets/entry.py: Switch to GPLv3.
	  issue190 testing

2009-10-07 15:06:24  Rev 9942   reinhard

	* src/__init__.py: Some fixes for package building.

2009-10-02 15:29:26  Rev 9923   reinhard

	* src/GFInstance.py: Cleanup of exception handling code.

2009-10-02 10:46:00  Rev 9921   reinhard

	* src/__init__.py: Define __gettext_domain__ for all modules.

2009-09-30 13:25:58  Rev 9918   reinhard

	* src/uidrivers/qt4/widgets/page.py, src/GFObjects/GFOptions.py,
	  src/GFLibrary.py, src/uidrivers/win32/widgets/label.py,
	  src/uidrivers/gtk2/widgets/menuitem.py,
	  src/uidrivers/win32/dialog.py, src/GFObjects/GFLayout.py,
	  src/uidrivers/html/widgets/button.py,
	  src/uidrivers/win32/widgets/image.py,
	  src/uidrivers/wx26/widgets/box.py, utils/gfd04to05.py,
	  src/uidrivers/wx26/UILoginHandler.py,
	  src/uidrivers/curses/widgets/entry.py,
	  src/uidrivers/gtk2/widgets/entry.py,
	  src/uidrivers/win32/widgets/page.py,
	  src/uidrivers/html/widgets/page.py,
	  src/uidrivers/html/widgets/label.py,
	  src/uidrivers/_base/Exceptions.py,
	  src/uidrivers/qt4/widgets/vbox.py, src/GFObjects/GFBox.py,
	  src/uidrivers/wx26/widgets/scrollbar.py,
	  src/uidrivers/win32/UILoginHandler.py, src/GFObjects/GFHBox.py,
	  src/uidrivers/gtk2/widgets/toolbar.py,
	  src/uidrivers/win32/widgets/menuitem.py,
	  src/uidrivers/html/widgets/image.py,
	  src/uidrivers/qt4/widgets/label.py,
	  src/uidrivers/qt4/widgets/grid.py,
	  src/uidrivers/wx26/widgets/_base.py, src/GFObjects/GFScrollBar.py,
	  src/uidrivers/win32/widgets/form/widget.py,
	  src/uidrivers/qt4/widgets/image.py,
	  src/uidrivers/qt3/widgets/menuitem.py, src/GFObjects/GFBlock.py,
	  src/input/displayHandlers/__init__.py,
	  src/uidrivers/qt3/widgets/gridline.py,
	  src/input/displayHandlers/Component.py, src/GFObjects/GFObj.py,
	  src/GFObjects/GFTabStop.py,
	  src/uidrivers/gtk2/widgets/toolbutton.py,
	  src/uidrivers/win32/common.py, src/uidrivers/qt4/widgets/box.py,
	  src/GFObjects/GFEntry.py, src/uidrivers/qt3/widgets/entry.py,
	  src/uidrivers/gtk2/dialogs.py, src/uidrivers/qt4/widgets/button.py,
	  src/uidrivers/html/UILoginHandler.py,
	  src/uidrivers/gtk2/widgets/component.py,
	  src/uidrivers/qt3/widgets/toolbar.py, src/GFObjects/GFParameter.py,
	  src/input/displayHandlers/Listbox.py, src/GFInstance.py,
	  src/uidrivers/wx26/widgets/hbox.py,
	  src/uidrivers/win32/widgets/form/wrappers.py,
	  src/uidrivers/win32/PrintDialog.py,
	  src/uidrivers/wx26/widgets/form.py,
	  src/uidrivers/wx26/widgets/menu.py,
	  src/uidrivers/win32/widgets/_base.py,
	  src/uidrivers/qt3/widgets/toolbutton.py,
	  src/uidrivers/qt3/dialogs.py, src/GFParser.py,
	  src/uidrivers/wx26/widgets/menuitem.py,
	  src/uidrivers/gtk2/UIdriver.py,
	  src/uidrivers/wx26/widgets/gridline.py,
	  src/uidrivers/win32/widgets/toolbar.py,
	  src/input/displayHandlers/Password.py,
	  src/uidrivers/html/widgets/_base.py,
	  src/uidrivers/gtk2/widgets/page.py, src/GFObjects/GFField.py,
	  src/uidrivers/gtk2/SplashScreen.py,
	  src/uidrivers/qt4/UILoginHandler.py,
	  src/uidrivers/qt4/widgets/_base.py, src/uidrivers/html/Generator.py,
	  src/GFObjects/GFDataSource.py, src/uidrivers/html/widgets/box.py,
	  src/uidrivers/curses/widgets/button.py,
	  src/uidrivers/wx26/widgets/toolbutton.py,
	  src/uidrivers/curses/widgets/scrollbar.py,
	  src/uidrivers/html/UIdriver.py,
	  src/input/displayHandlers/Checkbox.py,
	  src/input/displayHandlers/Numeric.py,
	  src/uidrivers/wx26/widgets/toolbar.py,
	  src/uidrivers/qt4/widgets/hbox.py,
	  src/uidrivers/qt4/widgets/form.py, src/GFObjects/GFButton.py,
	  src/uidrivers/curses/widgets/page.py,
	  src/uidrivers/curses/widgets/label.py,
	  src/uidrivers/gtk2/widgets/label.py, src/uidrivers/qt3/QTApp.py,
	  src/uidrivers/qt3/UIdriver.py, src/uidrivers/win32/widgets/box.py,
	  packaging/osx/gnue-forms.py, src/uidrivers/wx26/widgets/entry.py,
	  packaging/win32/setup.py, src/uidrivers/qt3/widgets/page.py,
	  src/uidrivers/wx26/UISplashScreen.py,
	  src/uidrivers/gtk2/widgets/image.py, src/uidrivers/gtk2/GFApp.py,
	  src/uidrivers/gtk2/widgets/button.py, src/uidrivers/gtk2/common.py,
	  src/uidrivers/gtk2/widgets/form/widget.py,
	  src/uidrivers/win32/widgets/menu.py,
	  src/uidrivers/html/widgets/form.py,
	  src/uidrivers/curses/widgets/vbox.py, src/GFObjects/GFGridLine.py,
	  src/GFObjects/GFLabel.py, src/uidrivers/qt3/widgets/vbox.py,
	  src/uidrivers/qt3/widgets/label.py, setup.py,
	  src/uidrivers/curses/widgets/grid.py,
	  src/uidrivers/qt4/widgets/scrollbar.py,
	  src/uidrivers/gtk2/widgets/box.py,
	  src/uidrivers/curses/UILoginHandler.py,
	  src/GFObjects/GFComponent.py,
	  src/input/displayHandlers/datehandler.py,
	  src/uidrivers/_base/widgets/_base.py, src/GFObjects/GFImage.py,
	  src/uidrivers/qt3/widgets/image.py,
	  src/uidrivers/qt3/widgets/grid.py,
	  src/uidrivers/win32/widgets/entry.py, src/GFObjects/commanders.py,
	  src/uidrivers/html/GFhtmlApp.py,
	  src/uidrivers/qt3/widgets/button.py,
	  src/uidrivers/html/UISplashScreen.py,
	  src/uidrivers/curses/__init__.py, src/GFObjects/GFLogic.py,
	  src/GFObjects/GFPage.py, src/uidrivers/qt4/dialogs.py,
	  src/uidrivers/win32/UIdriver.py, src/GFForm.py,
	  src/uidrivers/win32/widgets/form/__init__.py,
	  src/uidrivers/html/widgets/entry.py,
	  src/uidrivers/gtk2/UILoginHandler.py,
	  src/uidrivers/win32/dialogs.py, src/uidrivers/html/GFController.py,
	  src/input/displayHandlers/Dropdown.py,
	  src/uidrivers/qt3/widgets/box.py,
	  src/uidrivers/qt4/widgets/entry.py,
	  src/uidrivers/curses/widgets/_base.py, src/GFObjects/GFVBox.py,
	  src/uidrivers/gtk2/widgets/_base.py,
	  src/uidrivers/win32/widgets/scrollbar.py,
	  src/uidrivers/curses/widgets/menuitem.py,
	  src/uidrivers/qt4/QTApp.py, src/uidrivers/wx26/__init__.py,
	  src/uidrivers/curses/widgets/gridline.py,
	  src/uidrivers/curses/dialogs.py, src/uidrivers/html/GFServer.py,
	  src/GFObjects/__init__.py, src/uidrivers/curses/widgets/box.py,
	  src/uidrivers/qt4/widgets/gridline.py,
	  src/uidrivers/wx26/widgets/page.py, src/uidrivers/wx26/dialogs.py,
	  src/GFObjects/GFGrid.py, src/uidrivers/html/common.py,
	  src/uidrivers/curses/UIdriver.py,
	  src/uidrivers/gtk2/widgets/scrollbar.py, src/GFConfig.py,
	  src/uidrivers/qt3/UILoginHandler.py,
	  src/uidrivers/gtk2/widgets/menu.py, src/uidrivers/qt4/UIdriver.py,
	  src/uidrivers/wx26/PrintDialog.py,
	  src/uidrivers/qt3/widgets/_base.py,
	  src/uidrivers/wx26/widgets/label.py,
	  src/input/displayHandlers/Text.py, src/GFObjects/GFOption.py,
	  src/uidrivers/wx26/widgets/button.py,
	  src/uidrivers/wx26/widgets/vbox.py,
	  src/uidrivers/wx26/widgets/image.py, src/uidrivers/wx26/UIdriver.py,
	  src/uidrivers/_base/UIdriver.py,
	  src/uidrivers/curses/widgets/hbox.py,
	  src/uidrivers/curses/widgets/form.py,
	  src/uidrivers/curses/widgets/menu.py, src/GFClient.py,
	  src/uidrivers/win32/GFwin32App.py,
	  src/uidrivers/win32/widgets/button.py,
	  src/input/displayHandlers/Cursor.py,
	  src/input/displayHandlers/Image.py,
	  src/uidrivers/qt3/widgets/scrollbar.py,
	  src/uidrivers/wx26/widgets/grid.py,
	  src/uidrivers/qt3/widgets/hbox.py,
	  src/uidrivers/qt3/widgets/form.py,
	  src/uidrivers/win32/widgets/toolbutton.py,
	  src/uidrivers/qt3/widgets/menu.py,
	  src/uidrivers/gtk2/widgets/form/wrappers.py, src/__init__.py,
	  src/GFObjects/GFContainer.py, src/input/GFKeyMapper.py: Updated
	  copyright header (about time!)

2009-03-17 22:14:19  Rev 9913   reinhard

	* defaults/default/es.gfd, po/es.po: Updated Spanish translations.
	  Thanks to Gustavo A. Corradi.

2009-03-17 22:11:33  Rev 9912   reinhard

	* src/uidrivers/wx26/widgets/entry.py: Workaround for a bug in wxGTK
	  2.8: ComboBox does not receive EVT_SET_FOCUS when the dropdown
	  button is clicked.

2009-02-24 12:40:49  Rev 9909   reinhard

	* src/GFClient.py: Fixed some missing _() about strings that actually
	  should be translatable. Thanks to Gustavo A. Corradi.

2009-02-18 13:03:02  Rev 9907   reinhard

	* src/uidrivers/wx26/dialogs.py: Fixed translation mark around string.

2009-02-17 07:55:07  Rev 9906   reinhard

	* defaults/default/es.gfd, po/es.po: More Spanish translations. Thanks
	  to Gustavo A. Corradi.

2009-01-23 11:06:54  Rev 9904   reinhard

	* doc/devguide.odt, doc/devguide.pdf: Fix in documentation. Thanks to
	  Benjamin Ducke.

2008-10-26 18:05:00  Rev 9897   reinhard

	* src/uidrivers/_base/UIdriver.py: Use os.path.join in search for
	  widget implementations for more portability. Don't obfuscate errors
	  which happen on importing widget implementations.

2008-10-23 13:47:44  Rev 9896   reinhard

	* INSTALL, setup.py: mx.DateTime is not a hard requirement any more.

2008-09-09 09:37:01  Rev 9895   johannes

	* src/uidrivers/curses/UIdriver.py: always check encoding in lowercase
	  letters. This fixes UTF-8 locales

2008-06-10 14:52:31  Rev 9878   johannes

	* src/uidrivers/wx26/widgets/entry.py: Enter of numeric keypad behaves
	  in the same way as the normal enter key

2008-06-09 11:09:17  Rev 9877   reinhard

	* po/el.po: Added Greek translations. Thanks to John Proios.

2008-06-09 11:07:23  Rev 9876   reinhard

	* src/GFObjects/GFTabStop.py, src/GFObjects/GFField.py: Made
	  "editable" property of fields available in trigger namespace.

2008-05-06 17:00:40  Rev 9874   reinhard

	* src/GFObjects/GFBlock.py: Don't ignore aborts on PRE-COMMIT triggers.

2008-04-29 10:22:10  Rev 9872   reinhard

	* src/GFObjects/GFBlock.py: Fixed get_record_status() while in init
	  mode (ON-NEWRECORD and ON-RECORDLOADED triggers).

2008-03-25 08:26:44  Rev 9864   kilo

	* src/uidrivers/win32/widgets/_base.py: Fixed typo.

2008-03-22 17:15:40  Rev 9862   btami

	* src/uidrivers/wx26/PrintDialog.py: PrintDialog support for bsd
	  printer adapter

2008-03-22 13:56:39  Rev 9861   btami

	* src/uidrivers/win32/widgets/_base.py,
	  src/uidrivers/win32/widgets/form/widget.py: fix win32 PrintDialog
	  usage

2008-03-19 10:14:05  Rev 9860   btami

	* setup.py: updated wx version check

2008-03-18 12:47:09  Rev 9859   btami

	* src/uidrivers/win32/PrintDialog.py: removed PrintDialog to
	  gnue-forms uidriver

2008-01-03 17:21:25  Rev 9850   jcater

	* src/uidrivers/qt4/widgets/page.py, src/GFObjects/GFOptions.py,
	  src/GFLibrary.py, src/uidrivers/win32/widgets/label.py,
	  src/uidrivers/gtk2/widgets/menuitem.py,
	  src/uidrivers/win32/dialog.py, src/GFObjects/GFLayout.py,
	  src/uidrivers/html/widgets/button.py,
	  src/uidrivers/win32/widgets/image.py,
	  src/uidrivers/wx26/widgets/box.py, utils/gfd04to05.py,
	  src/uidrivers/wx26/UILoginHandler.py,
	  src/uidrivers/curses/widgets/entry.py,
	  src/uidrivers/gtk2/widgets/entry.py,
	  src/uidrivers/win32/widgets/page.py,
	  src/uidrivers/html/widgets/page.py,
	  src/uidrivers/html/widgets/label.py,
	  src/uidrivers/_base/Exceptions.py,
	  src/uidrivers/qt4/widgets/vbox.py, src/GFObjects/GFBox.py,
	  src/uidrivers/wx26/widgets/scrollbar.py,
	  src/uidrivers/win32/UILoginHandler.py, src/GFObjects/GFHBox.py,
	  src/uidrivers/gtk2/widgets/toolbar.py,
	  src/uidrivers/win32/widgets/menuitem.py,
	  src/uidrivers/html/widgets/image.py,
	  src/uidrivers/qt4/widgets/label.py,
	  src/uidrivers/qt4/widgets/grid.py,
	  src/uidrivers/wx26/widgets/_base.py, src/GFObjects/GFScrollBar.py,
	  src/uidrivers/win32/widgets/form/widget.py,
	  src/uidrivers/qt4/widgets/image.py,
	  src/uidrivers/qt3/widgets/menuitem.py, src/GFObjects/GFBlock.py,
	  src/input/displayHandlers/__init__.py,
	  src/uidrivers/qt3/widgets/gridline.py,
	  src/input/displayHandlers/Component.py, src/GFObjects/GFObj.py,
	  src/GFObjects/GFTabStop.py,
	  src/uidrivers/gtk2/widgets/toolbutton.py,
	  src/uidrivers/win32/common.py, src/uidrivers/qt4/widgets/box.py,
	  src/GFObjects/GFEntry.py, src/uidrivers/qt3/widgets/entry.py,
	  src/uidrivers/gtk2/dialogs.py, src/uidrivers/qt4/widgets/button.py,
	  src/uidrivers/html/UILoginHandler.py,
	  src/uidrivers/gtk2/widgets/component.py,
	  src/uidrivers/qt3/widgets/toolbar.py, src/GFObjects/GFParameter.py,
	  src/input/displayHandlers/Listbox.py, src/GFInstance.py,
	  src/uidrivers/wx26/widgets/hbox.py,
	  src/uidrivers/win32/widgets/form/wrappers.py,
	  src/uidrivers/wx26/widgets/form.py,
	  src/uidrivers/wx26/widgets/menu.py,
	  src/uidrivers/win32/widgets/_base.py,
	  src/uidrivers/qt3/widgets/toolbutton.py,
	  src/uidrivers/qt3/dialogs.py, src/GFParser.py,
	  src/uidrivers/wx26/widgets/menuitem.py,
	  src/uidrivers/gtk2/UIdriver.py,
	  src/uidrivers/wx26/widgets/gridline.py,
	  src/uidrivers/win32/widgets/toolbar.py,
	  src/input/displayHandlers/Password.py,
	  src/uidrivers/html/widgets/_base.py,
	  src/uidrivers/gtk2/widgets/page.py, src/GFObjects/GFField.py,
	  src/uidrivers/gtk2/SplashScreen.py,
	  src/uidrivers/qt4/UILoginHandler.py,
	  src/uidrivers/qt4/widgets/_base.py, src/uidrivers/html/Generator.py,
	  src/GFObjects/GFDataSource.py, src/uidrivers/html/widgets/box.py,
	  src/uidrivers/curses/widgets/button.py,
	  src/uidrivers/wx26/widgets/toolbutton.py,
	  src/uidrivers/curses/widgets/scrollbar.py,
	  src/uidrivers/html/UIdriver.py,
	  src/input/displayHandlers/Checkbox.py,
	  src/input/displayHandlers/Numeric.py,
	  src/uidrivers/wx26/widgets/toolbar.py,
	  src/uidrivers/qt4/widgets/hbox.py,
	  src/uidrivers/qt4/widgets/form.py, src/GFObjects/GFButton.py,
	  src/uidrivers/curses/widgets/page.py,
	  src/uidrivers/curses/widgets/label.py,
	  src/uidrivers/gtk2/widgets/label.py, src/uidrivers/qt3/QTApp.py,
	  src/uidrivers/qt3/UIdriver.py, src/uidrivers/win32/widgets/box.py,
	  packaging/osx/gnue-forms.py, src/uidrivers/wx26/widgets/entry.py,
	  packaging/win32/setup.py, src/uidrivers/qt3/widgets/page.py,
	  src/uidrivers/wx26/UISplashScreen.py,
	  src/uidrivers/gtk2/widgets/image.py, src/uidrivers/gtk2/GFApp.py,
	  src/uidrivers/gtk2/widgets/button.py, src/uidrivers/gtk2/common.py,
	  src/uidrivers/gtk2/widgets/form/widget.py,
	  src/uidrivers/win32/widgets/menu.py,
	  src/uidrivers/html/widgets/form.py,
	  src/uidrivers/curses/widgets/vbox.py, src/GFObjects/GFGridLine.py,
	  src/GFObjects/GFLabel.py, src/uidrivers/qt3/widgets/vbox.py,
	  src/uidrivers/qt3/widgets/label.py, setup.py,
	  src/uidrivers/curses/widgets/grid.py,
	  src/uidrivers/qt4/widgets/scrollbar.py,
	  src/uidrivers/gtk2/widgets/box.py,
	  src/uidrivers/curses/UILoginHandler.py,
	  src/GFObjects/GFComponent.py,
	  src/input/displayHandlers/datehandler.py,
	  src/uidrivers/_base/widgets/_base.py, src/GFObjects/GFImage.py,
	  src/uidrivers/qt3/widgets/image.py,
	  src/uidrivers/qt3/widgets/grid.py,
	  src/uidrivers/win32/widgets/entry.py, src/GFObjects/commanders.py,
	  src/uidrivers/html/GFhtmlApp.py,
	  src/uidrivers/qt3/widgets/button.py,
	  src/uidrivers/html/UISplashScreen.py,
	  src/uidrivers/curses/__init__.py, src/GFObjects/GFLogic.py,
	  src/GFObjects/GFPage.py, src/uidrivers/qt4/dialogs.py,
	  src/uidrivers/win32/UIdriver.py, src/GFForm.py,
	  src/uidrivers/win32/widgets/form/__init__.py,
	  src/uidrivers/html/widgets/entry.py,
	  src/uidrivers/gtk2/UILoginHandler.py,
	  src/uidrivers/win32/dialogs.py, src/uidrivers/html/GFController.py,
	  src/input/displayHandlers/Dropdown.py,
	  src/uidrivers/qt3/widgets/box.py,
	  src/uidrivers/qt4/widgets/entry.py,
	  src/uidrivers/curses/widgets/_base.py, src/GFObjects/GFVBox.py,
	  src/uidrivers/gtk2/widgets/_base.py,
	  src/uidrivers/win32/widgets/scrollbar.py,
	  src/uidrivers/curses/widgets/menuitem.py,
	  src/uidrivers/qt4/QTApp.py, src/uidrivers/wx26/__init__.py,
	  src/uidrivers/curses/widgets/gridline.py,
	  src/uidrivers/curses/dialogs.py, src/uidrivers/html/GFServer.py,
	  src/GFObjects/__init__.py, src/uidrivers/curses/widgets/box.py,
	  src/uidrivers/qt4/widgets/gridline.py,
	  src/uidrivers/wx26/widgets/page.py, src/uidrivers/wx26/dialogs.py,
	  src/GFObjects/GFGrid.py, src/uidrivers/html/common.py,
	  src/uidrivers/curses/UIdriver.py,
	  src/uidrivers/gtk2/widgets/scrollbar.py, src/GFConfig.py,
	  src/uidrivers/qt3/UILoginHandler.py,
	  src/uidrivers/gtk2/widgets/menu.py, src/uidrivers/qt4/UIdriver.py,
	  src/uidrivers/qt3/widgets/_base.py,
	  src/uidrivers/wx26/widgets/label.py,
	  src/input/displayHandlers/Text.py, src/GFObjects/GFOption.py,
	  src/uidrivers/wx26/widgets/button.py,
	  src/uidrivers/wx26/widgets/vbox.py,
	  src/uidrivers/wx26/widgets/image.py, src/uidrivers/wx26/UIdriver.py,
	  src/uidrivers/_base/UIdriver.py,
	  src/uidrivers/curses/widgets/hbox.py,
	  src/uidrivers/curses/widgets/form.py,
	  src/uidrivers/curses/widgets/menu.py, src/GFClient.py,
	  src/uidrivers/win32/GFwin32App.py,
	  src/uidrivers/win32/widgets/button.py,
	  src/input/displayHandlers/Cursor.py,
	  src/input/displayHandlers/Image.py,
	  src/uidrivers/qt3/widgets/scrollbar.py,
	  src/uidrivers/wx26/widgets/grid.py,
	  src/uidrivers/qt3/widgets/hbox.py,
	  src/uidrivers/qt3/widgets/form.py,
	  src/uidrivers/win32/widgets/toolbutton.py,
	  src/uidrivers/qt3/widgets/menu.py,
	  src/uidrivers/gtk2/widgets/form/wrappers.py, src/__init__.py,
	  src/GFObjects/GFContainer.py, src/input/GFKeyMapper.py: updated
	  copyright headers

2007-12-06 10:37:35  Rev 9838   johannes

	* packaging/osx/build-env/Resources/postflight,
	  packaging/osx/setup.py.dist_template,
	  packaging/osx/create-build.dist_template: Make Packaging compatible
	  with OS X 10.5

2007-11-08 09:12:20  Rev 9794   reinhard

	* src/GFObjects/GFBlock.py: Added new FIXME comment.

2007-09-20 13:08:40  Rev 9780   johannes

	* packaging/win32/gnue-forms.iss.dist_template: Check for installed
	  GNUe Common package issue-48 testing

2007-08-06 09:47:18  Rev 9774   reinhard

	* packaging/debian/control: Explicitly added Depends: python-support
	  to all gnue debian packages.

2007-07-31 09:52:39  Rev 9771   reinhard

	* src/uidrivers/wx26/dialogs.py: Used GetDisplaySize instead of
	  GetMaxSize; GetMaxSize returns (-1, -1) for wx2.8.

2007-07-30 18:01:26  Rev 9769   reinhard

	* src/uidrivers/wx26/widgets/entry.py: More fixes for wx2.8.

2007-07-30 17:41:13  Rev 9768   reinhard

	* src/uidrivers/wx26/widgets/entry.py: Some fixes for wx2.8
	  compatibility.

2007-07-12 12:51:58  Rev 9750   johannes

	* packaging/osx/Info.plist.dist_template,
	  packaging/osx/create-build.dist_template: Use a better package name
	  and incorporate version number for Installer

2007-07-11 14:16:19  Rev 9748   reinhard

	* THANKS: Added another contributor of bug fixes and improvement
	  proposals.

2007-07-08 16:46:39  Rev 9743   reinhard

	* po/ro.po, doc/gnue-forms.dtd, po/ru.po, po/es.po, po/fr.po,
	  po/de.po, po/nl.po, po/hu.po: Built 0.6.1.

2007-07-08 16:45:52  Rev 9742   reinhard

	* packaging/debian/control: Last second fix for debian/control file.

2007-07-08 16:41:04  Rev 9741   reinhard

	* po/ro.po, NEWS, src/__init__.py, doc/gnue-forms.dtd,
	  doc/man/gnue-forms.1, po/ru.po, po/es.po, po/fr.po, po/de.po,
	  po/nl.po, po/hu.po: Built 0.6.1.

2007-07-05 23:34:28  Rev 9740   reinhard

	* doc/devguide.odt, doc/devguide.pdf: More work on developer's guide.

2007-07-02 19:07:21  Rev 9738   reinhard

	* src/__init__.py, doc/Users-Guide.sxw, packaging/debian/control,
	  doc/devguide.odt, doc/Developers-Guide.sxw, README,
	  doc/Tech-Reference.sxw, INSTALL, FAQ: Consolidated documentation.

2007-06-25 15:33:12  Rev 9737   reinhard

	* src/GFForm.py: Fix for applying a filter while the focus is on a
	  button that is not bound to a block.

2007-06-22 13:24:14  Rev 9733   reinhard

	* src/GFObjects/GFField.py: Convert default values and query default
	  values of fields to correct datatype.

2007-06-21 12:14:49  Rev 9728   reinhard

	* po/ro.po, NEWS, src/__init__.py, doc/gnue-forms.dtd,
	  doc/man/gnue-forms.1, po/ru.po, po/es.po, po/fr.po, po/de.po,
	  po/nl.po, po/hu.po: Released 0.6.0.

2007-06-19 15:07:27  Rev 9726   jamest

	* src/uidrivers/qt3/widgets/form.py: redo the last fix so it doesn't
	  mess up page changes in ON-ACTIVATION triggers

2007-06-19 14:57:06  Rev 9725   jamest

	* src/uidrivers/qt3/widgets/form.py: fix display on forms missing a
	  tabbed attribute on <layout>

2007-06-18 19:24:30  Rev 9724   jamest

	* src/uidrivers/qt3/widgets/button.py: buttons now honor focusorder

2007-06-18 15:10:30  Rev 9723   reinhard

	* po/ro.po, src/__init__.py, doc/gnue-forms.dtd, po/ru.po, po/es.po,
	  po/fr.po, po/de.po, po/nl.po, po/hu.po: Released 0.6-rc3.

2007-06-18 14:32:10  Rev 9722   reinhard

	* src/GFObjects/GFBlock.py: Fixed update of dropdowns on
	  apply_filter() or discard_filter().

2007-06-18 14:15:23  Rev 9721   reinhard

	* src/GFObjects/GFBlock.py: Fixed removal of (all) and (empty) from
	  dropdown list on apply_filter for detail blocks.

2007-06-18 09:56:26  Rev 9720   reinhard

	* po/ro.po, src/__init__.py, doc/gnue-forms.dtd, doc/man/gnue-forms.1,
	  po/ru.po, po/es.po, po/fr.po, po/de.po, po/nl.po, po/hu.po: Released
	  0.6-rc2.

2007-06-18 09:07:56  Rev 9719   johannes

	* src/uidrivers/wx26/widgets/entry.py: Do not wordwrap contents of
	  StaticText (even within grids)

2007-06-14 14:11:16  Rev 9718   reinhard

	* src/GFObjects/GFBlock.py: Return a result on prev_record(),
	  next_record() and search_record().

2007-06-13 14:31:31  Rev 9715   johannes

	* packaging/osx/build-env/Resources/postflight: Be quite on
	  compiling/optimizing the .py files

2007-06-13 14:11:14  Rev 9714   johannes

	* packaging/osx/build-env/Resources/postflight: use the proper
	  directory for compiling .py files so translation works as  intended

2007-06-13 12:56:54  Rev 9713   johannes

	* packaging/win32/setup.py, packaging/win32/setup.cmd: Do not include
	  *.pyc into the package since this renders translations  unusable
	  (unless one installs into c:/gnue/)

2007-06-13 12:21:32  Rev 9712   johannes

	* src/GFObjects/GFBlock.py, packaging/win32/setup.py: Update list of
	  choices before changing the record

2007-06-12 21:50:25  Rev 9711   reinhard

	* THANKS: Added 2 more names that reported quite some bugs in 0.6
	  prereleases.

2007-06-12 21:49:03  Rev 9710   reinhard

	* THANKS: Updated THANKS file.

2007-06-12 21:47:51  Rev 9709   reinhard

	* po/fr.po: Updated French translation. Thanks to Didier Belot.

2007-06-12 13:33:57  Rev 9708   johannes

	* src/uidrivers/qt3/widgets/entry.py: Do not move focus into a
	  dropdown when entering query mode

2007-06-12 12:49:01  Rev 9707   johannes

	* packaging/win32/setup.py, packaging/win32/gnue.url,
	  packaging/win32/setup.cmd: Removed obsolete stuff from py2exe's
	  setup.py

2007-06-12 12:33:26  Rev 9706   jamest

	* src/GFObjects/GFField.py: check for invalid type value prior to
	  using string methods on value

2007-06-12 10:09:40  Rev 9705   johannes

	* packaging/win32/gnue-32x32.ico, packaging/win32/setup.py,
	  packaging/win32/gnue-forms.iss.dist_template,
	  packaging/win32/setup.cmd: Added Application Icon for gnue-forms.exe
	  (which will be associated with  .gfd too), removed unused
	  dependencies in setup.py as well as useless  Startmenu and
	  desktop-links

2007-06-12 08:02:04  Rev 9704   johannes

	* packaging/osx/setup.py.dist_template: Version information must be
	  string

2007-06-12 07:50:55  Rev 9703   johannes

	* packaging/win32/gnue-forms.iss.dist_template,
	  packaging/win32/LICENSE.txt, packaging/win32/setup.cmd: No need to
	  include License file GPL

2007-06-11 19:54:41  Rev 9702   reinhard

	* samples/gauntlet/gauntlet.gfd: Fixed usage of fields in trigger code.

2007-06-11 14:58:11  Rev 9701   reinhard

	* po/ro.po, src/__init__.py, doc/gnue-forms.dtd, doc/man/gnue-forms.1,
	  po/ru.po, po/es.po, po/fr.po, po/de.po, po/nl.po, po/hu.po: Released
	  0.6-rc1.

2007-06-10 23:10:55  Rev 9698   kilo

	* po/hu.po: Updated Hungarian translations

2007-06-08 15:26:47  Rev 9695   reinhard

	* defaults/default/fr.gfd, po/fr.po: Updated French translations,
	  thanks to Didier Belot (aka electrolinux).

2007-06-08 15:04:07  Rev 9694   reinhard

	* samples/gauntlet/gauntlet.gfd: Fixed parameter processing
	  (on-startup -> on-activation)

2007-06-06 13:29:36  Rev 9685   johannes

	* MANIFEST.in, packaging/win32/setup.py, packaging/win32/gnue.url,
	  packaging/win32/LICENSE.txt, packaging/win32/setup.cmd,
	  packaging/osx/create-build.dist_template: Finalizing packaging

2007-06-06 11:56:45  Rev 9680   johannes

	* packaging/osx/setup.py.dist_template, packaging/osx/setup.py:
	  Changed py2app's setup into a dist_template

2007-06-06 11:48:15  Rev 9679   johannes

	* packaging/osx/create-build, packaging/win32/setup.py,
	  packaging/osx/Info.plist.dist_template, packaging/osx/Info.plist,
	  packaging/win32/gnue-forms.iss.dist_template,
	  packaging/win32/gnue-forms.iss, packaging/osx/Info.plist.in,
	  packaging/win32/setup.cmd, packaging/osx/create-build.dist_template:
	  More work on packaging

2007-06-06 09:36:41  Rev 9676   reinhard

	* src/GFObjects/GFField.py: Hack to allow looking up non-string keys
	  (including None) in static lookup datasources.

2007-06-06 08:26:40  Rev 9671   reinhard

	* packaging/debian/changelog,
	  packaging/debian/changelog.dist_template: Use dist_template feature
	  for debian packaging files.

2007-06-06 07:35:46  Rev 9668   reinhard

	* README: Removed note about segfault from splash screen. This is long
	  solved.

2007-06-05 08:49:12  Rev 9660   reinhard

	* src/input/displayHandlers/Cursor.py: Set cursor position to 0 in
	  endEdit. self.display doesn't have a len() for every entry - it
	  doesn't for checkboxes.

2007-06-05 08:40:55  Rev 9659   reinhard

	* src/GFForm.py: Switch off editing mode while On-Activation trigger
	  runs, so the trigger code can change the field value even for the
	  first entry on the form.

2007-06-05 08:22:40  Rev 9658   reinhard

	* src/input/displayHandlers/Cursor.py: Properly refresh display in
	  endEdit.

2007-06-05 08:15:19  Rev 9657   reinhard

	* src/GFObjects/GFEntry.py: displayHandler.endEditing already updates
	  the UI, no need to update it again.

2007-06-05 06:22:58  Rev 9656   reinhard

	* po/es.po, po/es_MX.po, po/es_ES.po, po/lt.po: Removed completely
	  outdated translations.

2007-06-04 19:33:38  Rev 9655   reinhard

	* po/ro.po, po/ru.po, po/fr.po, po/de.po, po/nl.po, po/es_MX.po,
	  po/hu.po, po/es_ES.po, po/lt.po: Updated .po files with "last
	  minute" string changes.

2007-06-04 16:59:04  Rev 9654   johannes

	* src/GFObjects/GFField.py: use u_() for empty and all

2007-06-04 15:35:52  Rev 9653   johannes

	* src/GFObjects/GFField.py: only remove empty items if available

2007-06-04 13:16:59  Rev 9652   johannes

	* src/GFObjects/GFBlock.py, src/GFObjects/GFField.py: Added (all) and
	  (empty) choices to lookup style entries

2007-06-04 12:51:21  Rev 9651   johannes

	* src/uidrivers/wx26/widgets/button.py,
	  src/uidrivers/wx26/widgets/entry.py: Escape-key closes a Dialog

2007-05-31 09:07:59  Rev 9648   johannes

	* packaging/osx/build-env/pkg-resources/README: Changed readme

2007-05-31 09:06:29  Rev 9647   johannes

	* packaging/osx/build-env/pkg-resources/Liesmich.txt: Add pkg-resource
	  tree to gnue-common packaging, changed german readme

2007-05-31 07:53:12  Rev 9646   johannes

	* MANIFEST.in, packaging/osx/create-build,
	  packaging/osx/build-env/pkg-resources/Liesmich.txt: Properly copy
	  stuff from pkg-resources into the dmg

2007-05-31 07:30:06  Rev 9645   johannes

	* packaging/osx/build-env/pkg-resources, packaging/osx/create-build,
	  packaging/osx/build-env/pkg-resources/README,
	  packaging/osx/build-env/Resources/README: Added resource tree for
	  the disk image

2007-05-31 06:58:11  Rev 9644   johannes

	* src/uidrivers/wx26/widgets/menuitem.py: Only check or uncheck a
	  menuitem if it is checkable at all

2007-05-31 06:53:48  Rev 9643   johannes

	* src/uidrivers/wx26/widgets/entry.py: Use a call to SetMark() on
	  wx.GTK to select all within a dropdown.   SetSelection() does *not*
	  work here!
	  issue145 external

2007-05-30 14:50:39  Rev 9642   johannes

	* packaging/osx/forms.icns, packaging/osx/setup.py: Added icons file

2007-05-29 14:38:29  Rev 9641   johannes

	* src/uidrivers/wx26/widgets/menuitem.py: Using the mainform for
	  binding the menu event makes Quit work again

2007-05-29 13:56:25  Rev 9639   johannes

	* MANIFEST.in: Do not include .in files and add the Resources folder

2007-05-29 13:49:05  Rev 9638   johannes

	* packaging/osx/build-env/Resources, packaging/osx/create-build,
	  packaging/osx/build-env/Resources/postflight,
	  packaging/osx/create-image, packaging/osx/dist,
	  packaging/osx/Info.plist, packaging/osx/build-env,
	  packaging/osx/scripts, packaging/osx/setup.py,
	  packaging/osx/gnue-forms.pmproj, packaging/osx/gnue-forms.py,
	  packaging/osx/Info.plist.in,
	  packaging/osx/build-env/Resources/README,
	  packaging/osx/Description.plist, packaging/osx/HOWTO-Build: More
	  work on packaging for OS X

2007-05-29 08:31:35  Rev 9636   johannes

	* src/uidrivers/curses/dialogs.py: Properly encode text

2007-05-26 15:26:15  Rev 9630   johannes

	* src/uidrivers/wx26/widgets/menuitem.py: Use special ID's on wxMac
	  only

2007-05-25 17:01:18  Rev 9629   kilo

	* po/hu.po: Updated Hungarian translations

2007-05-25 06:53:50  Rev 9626   johannes

	* packaging/osx/setup.py, src/uidrivers/wx26/widgets/form.py,
	  src/uidrivers/wx26/widgets/menuitem.py,
	  src/uidrivers/wx26/widgets/menu.py: Added comments for the latest
	  changes on os x menuhandling

2007-05-24 21:19:13  Rev 9624   reinhard

	* README.databases: Removed README.databases. Database info belongs in
	  Common.

2007-05-24 21:15:11  Rev 9623   reinhard

	* README: Removed reference to removed file.

2007-05-24 21:13:42  Rev 9622   reinhard

	* INSTALL.win32: Removed extremely outdated windows installation
	  instruction.

2007-05-24 21:10:14  Rev 9621   reinhard

	* README.cvs, setup.cvs, README.svn, setup.svn, FAQ: Switched from
	  setup-cvs.py/setup.cvs/README.cvs to
	  setup-svn.py/setup.svn/README.svn.

2007-05-24 17:20:56  Rev 9617   reinhard

	* packaging/debian/copyright, packaging/debian/rules,
	  packaging/debian/control: Some minor fixes in debian packaging files.

2007-05-24 14:41:07  Rev 9616   johannes

	* src/uidrivers/wx26/widgets/form.py,
	  src/uidrivers/wx26/widgets/menuitem.py,
	  src/uidrivers/wx26/widgets/menu.py: Do not create two Help menus,
	  and move the About and Exit menu items to the proper places accoding
	  to Apples HIG (on OS X only of course)

2007-05-24 13:25:08  Rev 9615   reinhard

	* src/GFForm.py: Remove extra and help menus from form tree after they
	  have been merged into the main menu.

2007-05-23 15:00:05  Rev 9612   johannes

	* packaging/osx/setup.py: Use keys for application name and version so
	  it could be changed easily  by the release script

2007-05-23 14:29:17  Rev 9611   reinhard

	* src/GFForm.py: Ignore exceptions that happen in requery after an
	  exception has happened in commit, otherwise the original exception
	  will never be visible.

2007-05-23 14:17:12  Rev 9610   johannes

	* packaging/osx/create-build, packaging/osx/setup.py,
	  packaging/osx/gnue-forms.pmproj, packaging/osx/gnue-forms.py,
	  packaging/osx/HOWTO-Build: Started integration of building the
	  Application Bundle for GNUe Forms

2007-05-23 07:20:48  Rev 9606   johannes

	* src/uidrivers/wx26/UIdriver.py: Require wx for frozen environment on
	  OS X since we have a  semi-standalone application there

2007-05-22 16:00:16  Rev 9605   jamest

	* src/GFObjects/GFField.py: fix autoquery

2007-05-22 09:08:41  Rev 9602   johannes

	* src/uidrivers/qt3/widgets/entry.py: Treat Up- and Down-Key as
	  command-key only if no modifier is used

2007-05-22 08:13:07  Rev 9601   johannes

	* src/uidrivers/qt3/widgets/form.py: Skip setting a tip only if it is
	  None

2007-05-22 08:09:44  Rev 9600   johannes

	* src/uidrivers/qt3/widgets/entry.py: Only pass Tab- and Return-Keys
	  to the Keymapper

2007-05-22 07:30:43  Rev 9599   johannes

	* src/uidrivers/qt3/widgets/toolbutton.py: Use proper method for
	  toggling the toolbuttons

2007-05-21 16:51:54  Rev 9598   reinhard

	* src/GFObjects/GFBlock.py: Fixed typo.

2007-05-21 16:47:34  Rev 9597   reinhard

	* src/GFObjects/GFBlock.py: Don't do UPPER() for boolean fields.

2007-05-21 13:56:32  Rev 9596   johannes

	* po/de.po: Use proper encoding and charset again

2007-05-21 13:15:15  Rev 9595   johannes

	* po/ro.po, po/ru.po, po/fr.po, po/de.po, po/nl.po,
	  src/GFObjects/GFField.py, po/es_MX.po, po/hu.po,
	  src/uidrivers/html/widgets/form.py, po/es_ES.po, po/lt.po: Updated
	  translations

2007-05-21 11:35:42  Rev 9594   reinhard

	* po/ro.po, src/__init__.py, doc/gnue-forms.dtd, doc/man/gnue-forms.1,
	  po/ru.po, po/fr.po, po/de.po, po/nl.po,
	  packaging/win32/gnue-forms.iss, po/es_MX.po, po/hu.po, po/es_ES.po,
	  po/lt.po: Released 0.6-pre3.

2007-05-16 14:16:36  Rev 9593   johannes

	* src/uidrivers/wx26/widgets/entry.py: Don't make dropdowns gray

2007-05-16 12:53:12  Rev 9592   johannes

	* src/uidrivers/wx26/widgets/entry.py: Always process the Enter key
	  (even in dialogs on wxMSW)

2007-05-15 13:16:06  Rev 9587   reinhard

	* MANIFEST.in: Include packaging/win32 into source distribution.

2007-05-15 12:25:59  Rev 9586   reinhard

	* po/ro.po, src/__init__.py, doc/gnue-forms.dtd, doc/man/gnue-forms.1,
	  po/ru.po, po/fr.po, po/de.po, po/nl.po,
	  packaging/win32/gnue-forms.iss, po/es_MX.po, po/hu.po, po/es_ES.po,
	  po/lt.po: Released 0.6-pre2.

2007-05-15 11:36:20  Rev 9583   johannes

	* packaging/win32/gnue-forms.iss, packaging/win32: Started rework of
	  the packaging process on win32

2007-05-14 17:23:06  Rev 9581   reinhard

	* MANIFEST.in: Include OSX packaging files into source distribution.

2007-05-14 13:03:02  Rev 9580   reinhard

	* src/GFObjects/GFBlock.py, src/GFForm.py: Fixed query for
	  master/detail.

2007-05-14 12:56:47  Rev 9579   reinhard

	* src/GFForm.py: Fixed parameter.

2007-05-12 18:30:39  Rev 9575   reinhard

	* po/ro.po, src/__init__.py, doc/gnue-forms.dtd, doc/man/gnue-forms.1,
	  po/ru.po, po/fr.po, po/de.po, po/nl.po, po/es_MX.po, po/hu.po,
	  po/es_ES.po, po/lt.po: Released 0.6-pre1.

2007-05-10 08:52:58  Rev 9574   reinhard

	* src/GFObjects/GFBlock.py: Added trigger function to find out the
	  number of records in a block.

2007-05-09 20:50:03  Rev 9566   reinhard

	* packaging/debian/control, packaging/debian/README.cvs,
	  packaging/debian/rules: Updated Debian packaging information.

2007-05-08 19:45:24  Rev 9560   reinhard

	* doc/gnue-forms.dtd, INSTALL.win32, COPYING: ... and more executable
	  properties.

2007-05-08 19:43:13  Rev 9559   reinhard

	* src/uidrivers/html/GFController.py,
	  src/uidrivers/qt3/widgets/toolbar.py: Removed some more executable
	  properties.

2007-05-08 19:40:15  Rev 9558   reinhard

	* src/GFInstance.py, src/GFLibrary.py: Removed executable property
	  from some files.

2007-05-08 19:39:34  Rev 9557   reinhard

	* src/dialogs: Removed obsolete directory.

2007-05-08 19:36:54  Rev 9556   reinhard

	* src/GFObjects/GFField.py: Added some comments about GFField trigger
	  functions.

2007-05-08 19:19:05  Rev 9555   reinhard

	* src/GFForm.py, src/GFInstance.py: Some cleanup.

2007-05-08 17:00:06  Rev 9554   reinhard

	* src/input/displayHandlers/Cursor.py: Fixed requestINSERTAT handler
	  (only used by gtk2 multiline entry).

2007-05-08 14:06:22  Rev 9553   reinhard

	* src/GFObjects/GFBlock.py, src/GFForm.py: Apply filter for all blocks
	  in the form.
	  issue4 testing

2007-05-08 13:59:37  Rev 9552   reinhard

	* src/uidrivers/wx26/widgets/entry.py: Removed debug message.

2007-05-03 07:37:54  Rev 9548   reinhard

	* src/GFObjects/GFBlock.py, src/GFForm.py, defaults/default.gfd: If
	  changes are discarded, reset the form to initial state rather than
	  clearing it. This makes a difference if startup="full" is set for a
	  block.

2007-05-03 06:53:01  Rev 9547   reinhard

	* src/GFObjects/GFBlock.py: Epydoc fixes.

2007-05-02 12:00:22  Rev 9546   reinhard

	* src/GFConfig.py, src/uidrivers/wx: Removed old wx driver.

2007-04-27 17:57:46  Rev 9542   btami

	* src/GFParser.py: enable nested dialogs

2007-04-27 07:30:43  Rev 9541   reinhard

	* po/ro.po, src/__init__.py, doc/gnue-forms.dtd, doc/man/gnue-forms.1,
	  po/ru.po, po/fr.po, po/de.po, po/nl.po, po/es_MX.po, po/hu.po,
	  po/es_ES.po, po/lt.po: Released 0.6-beta3.

2007-04-27 07:26:47  Rev 9540   johannes

	* src/uidrivers/win32/widgets/toolbutton.py, src/GFForm.py: Changed
	  debug-prints into gDebug()

2007-04-27 07:14:03  Rev 9539   reinhard

	* src/uidrivers/gtk2/widgets/entry.py: For listboxes, inform GF layer
	  about focus change before changing the value.
	  issue166 testing

2007-04-27 07:08:16  Rev 9538   johannes

	* packaging/osx/dist/README: Updated the README file since we need
	  wx2.8 on OS X now

2007-04-27 07:02:29  Rev 9537   johannes

	* src/uidrivers/wx26/widgets/entry.py: Also allow Tab as a valid key
	  in a dropdown on wxMSW

2007-04-26 16:46:07  Rev 9536   reinhard

	* src/GFForm.py: Moved extraction of dialogs from _buildObject() to
	  initialize(), since _buildObject() also runs when a library is
	  imported, and we don't want to extract dialogs in that case.
	  issue165 testing

2007-04-26 14:27:47  Rev 9534   johannes

	* src/uidrivers/qt3/widgets/menuitem.py: Use proper hotkeys

2007-04-26 14:13:11  Rev 9533   johannes

	* src/uidrivers/qt3/widgets/menu.py: Don't search for a menu in
	  qt.QDialog instances

2007-04-26 14:06:21  Rev 9532   reinhard

	* src/input/GFKeyMapper.py: Removed function keys from keymapper that
	  are handled via menu.

2007-04-26 13:58:04  Rev 9531   reinhard

	* src/GFInstance.py: Added deprecation warning for key redefinition in
	  gnue.conf.

2007-04-26 13:29:20  Rev 9530   johannes

	* src/uidrivers/wx26/widgets/form.py: also take the x offset into
	  account

2007-04-26 13:22:45  Rev 9529   johannes

	* src/uidrivers/wx26/widgets/form.py: PrintOut on wxMSW does not
	  contain the ToolBar now

2007-04-26 12:55:34  Rev 9528   reinhard

	* src/GFConfig.py: Removed some obsolete config settings.

2007-04-26 12:45:50  Rev 9527   johannes

	* src/input/displayHandlers/Cursor.py,
	  src/uidrivers/wx26/widgets/entry.py: Cursor position won't be reset
	  in a multiline edit on entering the  first character after a
	  select-all. SelectAll on wxGTK's multilines  includes the last
	  character too.
	  issue164 testing

2007-04-26 10:51:24  Rev 9526   jan

	* src/uidrivers/html/widgets/_base.py,
	  src/uidrivers/html/GFController.py,
	  src/uidrivers/html/widgets/entry.py,
	  src/uidrivers/html/widgets/form.py: update html frontend for uiForm
	  location and event system changes implement page change command

2007-04-26 08:27:10  Rev 9525   jan

	* src/uidrivers/wx/widgets/toolbutton.py,
	  src/uidrivers/gtk2/widgets/toolbar.py: fix suppressed toolbar for wx
	  uidriver

2007-04-26 08:22:22  Rev 9524   jan

	* src/uidrivers/gtk2/widgets/form/widget.py,
	  src/uidrivers/gtk2/widgets/toolbutton.py,
	  src/uidrivers/gtk2/widgets/toolbar.py: fix suppressed toolbar for
	  gtk2 uidriver

2007-04-25 20:37:25  Rev 9523   reinhard

	* src/input/GFKeyMapper.py: Removed some more obsolete and meanwhile
	  unused stuff.

2007-04-25 20:26:25  Rev 9522   reinhard

	* src/uidrivers/curses/widgets/_base.py,
	  src/uidrivers/_base/widgets/_base.py: Moved some functions only used
	  in curses from base driver to curses driver.

2007-04-25 20:21:04  Rev 9521   reinhard

	* src/uidrivers/gtk2/widgets/entry.py,
	  src/uidrivers/qt3/widgets/entry.py,
	  src/uidrivers/qt4/widgets/entry.py: Removed a few unused variables.

2007-04-25 20:14:41  Rev 9520   reinhard

	* src/uidrivers/_base/UserActions.py: Removed unused module.

2007-04-25 20:12:22  Rev 9519   reinhard

	* src/GFObjects/GFBlock.py, src/GFForm.py,
	  src/input/displayHandlers/Cursor.py: Removed now unused can/cannot*
	  events; renamed refreshUIEvents function to status_changed
	  (following PEP8).

2007-04-25 19:57:58  Rev 9518   reinhard

	* src/uidrivers/curses/UIdriver.py: Changed comment to not refer to a
	  depreciated concept.

2007-04-25 19:54:54  Rev 9517   reinhard

	* src/uidrivers/curses/UIdriver.py,
	  src/uidrivers/curses/widgets/form.py,
	  src/uidrivers/curses/widgets/menuitem.py: Generate function key bar
	  from menu.

2007-04-25 14:31:12  Rev 9516   johannes

	* src/uidrivers/qt3/widgets/entry.py: Allow checkboxes without a label

2007-04-25 14:28:04  Rev 9515   johannes

	* src/uidrivers/qt3/widgets/entry.py: Handle TAB-Traversal properly. 
	  This fixes focusorder in grids

2007-04-25 13:57:02  Rev 9514   johannes

	* src/uidrivers/wx26/widgets/entry.py: Do not pass wx.WXK_TAB to the
	  OS but let GFTabStop handle it instead. This makes Combos behave
	  properly if used in a rows-table

2007-04-25 08:48:01  Rev 9513   johannes

	* src/uidrivers/wx26/widgets/vbox.py,
	  src/uidrivers/wx26/widgets/hbox.py,
	  src/uidrivers/wx26/widgets/entry.py: Add some extra space to widgets
	  on wxMac so focus gets displayed correctly

2007-04-24 19:15:08  Rev 9512   reinhard

	* src/uidrivers/qt4/UIdriver.py, src/uidrivers/_base/UIdriver.py,
	  src/uidrivers/wx/UIdriver.py, src/uidrivers/_commonGuiToolkit,
	  src/uidrivers/win32/UIdriver.py, src/uidrivers/html/UIdriver.py,
	  src/uidrivers/wx26/UIdriver.py, src/uidrivers/gtk2/UIdriver.py,
	  src/uidrivers/qt3/UIdriver.py: Removed _commonGuiToolkit as it is
	  not necesary any more.

2007-04-24 18:48:14  Rev 9511   reinhard

	* src/uidrivers/win32/widgets/form/widget.py,
	  src/uidrivers/wx26/widgets/form.py: Fixed parameter list.

2007-04-24 18:45:24  Rev 9510   reinhard

	* src/uidrivers/win32/widgets/_base.py,
	  src/uidrivers/qt4/widgets/form.py,
	  src/uidrivers/html/widgets/_base.py,
	  src/uidrivers/gtk2/widgets/_base.py,
	  src/uidrivers/_base/widgets/_base.py,
	  src/uidrivers/wx/widgets/form/widget.py,
	  src/uidrivers/_commonGuiToolkit/UIdriver.py,
	  src/uidrivers/curses/UIdriver.py,
	  src/uidrivers/win32/widgets/form/widget.py,
	  src/uidrivers/_base/UIdriver.py,
	  src/uidrivers/gtk2/widgets/form/widget.py, src/GFForm.py,
	  src/uidrivers/wx/widgets/_base.py,
	  src/uidrivers/html/widgets/form.py,
	  src/uidrivers/curses/widgets/form.py,
	  src/uidrivers/wx26/widgets/form.py,
	  src/uidrivers/qt3/widgets/form.py: replaced UIdriver.activateForm by
	  form._ui_show_ for consistency and simpler and more straightforward
	  calling path.

2007-04-24 13:18:18  Rev 9508   johannes

	* src/uidrivers/qt3/widgets/toolbutton.py: Really made the toolbuttons
	  work again

2007-04-24 13:10:30  Rev 9507   reinhard

	* src/uidrivers/qt4/UIdriver.py, src/uidrivers/wx/UIdriver.py,
	  src/uidrivers/_commonGuiToolkit/UIdriver.py,
	  src/uidrivers/win32/UIdriver.py, src/uidrivers/qt3/UIdriver.py: Some
	  cleanup, mainly _commonGuiToolkit.

2007-04-24 12:33:38  Rev 9506   reinhard

	* src/uidrivers/qt4/MenuBar.py, src/uidrivers/qt4/widgets/form.py,
	  src/uidrivers/_commonGuiToolkit/ToolBar.py,
	  src/uidrivers/html/ToolBar.py, src/uidrivers/qt4/ToolBar.py,
	  src/uidrivers/_commonGuiToolkit/MenuBar.py,
	  src/uidrivers/html/MenuBar.py, src/uidrivers/html/widgets/form.py:
	  Removed last remains of old menubar/toolbar code.

2007-04-23 14:22:02  Rev 9505   reinhard

	* po/ro.po, src/__init__.py, doc/gnue-forms.dtd, doc/man/gnue-forms.1,
	  po/ru.po, po/fr.po, po/de.po, po/nl.po, po/es_MX.po, po/hu.po,
	  po/es_ES.po, po/lt.po: Released 0.6-beta2.

2007-04-23 14:05:48  Rev 9504   johannes

	* src/GFObjects/GFField.py, src/input/displayHandlers/Image.py,
	  src/uidrivers/wx26/widgets/entry.py,
	  src/uidrivers/wx26/widgets/image.py, src/uidrivers/wx26/UIdriver.py:
	  Images are working on wxMSW and OSX again (although not scrollable).
	  ListBoxes without values does not crash on wxMSW
	  issue163: testing

2007-04-17 09:26:18  Rev 9502   johannes

	* src/uidrivers/wx26/widgets/form.py: Only realize the toolbar for
	  non-dialogs issue162 testing

2007-04-17 08:35:54  Rev 9501   johannes

	* po/ro.po, src/__init__.py, doc/gnue-forms.dtd, doc/man/gnue-forms.1,
	  po/ru.po, po/fr.po, po/de.po, po/nl.po, po/es_MX.po, po/hu.po,
	  po/es_ES.po, po/lt.po: Released 0.6-beta1.

2007-04-17 08:32:07  Rev 9500   johannes

	* src/uidrivers/wx26/widgets/form.py: Don't set the font explicitly so
	  it works on wxMSW too

2007-04-17 08:14:26  Rev 9499   johannes

	* src/uidrivers/wx26/widgets/form.py: Allways realize the toolbar
	  after adding all widgets to it.  This makes  it visible on wxMSW
	  again.
	  issue162: testing

2007-04-12 13:09:10  Rev 9498   reinhard

	* src/GFInstance.py: Fixed GFInstance calls to GFForms functions with
	  changed names.

2007-04-12 12:44:52  Rev 9497   btami

	* src/uidrivers/win32/widgets/_base.py: keyboard event handling fix

2007-04-11 14:15:07  Rev 9493   reinhard

	* src/GFObjects/GFField.py: Made autocompletion case insensitive.

2007-04-11 14:14:41  Rev 9492   reinhard

	* src/GFObjects/GFTabStop.py: Fix for two dropdowns bound to same
	  field, and invalid value entered in one of them.

2007-04-11 13:48:05  Rev 9491   reinhard

	* src/uidrivers/wx26/widgets/grid.py: Fixed header for multiline grids.

2007-04-11 12:53:16  Rev 9490   reinhard

	* images/kde3/execquery-16x16.png,
	  images/gnome/deleterecord-24x24.png,
	  images/gnome/enterquery-24x24.png,
	  images/default/apply_filter-24x24.bmp,
	  images/default/markfordelete-16x16.png,
	  images/kde3/markfordelete-24x24.png,
	  images/gnome/execquery-24x24.png,
	  images/gnome/init_filter-16x16.png,
	  images/kde3/apply_filter-24x24.png, defaults/default.gfd,
	  images/kde3/deleterecord-32x32.png,
	  images/default/enterquery-24x24.png,
	  images/gnome/markfordelete-32x32.png,
	  images/default/execquery-24x24.bmp,
	  images/kde3/enterquery-16x16.png, images/kde3/init_filter-16x16.png,
	  images/gnome/deleterecord-16x16.png,
	  images/gnome/enterquery-16x16.png,
	  images/kde3/markfordelete-16x16.png,
	  images/default/apply_filter-24x24.png,
	  images/default/deleterecord-24x24.bmp,
	  images/gnome/execquery-16x16.png, src/GFObjects/GFBlock.py,
	  images/kde3/apply_filter-16x16.png,
	  images/default/init_filter-24x24.bmp,
	  images/kde3/deleterecord-24x24.png,
	  images/gnome/markfordelete-24x24.png,
	  images/default/enterquery-16x16.png,
	  images/gnome/apply_filter-32x32.png,
	  images/kde3/execquery-32x32.png, images/default/execquery-24x24.png,
	  images/default/markfordelete-24x24.bmp, defaults/default/de.gfd,
	  images/gnome/init_filter-32x32.png,
	  images/default/apply_filter-16x16.png, src/GFForm.py,
	  images/default/deleterecord-24x24.png,
	  images/kde3/enterquery-32x32.png,
	  images/kde3/deleterecord-16x16.png,
	  images/gnome/markfordelete-16x16.png,
	  images/default/init_filter-24x24.png,
	  images/default/init_filter-24x24-gray.png,
	  images/kde3/init_filter-32x32.png, defaults/default/hu.gfd,
	  images/gnome/apply_filter-24x24.png,
	  images/default/execquery-16x16.png, images/kde3/execquery-24x24.png,
	  images/gnome/deleterecord-32x32.png,
	  images/default/markfordelete-24x24.png,
	  images/default/markfordelete-24x24-gray.png,
	  images/kde3/markfordelete-32x32.png,
	  images/gnome/execquery-32x32.png,
	  images/gnome/init_filter-24x24.png,
	  images/default/apply_filter-24x24-gray.png,
	  images/kde3/apply_filter-32x32.png,
	  images/default/enterquery-24x24.bmp,
	  images/default/deleterecord-24x24-gray.png,
	  images/default/deleterecord-16x16.png,
	  images/default/enterquery-24x24-gray.png,
	  images/kde3/enterquery-24x24.png,
	  images/default/init_filter-16x16.png,
	  images/default/execquery-24x24-gray.png,
	  images/gnome/enterquery-32x32x.png,
	  images/kde3/init_filter-24x24.png,
	  images/gnome/apply_filter-16x16.png: query -> filter.

2007-04-11 09:57:21  Rev 9489   reinhard

	* src/uidrivers/wx26/widgets/form.py: Fixed scaling of printout.

2007-04-11 09:04:57  Rev 9488   reinhard

	* INSTALL, setup.py: Updated dependency on gnue-common to 0.6.8.

2007-04-10 18:52:03  Rev 9485   jamest

	* src/uidrivers/qt3/widgets/toolbutton.py,
	  src/uidrivers/qt3/widgets/toolbar.py: start of a working qt3
	  toolbar, actions aren't linked in yet

2007-04-10 15:44:51  Rev 9484   reinhard

	* src/uidrivers/wx26/dialogs.py: Further fix.
	  issue158 testing

2007-04-10 15:41:15  Rev 9483   reinhard

	* src/uidrivers/wx26/dialogs.py, src/uidrivers/qt3/dialogs.py:
	  Possible fix for numeric filter problem.
	  issue158 testing

2007-04-10 14:45:47  Rev 9482   reinhard

	* src/uidrivers/wx26/widgets/gridline.py: Fixed sizing of grids.

2007-04-10 13:41:28  Rev 9481   reinhard

	* src/uidrivers/wx26/widgets/form.py: Avoid truncating size factors to
	  integers.

2007-04-10 10:06:43  Rev 9480   reinhard

	* src/uidrivers/wx26/widgets/grid.py: Fix for empty labels in grids.

2007-04-10 08:34:33  Rev 9479   reinhard

	* src/uidrivers/wx26/widgets/_base.py,
	  src/uidrivers/wx26/widgets/vbox.py,
	  src/uidrivers/wx26/widgets/hbox.py: Some minor GridBagSizer fixes
	  and comments.

2007-04-10 07:44:25  Rev 9478   reinhard

	* src/uidrivers/wx26/widgets/grid.py,
	  src/uidrivers/wx26/widgets/box.py,
	  src/uidrivers/wx26/widgets/_base.py: Cleanup of now unused variable
	  "growable".

2007-04-10 07:09:13  Rev 9477   reinhard

	* src/uidrivers/wx26/widgets/box.py,
	  src/uidrivers/wx26/widgets/scrollbar.py: Make sure that a scrollbar
	  is growable.

2007-04-10 06:59:37  Rev 9476   reinhard

	* src/uidrivers/wx26/widgets/entry.py: Fix for checkbox without label.

2007-04-09 22:28:51  Rev 9475   reinhard

	* src/uidrivers/wx26/widgets/grid.py,
	  src/uidrivers/wx26/widgets/_base.py,
	  src/uidrivers/wx26/widgets/page.py,
	  src/uidrivers/wx26/widgets/vbox.py,
	  src/uidrivers/wx26/widgets/hbox.py,
	  src/uidrivers/wx26/widgets/entry.py: Replaced growable property by
	  function to avoid problems with widget creation and insertion order.

2007-04-09 22:02:50  Rev 9474   reinhard

	* src/uidrivers/wx26/widgets/entry.py: Removed debug print.

2007-04-09 22:01:12  Rev 9473   reinhard

	* src/uidrivers/wx26/widgets/entry.py: Avoid line breaks in labels.

2007-04-09 21:51:28  Rev 9472   reinhard

	* src/uidrivers/wx26/widgets/_base.py,
	  src/uidrivers/wx26/widgets/vbox.py,
	  src/uidrivers/wx26/widgets/hbox.py: Fixed some growable/non-growable
	  issues.

2007-04-09 21:02:51  Rev 9471   reinhard

	* src/uidrivers/wx26/widgets/_base.py: User smarter algorithm to
	  determine whether a member of a (v|h)box needs a separate label or
	  not. This fixes wrong behaviour for checkboxes in hboxes.

2007-04-09 20:56:18  Rev 9470   reinhard

	* src/uidrivers/wx26/widgets/entry.py: Fixed default size for
	  listboxes.

2007-04-09 20:49:15  Rev 9469   reinhard

	* src/uidrivers/wx26/widgets/entry.py: Do not set a minimum size
	  different than the default size, because wx uses the minimum size to
	  distribute the available size.

2007-04-09 20:45:46  Rev 9468   reinhard

	* src/uidrivers/wx26/widgets/vbox.py: Do not use stretch factors in
	  AddGrowableRow because wx assignes the whole space according to that
	  stretch factor instead of only the extra space. This fixes a lot of
	  strange effects when resizing a form containing hboxes within vboxes.

2007-04-09 20:41:46  Rev 9467   reinhard

	* src/uidrivers/wx26/widgets/hbox.py: Do not use stretch factors in
	  AddGrowableCol because wx assignes the whole space according to that
	  stretch factor instead of only the extra space.

2007-04-07 18:22:30  Rev 9466   reinhard

	* src/uidrivers/curses/widgets/_base.py,
	  src/uidrivers/curses/widgets/hbox.py,
	  src/uidrivers/curses/widgets/entry.py: Implemented left-label style
	  hbox in curses.

2007-04-07 17:36:30  Rev 9464   reinhard

	* src/GFObjects/GFObj.py, src/uidrivers/wx26/widgets/_base.py,
	  src/GFObjects/GFHBox.py, src/GFObjects/GFEntry.py,
	  src/uidrivers/wx26/widgets/vbox.py: Put label to the left of hbox if
	  it is a member of a vbox and contains only label-less single-cell
	  children. This makes it possible to, for example, put a button
	  besides an entry.

2007-04-07 15:21:52  Rev 9463   reinhard

	* src/uidrivers/wx26/widgets/entry.py: Allow for explicitly setting
	  the dropdown value to None.

2007-04-07 15:21:30  Rev 9462   reinhard

	* src/GFObjects/GFField.py: Don't include empty choice if it is not
	  allowed (i.e. if the field is required).

2007-04-07 14:34:42  Rev 9461   reinhard

	* src/GFObjects/GFBlock.py, src/GFObjects/GFField.py: Several fixes
	  for dropdowns.

2007-04-03 06:40:12  Rev 9460   reinhard

	* src/GFForm.py: Process ON-ACTIVATION trigger *after* setting the
	  focus to the first element, so the trigger can move the focus.

2007-03-31 22:51:51  Rev 9459   reinhard

	* src/GFObjects/GFBlock.py: Fixes for new GFBlock.search_record()
	  function.

2007-03-31 21:22:13  Rev 9458   reinhard

	* src/GFObjects/GFBlock.py: Added new block function search_record to
	  search within the current result set.

2007-03-31 21:21:37  Rev 9457   reinhard

	* src/GFObjects/GFButton.py: Don't look for action associated to a
	  button while initializing, because in might not yet be there if it
	  is defined after the button in the GFD.

2007-03-31 19:38:55  Rev 9456   reinhard

	* src/GFObjects/GFBlock.py: Added clear method to trigger namespace
	  and did some minor reordering.

2007-03-28 12:17:10  Rev 9451   jan

	* src/uidrivers/html/GFController.py, src/uidrivers/html/gnue.js,
	  src/uidrivers/html/GFhtmlApp.py, src/uidrivers/html/ToolBar.py,
	  src/uidrivers/html/GFServer.py, src/uidrivers/html/Generator.py,
	  src/uidrivers/html/widgets/entry.py, src/uidrivers/html/UIdriver.py,
	  src/uidrivers/html/widgets/form.py: update forms webfrontend to new
	  version    - add threaded controller object    - moved javascript
	  code into file    - switch to dojo 4.2    - various other changes

2007-03-27 18:13:56  Rev 9450   reinhard

	* src/GFForm.py, src/input/displayHandlers/Cursor.py,
	  src/GFObjects/GFField.py: Update field value on every keypress in an
	  entry, not only on focus-out. This makes sure the field value and
	  record status are as correct as possible at any given point in time.

2007-03-27 18:12:35  Rev 9449   reinhard

	* src/GFObjects/commanders.py: Fix behaviour of toggle style toolbar
	  buttons in case firing the action causes an exception.

2007-03-24 10:55:19  Rev 9447   btami

	* src/uidrivers/win32/widgets/toolbutton.py,
	  src/uidrivers/win32/widgets/toolbar.py: toolbar fixes for embedded
	  forms

2007-03-19 15:06:45  Rev 9446   reinhard

	* src/uidrivers/wx26/widgets/toolbutton.py: Further fix for suppressed
	  toolbar.

2007-03-14 12:22:32  Rev 9443   reinhard

	* src/uidrivers/wx26/widgets/toolbutton.py: Fix for suppressed toolbar.

2007-03-13 10:32:26  Rev 9441   btami

	* src/uidrivers/win32/widgets/toolbutton.py,
	  src/uidrivers/win32/ToolBar.py,
	  src/uidrivers/win32/widgets/toolbar.py,
	  src/uidrivers/win32/MenuBar.py,
	  src/uidrivers/win32/widgets/form/widget.py: cleanup

2007-03-12 17:56:32  Rev 9440   btami

	* src/uidrivers/win32/widgets/toolbutton.py,
	  src/uidrivers/win32/widgets/toolbar.py: more new-style toolbar work

2007-03-12 13:54:20  Rev 9439   reinhard

	* src/GFForm.py: Always merge in default menu and toolbar definition.

2007-03-12 12:39:34  Rev 9438   btami

	* src/uidrivers/win32/widgets/toolbutton.py,
	  src/uidrivers/win32/widgets/toolbar.py,
	  src/uidrivers/win32/widgets/menuitem.py,
	  src/uidrivers/win32/widgets/menu.py: more work on new-style
	  tool/menu stuff

2007-03-12 08:46:52  Rev 9437   reinhard

	* src/uidrivers/gtk2/widgets/form/widget.py,
	  src/uidrivers/wx/MenuBar.py, src/uidrivers/wx26/ToolBar.py,
	  src/uidrivers/gtk2/ToolBar.py, src/uidrivers/qt3/ToolBar.py,
	  src/uidrivers/wx/widgets/form/widget.py,
	  src/uidrivers/win32/widgets/form/widget.py,
	  src/uidrivers/wx26/MenuBar.py, src/uidrivers/wx26/widgets/form.py,
	  src/uidrivers/gtk2/MenuBar.py, src/uidrivers/qt3/MenuBar.py,
	  src/uidrivers/wx/ToolBar.py, src/uidrivers/qt3/widgets/form.py:
	  Don't use old stle menu bar and toolbar any more.

2007-03-12 08:23:23  Rev 9436   reinhard

	* samples/function/menu.gfd, samples/function/exclam-24x24.bmp,
	  samples/function/exclam-16x16.bmp,
	  samples/function/exclam-24x24.png,
	  samples/function/exclam-16x16.png: Added an additional tool button
	  to menu.gfd.

2007-03-12 07:44:42  Rev 9435   btami

	* src/uidrivers/win32/widgets/toolbutton.py,
	  src/uidrivers/win32/widgets/toolbar.py,
	  src/uidrivers/win32/widgets/menuitem.py,
	  src/uidrivers/win32/widgets/menu.py: added propset id

2007-03-11 18:59:15  Rev 9434   btami

	* src/uidrivers/_base/UIdriver.py: default iconset fox for win32

2007-03-11 18:54:23  Rev 9433   btami

	* src/uidrivers/win32/widgets/toolbutton.py,
	  src/uidrivers/win32/widgets/toolbar.py: started toolbar/toolbutton
	  widget support

2007-03-07 10:12:09  Rev 9430   reinhard

	* src/GFObjects/GFBlock.py: Disable all navigation in unbound blocks;
	  enable query functions independently from current focus position.

2007-03-06 17:39:30  Rev 9429   jan

	* src/uidrivers/wx/common.py: fix: click on empty areas of a page
	  raises an error

2007-03-06 13:07:16  Rev 9428   btami

	* src/uidrivers/win32/widgets/form/widget.py: typo

2007-03-06 12:44:22  Rev 9427   btami

	* src/uidrivers/win32/widgets/form/widget.py: add dir/file selection
	  dialogs

2007-03-04 22:49:55  Rev 9425   kilo

	* defaults/default/hu.gfd: Make HU translation more like the standard

2007-03-03 18:52:46  Rev 9423   reinhard

	* samples/oldkeys.gfd, defaults/default.gfd: Changed keybindings,
	  added merge-in definition for 0.5 compatibility.

2007-03-02 08:34:44  Rev 9422   johannes

	* src/uidrivers/qt3/widgets/box.py, src/uidrivers/qt3/widgets/page.py:
	  Don't vertically center contents of boxes in positioned layout. 
	  This  makes sure that entries within neighboring boxes start at the
	  same  position.

2007-03-02 08:23:41  Rev 9421   johannes

	* src/uidrivers/curses/widgets/form.py: Added directory selection
	  issue152 in-progress

2007-03-01 14:48:39  Rev 9420   johannes

	* src/uidrivers/curses/dialogs.py,
	  src/uidrivers/curses/widgets/page.py,
	  src/uidrivers/curses/UIdriver.py,
	  src/uidrivers/curses/widgets/form.py: Added File-Selection
	  issue152 in-progress

2007-02-28 14:10:07  Rev 9419   johannes

	* src/uidrivers/wx/widgets/form/widget.py: Added File- and
	  Dir-Selection dialogs
	  issue152 in-progress

2007-02-28 13:51:21  Rev 9418   johannes

	* src/uidrivers/gtk2/widgets/form/widget.py: Added file- and
	  directory-selection dialogs
	  issue152 in-progress

2007-02-28 13:01:19  Rev 9417   johannes

	* src/uidrivers/qt3/widgets/form.py: Added directory selection
	  issue152 in-progress

2007-02-28 10:57:48  Rev 9416   johannes

	* src/uidrivers/qt3/widgets/form.py: Added implementation of
	  select_files()
	  issue152 in-progress

2007-02-28 08:42:46  Rev 9415   johannes

	* src/GFForm.py, src/uidrivers/wx26/widgets/form.py: Add directory
	  selection dialog
	  issue152 in-progress

2007-02-28 08:12:13  Rev 9414   johannes

	* src/GFForm.py, src/uidrivers/wx26/widgets/form.py: Started namespace
	  methods for File- and Dir-Selection dialogs
	  issue152 in-progress

2007-02-26 18:11:22  Rev 9413   btami

	* defaults/default/hu.gfd: misc translation fixes

2007-02-26 12:03:40  Rev 9412   kilo

	* defaults/default/hu.gfd: Hungarian umlaut jam revisited

2007-02-26 11:59:06  Rev 9411   btami

	* defaults/default/hu.gfd: hungarian umlaut jam

2007-02-23 20:34:36  Rev 9409   btami

	* MANIFEST.in, setup.py: added default translation files to setup

2007-02-23 14:31:28  Rev 9408   btami

	* defaults/default/hu.gfd: misc fixes

2007-02-23 13:49:45  Rev 9407   kilo

	* defaults/default/hu.gfd: Added Hungarian default.gfd

2007-02-23 13:01:19  Rev 9406   kilo

	* defaults/default.gfd: Added Id property + GNU header

2007-02-23 12:57:16  Rev 9405   kilo

	* defaults/default.gfd: Added usual shortcut keys

2007-02-22 22:44:30  Rev 9403   btami

	* src/uidrivers/win32/ToolBar.py,
	  src/uidrivers/win32/widgets/menuitem.py,
	  src/uidrivers/win32/MenuBar.py, src/uidrivers/win32/widgets/menu.py:
	  user defined menu support

2007-02-22 15:49:51  Rev 9402   reinhard

	* po/ro.po, NEWS, src/__init__.py, doc/gnue-forms.dtd,
	  doc/man/gnue-forms.1, po/ru.po, po/fr.po, po/de.po, po/nl.po,
	  po/es_MX.po, po/hu.po, po/es_ES.po, po/lt.po: Released 0.6-alpha3.

2007-02-22 15:03:10  Rev 9401   johannes

	* src/uidrivers/qt3/UIdriver.py: Don't add extra space to the cell
	  height

2007-02-22 10:09:53  Rev 9397   johannes

	* src/uidrivers/qt3/widgets/box.py,
	  src/uidrivers/qt3/widgets/button.py,
	  src/uidrivers/qt3/widgets/page.py,
	  src/uidrivers/qt3/widgets/entry.py, src/uidrivers/qt3/UIdriver.py,
	  src/uidrivers/qt3/widgets/form.py: Use calculated (fixed) sizes for
	  positioned layout

2007-02-21 15:58:15  Rev 9393   johannes

	* src/uidrivers/qt3/widgets/entry.py: Make sure to have the focus
	  within a dropdown when using the wheel

2007-02-21 14:13:55  Rev 9392   reinhard

	* src/uidrivers/wx26/widgets/toolbutton.py: Fixed toggle toolbar
	  buttons.

2007-02-21 14:13:29  Rev 9391   reinhard

	* src/GFObjects/commanders.py: Fixed typo.

2007-02-20 18:50:47  Rev 9387   reinhard

	* src/GFObjects/GFBlock.py, src/GFObjects/GFOptions.py,
	  src/GFInstance.py, src/GFParser.py: Added handling of translation
	  gfd's.

2007-02-14 14:22:19  Rev 9385   johannes

	* src/uidrivers/curses/widgets/menu.py: Clear the background to the
	  'normal' attribute before painting the menu

2007-02-14 14:20:41  Rev 9384   johannes

	* src/uidrivers/curses/UIdriver.py,
	  src/uidrivers/curses/widgets/menuitem.py,
	  src/uidrivers/curses/widgets/menu.py: Added support for
	  enabled/disabled menu items

2007-02-14 13:36:51  Rev 9383   johannes

	* src/uidrivers/curses/widgets/menuitem.py,
	  src/uidrivers/curses/widgets/menu.py: Added support for checked menu
	  items

2007-02-14 13:23:15  Rev 9382   johannes

	* src/uidrivers/curses/widgets/form.py,
	  src/uidrivers/curses/widgets/menuitem.py,
	  src/uidrivers/curses/widgets/menu.py: Added support for hotkeys to
	  the menu

2007-02-14 08:36:18  Rev 9381   johannes

	* src/uidrivers/curses/widgets/menu.py: Better placement of submenus,
	  separator are also navigable (fixed  scrolling)

2007-02-14 07:56:56  Rev 9380   reinhard

	* src/input/displayHandlers/datehandler.py: It's C{}, not @C{}
	  actually.

2007-02-14 07:48:29  Rev 9379   reinhard

	* src/input/displayHandlers/datehandler.py: Fixed epydoc.

2007-02-13 16:02:14  Rev 9378   johannes

	* src/uidrivers/curses/widgets/page.py,
	  src/uidrivers/curses/widgets/menuitem.py,
	  src/uidrivers/curses/widgets/form.py,
	  src/uidrivers/curses/widgets/menu.py: Startet menu support for curses

2007-02-13 08:20:06  Rev 9377   reinhard

	* defaults/default/de.gfd, src/GFParser.py, defaults/default.gfd: Do
	  not requrie <logic>, <layout> and <page> tags, they are of no use in
	  default form definitions.
	  issue79 in-progress

2007-02-13 07:29:59  Rev 9376   johannes

	* src/uidrivers/qt3/widgets/entry.py: Also right-align numeric fields

2007-02-13 07:23:15  Rev 9375   johannes

	* src/uidrivers/wx26/widgets/entry.py: Numeric fields are right aligned

2007-02-12 19:07:21  Rev 9374   reinhard

	* src/uidrivers/gtk2/widgets/menu.py,
	  src/uidrivers/qt3/widgets/menu.py, defaults/default/de.gfd,
	  src/uidrivers/wx/widgets/form/widget.py, defaults/default.gfd,
	  defaults/default, samples/function/parameters.gfd,
	  samples/function/menu.gfd,
	  src/uidrivers/gtk2/widgets/form/widget.py, src/GFForm.py,
	  src/GFInstance.py, src/uidrivers/wx/widgets/toolbar.py,
	  src/uidrivers/wx/widgets/menu.py,
	  src/uidrivers/wx26/widgets/toolbar.py,
	  src/uidrivers/wx26/widgets/form.py,
	  src/uidrivers/gtk2/widgets/toolbar.py,
	  src/uidrivers/qt3/widgets/form.py,
	  src/uidrivers/wx26/widgets/menu.py: Support for translations of the
	  default form. Further work necessary for translations of normal
	  forms.
	  issue153 in-progress

2007-02-12 13:09:36  Rev 9372   reinhard

	* src/uidrivers/gtk2/widgets/toolbutton.py,
	  src/uidrivers/gtk2/widgets/toolbar.py: Added dynamic toolbar
	  implementation for gtk2.
	  issue79 testing

2007-02-12 13:03:48  Rev 9371   johannes

	* src/input/displayHandlers/datehandler.py: Use more generic aproach
	  to autocompletion for datetime fields as well

2007-02-09 17:54:42  Rev 9370   reinhard

	* src/uidrivers/wx/common.py: Let the menu handle events that have not
	  been assigned a command.
	  issue79 in-progress

2007-02-09 17:36:44  Rev 9369   reinhard

	* src/uidrivers/wx/widgets/menuitem.py,
	  src/uidrivers/wx/widgets/toolbutton.py: Fixes in menu and toolbar
	  for wx2.4.
	  issue79 in-progress

2007-02-09 17:29:58  Rev 9368   reinhard

	* src/uidrivers/wx/UIdriver.py: Don't linewrap error messages as it
	  makes them too long.

2007-02-09 17:23:09  Rev 9367   reinhard

	* src/GFObjects/commanders.py: Be tolerant against UI plugins that
	  don't implement menu or toolbar widgets.

2007-02-09 17:15:20  Rev 9366   reinhard

	* src/uidrivers/wx/widgets/toolbar.py,
	  src/uidrivers/wx/widgets/form/widget.py,
	  src/uidrivers/wx/widgets/toolbutton.py: Added dynamic toolbar
	  widgets for (old) wx driver.
	  issue79 in-progress

2007-02-09 16:01:52  Rev 9365   johannes

	* src/GFConfig.py, src/input/displayHandlers/Cursor.py,
	  src/input/displayHandlers/Numeric.py: Added display handler for
	  numeric values

2007-02-09 11:17:51  Rev 9364   reinhard

	* src/uidrivers/wx26/widgets/toolbutton.py,
	  src/uidrivers/wx26/widgets/toolbar.py,
	  src/uidrivers/wx26/widgets/form.py: Added dynamic toolbar
	  implementation for wx26.

2007-02-09 11:15:46  Rev 9363   reinhard

	* defaults/default.gfd: Added descriptions and toolbar to defaults.

2007-02-09 10:35:25  Rev 9362   johannes

	* src/input/displayHandlers/datehandler.py: Better way of handling
	  autocompletion of dates

2007-02-09 10:04:23  Rev 9361   reinhard

	* src/uidrivers/wx/widgets/menuitem.py,
	  src/uidrivers/wx/widgets/menu.py: Added menu widgets for (old) wx
	  driver.

2007-02-08 19:34:22  Rev 9360   reinhard

	* src/uidrivers/wx/ToolBar.py: Fixed ToolBar for wx driver.

2007-02-08 17:20:28  Rev 9359   reinhard

	* src/uidrivers/wx26/widgets/menuitem.py, defaults/default.gfd:
	  Implicitly do not display icon in wx26 driver for check menu items.
	  issue79 in-progress

2007-02-08 17:19:01  Rev 9358   reinhard

	* src/uidrivers/gtk2/widgets/menuitem.py: Added toggle menu items to
	  gtk2 uidriver.

2007-02-06 22:25:44  Rev 9356   reinhard

	* src/uidrivers/gtk2/widgets/menu.py,
	  src/uidrivers/qt3/widgets/menu.py, src/GFObjects/commanders.py,
	  src/uidrivers/gtk2/widgets/form/widget.py,
	  src/uidrivers/wx26/widgets/vbox.py,
	  src/uidrivers/wx26/widgets/hbox.py,
	  src/uidrivers/gtk2/widgets/menuitem.py, defaults/default.gfd,
	  src/uidrivers/wx26/widgets/menu.py: More work on gfd defined menus.
	  issue79 in-progress

2007-02-06 14:37:52  Rev 9355   jan

	* src/GFObjects/GFTabStop.py: fix tooltip handling for GFButton widget

2007-02-06 14:19:08  Rev 9354   johannes

	* src/input/displayHandlers/datehandler.py: Added autocompletion for
	  datetime fields

2007-02-06 14:05:20  Rev 9353   johannes

	* src/input/displayHandlers/datehandler.py: Restructured code a bit

2007-02-06 10:51:54  Rev 9352   johannes

	* src/input/displayHandlers/datehandler.py: Improved the display
	  handler for datetime values

2007-02-06 10:10:26  Rev 9351   johannes

	* src/GFConfig.py: Use better defaults for input- and display-masks

2007-02-06 09:18:01  Rev 9350   johannes

	* src/input/displayHandlers/datehandler.py: added tip for time fields

2007-02-01 09:46:32  Rev 9349   johannes

	* src/input/displayHandlers/datehandler.py: Added a displayhandler for
	  time fields

2007-02-01 08:18:22  Rev 9348   reinhard

	* src/GFInstance.py: Epydoc fix.

2007-02-01 08:18:22  Rev 9347   johannes

	* samples/masks/masks.gfd: Changed according to managed layout

2007-02-01 08:00:11  Rev 9346   johannes

	* samples/function/menu.gfd: Added a toggle menu item

2007-01-31 16:08:26  Rev 9345   johannes

	* src/uidrivers/qt3/widgets/menu.py,
	  src/uidrivers/qt3/widgets/menuitem.py,
	  src/uidrivers/qt3/widgets/form.py: Implemented <menu> and <menuitem>

2007-01-31 07:50:00  Rev 9344   reinhard

	* samples/function/menu.gfd, src/GFObjects/commanders.py,
	  src/GFForm.py, src/uidrivers/wx26/widgets/menuitem.py,
	  defaults/default.gfd: More work on dynamic menus.
	  issue79 testing

2007-01-30 18:01:50  Rev 9343   jan

	* src/uidrivers/win32/widgets, src/uidrivers/win32/widgets/form: add
	  missing svn:ignore properties

2007-01-30 15:21:09  Rev 9342   johannes

	* src/GFObjects/GFTabStop.py,
	  src/input/displayHandlers/datehandler.py,
	  src/input/displayHandlers/Cursor.py: displayhandler can return a tip

2007-01-30 15:02:16  Rev 9341   johannes

	* src/input/displayHandlers/datehandler.py: Better algorithm for
	  guessing the century.  Improved autocompletion.

2007-01-27 00:36:40  Rev 9340   reinhard

	* src/GFForm.py, defaults/default.gfd: Dynamically enable and disable
	  actions defined in default.gfd.

2007-01-26 23:11:58  Rev 9338   reinhard

	* src/GFObjects/GFBlock.py, src/GFForm.py: Added some methods to
	  trigger namespace necessary to dynamically enable/disable actions.
	  issue79 in-progress

2007-01-26 22:00:32  Rev 9337   reinhard

	* src/GFObjects/commanders.py, src/GFParser.py,
	  src/uidrivers/wx26/widgets/menuitem.py, defaults/default.gfd: Added
	  hotkeys to menus.

2007-01-26 19:44:44  Rev 9335   reinhard

	* src/GFObjects/commanders.py, src/uidrivers/wx26/widgets/menuitem.py:
	  Changed menu code to match function naming of other objects.

2007-01-26 10:59:35  Rev 9333   johannes

	* src/input/displayHandlers/datehandler.py: Catch invalid values and
	  raise a proper exception

2007-01-26 10:08:58  Rev 9332   johannes

	* src/input/displayHandlers/datehandler.py,
	  src/input/displayHandlers/Cursor.py, src/GFObjects/GFField.py:
	  Auto-completion and display string parsing for date fields

2007-01-26 08:01:55  Rev 9331   jcater

	* src/uidrivers/qt4/widgets/form.py,
	  src/uidrivers/qt4/widgets/_base.py,
	  src/uidrivers/qt4/widgets/button.py, src/uidrivers/qt4/dialogs.py,
	  src/uidrivers/qt4/widgets/page.py,
	  src/uidrivers/qt4/widgets/vbox.py, src/uidrivers/qt4/QTApp.py,
	  src/uidrivers/qt4/widgets/label.py,
	  src/uidrivers/qt4/widgets/image.py, src/uidrivers/qt4/UIdriver.py,
	  src/uidrivers/qt4/MenuBar.py,
	  src/uidrivers/qt4/widgets/scrollbar.py,
	  src/uidrivers/qt4/widgets/grid.py, src/uidrivers/qt4/widgets/box.py,
	  src/uidrivers/qt4/ToolBar.py, src/uidrivers/qt4/widgets/gridline.py,
	  src/uidrivers/qt4/UILoginHandler.py,
	  src/uidrivers/qt4/widgets/hbox.py,
	  src/uidrivers/qt4/widgets/entry.py: change from qt API to PyQt4 API

2007-01-26 08:00:24  Rev 9330   jcater

	* src/uidrivers/qt4, src/uidrivers/qt4/widgets/form.py,
	  src/uidrivers/qt4/widgets, src/uidrivers/qt4/widgets/_base.py,
	  src/uidrivers/qt4/widgets/button.py,
	  src/uidrivers/qt4/widgets/page.py, src/uidrivers/qt4/dialogs.py,
	  src/uidrivers/qt4/widgets/vbox.py,
	  src/uidrivers/qt4/widgets/label.py, src/uidrivers/qt4/QTApp.py,
	  src/uidrivers/qt4/widgets/image.py,
	  src/uidrivers/qt4/widgets/scrollbar.py,
	  src/uidrivers/qt4/MenuBar.py, src/uidrivers/qt4/UIdriver.py,
	  src/uidrivers/qt4/widgets/grid.py, src/uidrivers/qt4/widgets/box.py,
	  src/uidrivers/qt4/__init__.py, src/uidrivers/qt4/ToolBar.py,
	  src/uidrivers/qt4/widgets/gridline.py,
	  src/uidrivers/qt4/UILoginHandler.py,
	  src/uidrivers/qt4/widgets/__init__.py,
	  src/uidrivers/qt4/widgets/hbox.py,
	  src/uidrivers/qt4/widgets/entry.py: copy of qt3 driver into qt4

2007-01-26 06:38:04  Rev 9328   jcater

	* src/GFObjects/GFField.py: try: except: block looks incorrectly
	  structured; (list of exceptions should be a tuple)

2007-01-25 03:53:23  Rev 9327   jcater

	* setup.cvs: got rid of error message about gnue/share/forms/ not
	  existing

2007-01-23 09:52:51  Rev 9326   johannes

	* samples/layout/absolute.gfd: Don't access a block within ON-STARTUP
	  of the main form

2007-01-22 15:04:46  Rev 9325   reinhard

	* defaults/default.gfd: Defined default menu.

2007-01-18 12:53:43  Rev 9323   reinhard

	* src/uidrivers/wx26/UIdriver.py: Added label to list of widgets to
	  test for size.

2007-01-17 15:36:56  Rev 9322   johannes

	* src/input/displayHandlers/datehandler.py,
	  src/input/displayHandlers/DateTime.py,
	  src/input/displayHandlers/__init__.py: Renamed display handler for
	  date related entries so it does not conflict  on VFAT anymore

2007-01-17 13:57:54  Rev 9321   johannes

	* src/input/displayHandlers/Cursor.py,
	  src/uidrivers/wx26/widgets/entry.py: Prepared for autocompletion in
	  displayHandler

2007-01-16 19:17:32  Rev 9320   johannes

	* src/uidrivers/wx26/UIdriver.py: Fixed control_border() for
	  positioned layout.  Thanks to elTigre.

2007-01-16 16:02:22  Rev 9319   reinhard

	* po/ro.po, src/__init__.py, doc/gnue-forms.dtd, doc/man/gnue-forms.1,
	  po/ru.po, po/fr.po, po/de.po, po/nl.po, po/es_MX.po, po/hu.po,
	  po/es_ES.po, po/lt.po: Released 0.6-alpha2.

2007-01-16 15:52:00  Rev 9318   johannes

	* src/uidrivers/wx26/widgets/_base.py,
	  src/uidrivers/wx26/widgets/entry.py: Use a default length for
	  date-related fields

2007-01-16 14:57:03  Rev 9317   johannes

	* src/uidrivers/wx26/widgets/_base.py,
	  src/input/displayHandlers/Cursor.py, src/GFObjects/GFField.py,
	  src/uidrivers/wx26/widgets/entry.py,
	  src/uidrivers/wx26/widgets/image.py, src/uidrivers/wx26/UIdriver.py,
	  src/uidrivers/wx26/widgets/form.py: Allow length attribute for
	  lookup-fields again Introduced minimum-, default- and maximum-size
	  hints

2007-01-15 15:04:39  Rev 9316   johannes

	* src/uidrivers/wx26/widgets/_base.py: if no GNUe:Sizer:max_width is
	  specified, use the GFField's length (if  available).

2007-01-15 14:44:20  Rev 9315   johannes

	* src/uidrivers/_base/widgets/_base.py,
	  src/uidrivers/wx26/UIdriver.py: Better default size for multiline
	  edits

2007-01-15 07:24:57  Rev 9311   johannes

	* src/uidrivers/wx26/widgets/_base.py: GFButton has no style (maybe it
	  should have one in the future)

2007-01-14 15:48:51  Rev 9310   neilt

	* packaging/fink/gnue-forms-py.info: Update Fink files to latest
	  releases.

2007-01-13 21:24:19  Rev 9307   reinhard

	* samples/layout, samples/masks, samples/i18n, samples/gauntlet,
	  samples/function, samples/datasource, samples/subforms, samples,
	  samples/trigger: Samples restructuring, first part.

2007-01-13 15:08:41  Rev 9302   johannes

	* src/uidrivers/wx26/widgets/_base.py,
	  src/uidrivers/_base/widgets/_base.py,
	  src/uidrivers/wx26/widgets/entry.py, src/uidrivers/wx26/UIdriver.py:
	  Added GNUe:Sizer:defwidth/height so an entry can define a 'default
	  size'  to start with. (still work in progress though)

2007-01-12 20:01:00  Rev 9301   reinhard

	* src/uidrivers/wx26/widgets/form.py: Ok, I think that's it for now.

2007-01-12 19:45:02  Rev 9300   reinhard

	* src/uidrivers/wx26/widgets/form.py: More fixes.

2007-01-12 18:25:21  Rev 9296   reinhard

	* src/uidrivers/wx26/widgets/form.py: More work on embedded forms.

2007-01-12 17:20:16  Rev 9291   reinhard

	* src/GFInstance.py: Added possibility to keep GFInstance alive
	  without any open form.

2007-01-12 16:08:51  Rev 9290   reinhard

	* src/GFInstance.py, src/uidrivers/wx26/widgets/form.py: More work on
	  embedded forms.

2007-01-12 15:18:34  Rev 9288   reinhard

	* src/uidrivers/wx26/ToolBar.py, src/uidrivers/wx26/widgets/form.py:
	  Create toolbar with frame as direct parent.

2007-01-12 14:41:28  Rev 9287   reinhard

	* src/uidrivers/wx26/widgets/form.py: First steps towards embedded
	  forms.

2007-01-12 14:38:05  Rev 9285   reinhard

	* src/uidrivers/html/widgets: Added ignore property.

2007-01-12 12:46:29  Rev 9284   reinhard

	* src/input/displayHandlers/Cursor.py: Improved behaviour for wrong
	  input.

2007-01-12 12:16:47  Rev 9280   reinhard

	* src/GFInstance.py: Fixed typo.

2007-01-12 12:13:02  Rev 9279   reinhard

	* src/uidrivers/html/GFServer.py, src/GFClient.py: Use new instance
	  functions.

2007-01-12 12:01:51  Rev 9278   reinhard

	* src/GFForm.py, src/GFInstance.py: Reuse existing GFInstance when
	  loading forms from another file.

2007-01-12 11:58:24  Rev 9277   reinhard

	* src/GFInstance.py: Slight restructuring.

2007-01-12 11:04:58  Rev 9276   reinhard

	* src/GFForm.py, src/GFInstance.py, src/uidrivers/html/GFServer.py:
	  Moved handling of subforms from GFInstance to GFForm.

2007-01-12 11:01:10  Rev 9275   reinhard

	* src/GFParser.py: Oops - it is still used.

2007-01-12 10:59:20  Rev 9274   reinhard

	* src/GFParser.py: GFForm._connections is not used any more.

2007-01-12 09:25:58  Rev 9272   reinhard

	* etc, MANIFEST.in, images/macosx, src/GFInstance.py, dialogs,
	  defaults, setup.py, images/winxp, setup.cvs: Update and cleanup of
	  installation files.

2007-01-12 08:51:02  Rev 9270   johannes

	* src/uidrivers/qt3/UIdriver.py: Create the splash after building the
	  Qt.App()

2007-01-12 08:44:24  Rev 9269   reinhard

	* setup.cvs: Include default.gfd in setup.cvs.

2007-01-12 08:40:49  Rev 9268   reinhard

	* etc, etc/default.gfd: Added default form.

2007-01-11 22:41:03  Rev 9267   reinhard

	* src/GFForm.py: Found much simpler way of merging standard menu and
	  toolbar into a loaded form.
	  issue79 in-progress

2007-01-11 22:35:38  Rev 9266   reinhard

	* src/GFObjects/commanders.py: Link commanders to actions in phase 2
	  init, because the action dictionary is only created in phase 1 init.

2007-01-11 22:26:46  Rev 9265   reinhard

	* src/uidrivers/wx26/widgets/menu.py: Avoid setting the menu bar for
	  dialogs.

2007-01-11 21:31:52  Rev 9264   reinhard

	* src/GFForm.py, src/GFInstance.py: Moved merging of default menu and
	  toolbar from GFInstance to GFForm.

2007-01-11 20:38:23  Rev 9263   reinhard

	* src/GFParser.py: Allow menu, toolbar et al in dialogs.

2007-01-11 20:27:33  Rev 9262   reinhard

	* src/GFForm.py, src/GFInstance.py: Moved rearrange_boxes from
	  GFInstance to GFForm.

2007-01-11 20:06:46  Rev 9260   reinhard

	* src/uidrivers/_base/UIdriver.py, src/GFInstance.py,
	  src/uidrivers/wx/UIdriver.py, src/uidrivers/win32/UIdriver.py,
	  src/uidrivers/curses/UIdriver.py, src/uidrivers/wx26/UIdriver.py,
	  src/uidrivers/gtk2/UIdriver.py, src/uidrivers/qt3/UIdriver.py:
	  Merged GFUserInterface._initialize into __init__.

2007-01-11 19:56:13  Rev 9259   reinhard

	* src/uidrivers/gtk2/ToolBar.py: Use toggling function only for toggle
	  buttons.

2007-01-11 16:04:04  Rev 9258   reinhard

	* src/GFConfig.py, src/GFObjects/GFField.py: Removed unused config
	  options.

2007-01-11 15:29:10  Rev 9257   reinhard

	* src/GFObjects/GFBlock.py: Added new function name aliases with
	  underscores instead of camel case.

2007-01-10 14:41:29  Rev 9256   reinhard

	* src/input/displayHandlers/Cursor.py: Added some comments and a minor
	  structure improvement.

2007-01-10 14:40:56  Rev 9255   reinhard

	* src/GFParser.py: Allow actions within dialogs.

2007-01-10 14:30:54  Rev 9254   johannes

	* src/uidrivers/wx26/widgets/form.py: Make dialog style forms resizable

2007-01-10 14:27:45  Rev 9253   johannes

	* src/GFForm.py, src/input/displayHandlers/Cursor.py: Don't call
	  __updateFieldValue more than once.  This fixes autoquery  support on
	  wxMSW and QT3

2007-01-10 10:38:07  Rev 9251   johannes

	* src/uidrivers/qt3/widgets/entry.py: Also enable Return-key for
	  navigation

2007-01-10 08:01:38  Rev 9250   johannes

	* src/uidrivers/wx26/widgets/entry.py: Uhh, do not use a red
	  background for entries !!!

2007-01-09 22:00:16  Rev 9249   reinhard

	* src/GFObjects/GFBlock.py: Force save before query() only if the
	  queried block or one of its details has pending changes.

2007-01-09 20:53:37  Rev 9247   reinhard

	* src/GFObjects/GFBlock.py, src/GFForm.py, src/GFObjects/GFField.py:
	  Replaced is_empty() by more generally usable get_record_status().

2007-01-09 20:36:17  Rev 9246   jamest

	* src/uidrivers/qt3/widgets/image.py: added scrollable viewport to
	  images under qt3 driver

2007-01-09 18:09:54  Rev 9241   reinhard

	* src/GFForm.py, src/uidrivers/_commonGuiToolkit/ToolBar.py: Use canXX
	  and cannotXX events to determine whether a button should be pressed
	  in or not. This finally makes it possible to disable toggle buttons
	  and fixes the non-working "deletable" attribute of blocks.

2007-01-09 15:38:08  Rev 9239   johannes

	* src/uidrivers/wx26/widgets/entry.py, src/uidrivers/wx26/UIdriver.py:
	  Moved required wx-version for OS X to 2.8.  This means focus works
	  for  all kind of widgets (including buttons and checkboxes) as well
	  as better  support for dropdowns

2007-01-09 15:19:41  Rev 9238   reinhard

	* src/GFForm.py: Moved ON-STARTUP trigger before UI form creation, so
	  suppressing menu bar, toolbar and status bar work again.

2007-01-09 10:55:35  Rev 9237   johannes

	* src/input/displayHandlers/Cursor.py: Proper handling of autocomplete

2007-01-09 10:08:39  Rev 9236   johannes

	* src/uidrivers/wx26/widgets/entry.py: Pass the NEXTENTRY to GFForm on
	  GTK

2007-01-09 09:54:29  Rev 9235   johannes

	* src/uidrivers/wx26/widgets/entry.py: Don't explicitly process the
	  TAB key since this will be done  automatically

2007-01-08 23:39:24  Rev 9232   reinhard

	* src/uidrivers/wx/widgets/image.py,
	  src/uidrivers/gtk2/widgets/image.py,
	  src/uidrivers/qt3/widgets/image.py: Added _ui_set_editable_ to image
	  implementations (although not sure if it makes sense at all).

2007-01-08 23:13:36  Rev 9231   reinhard

	* src/GFObjects/GFBlock.py, src/GFObjects/GFTabStop.py,
	  src/uidrivers/wx/widgets/entry.py,
	  src/input/displayHandlers/Cursor.py,
	  src/uidrivers/win32/widgets/entry.py, src/GFObjects/GFField.py,
	  src/uidrivers/curses/widgets/entry.py,
	  src/uidrivers/wx26/widgets/entry.py,
	  src/uidrivers/gtk2/widgets/entry.py,
	  src/uidrivers/qt3/widgets/entry.py,
	  src/uidrivers/wx26/widgets/image.py,
	  src/input/displayHandlers/Checkbox.py: (Re-)implemented editable
	  Y/N/new/update/null feature.

2007-01-08 18:59:17  Rev 9230   reinhard

	* src/GFParser.py: Removed non-functional <field> attribute readonly.

2007-01-08 13:01:08  Rev 9221   johannes

	* src/uidrivers/curses/widgets/_base.py, src/GFObjects/GFVBox.py,
	  src/uidrivers/gtk2/widgets/_base.py, src/GFObjects/GFParameter.py,
	  src/uidrivers/qt3/widgets/page.py,
	  src/uidrivers/_commonGuiToolkit/MenuBar.py,
	  src/uidrivers/win32/widgets/scrollbar.py,
	  src/input/displayHandlers/Listbox.py,
	  src/uidrivers/wx26/UISplashScreen.py,
	  src/uidrivers/gtk2/widgets/image.py, src/GFObjects/GFOptions.py,
	  src/uidrivers/gtk2/GFApp.py,
	  src/uidrivers/_commonGuiToolkit/ToolBar.py,
	  src/uidrivers/wx26/__init__.py, src/GFInstance.py, src/GFLibrary.py,
	  src/uidrivers/curses/widgets/gridline.py,
	  src/uidrivers/wx/GFwxApp.py, src/uidrivers/wx26/widgets/hbox.py,
	  src/uidrivers/win32/widgets/form/wrappers.py,
	  src/uidrivers/wx26/widgets/form.py,
	  src/uidrivers/wx/widgets/page.py, src/uidrivers/wx/dialogs.py,
	  src/uidrivers/wx26/widgets/menu.py, src/uidrivers/curses/dialogs.py,
	  src/uidrivers/win32/widgets/label.py,
	  src/uidrivers/html/GFServer.py,
	  src/uidrivers/gtk2/widgets/button.py, src/GFObjects/__init__.py,
	  src/uidrivers/wx/widgets/box.py, src/uidrivers/html/MenuBar.py,
	  src/uidrivers/gtk2/common.py, src/uidrivers/win32/dialog.py,
	  src/uidrivers/wx/UILoginHandler.py,
	  src/uidrivers/curses/widgets/box.py,
	  src/uidrivers/gtk2/widgets/form/widget.py,
	  src/uidrivers/html/ToolBar.py, src/uidrivers/html/widgets/form.py,
	  src/uidrivers/win32/widgets/_base.py, src/GFObjects/GFLayout.py,
	  src/uidrivers/html/widgets/button.py,
	  src/uidrivers/wx/widgets/scrollbar.py,
	  src/uidrivers/curses/widgets/vbox.py, src/uidrivers/wx26/dialogs.py,
	  src/uidrivers/wx26/widgets/page.py,
	  src/uidrivers/win32/widgets/image.py, src/uidrivers/html/common.py,
	  src/GFObjects/GFGrid.py, src/uidrivers/curses/UIdriver.py,
	  src/uidrivers/gtk2/widgets/scrollbar.py,
	  src/uidrivers/wx26/widgets/box.py, src/GFObjects/GFGridLine.py,
	  src/uidrivers/wx/UIWXSplashScreen.py, src/GFConfig.py,
	  src/uidrivers/wx26/UILoginHandler.py,
	  src/uidrivers/wx/widgets/form/wrappers.py,
	  src/uidrivers/curses/widgets/entry.py,
	  src/uidrivers/qt3/UILoginHandler.py,
	  src/uidrivers/gtk2/widgets/entry.py,
	  src/uidrivers/wx/widgets/label.py,
	  src/uidrivers/win32/widgets/page.py,
	  src/uidrivers/html/widgets/page.py, src/GFObjects/GFLabel.py,
	  src/uidrivers/html/widgets/label.py, src/uidrivers/qt3/dialogs.py,
	  src/uidrivers/_base/Exceptions.py, src/uidrivers/win32/MenuBar.py,
	  src/uidrivers/qt3/widgets/vbox.py,
	  src/uidrivers/_commonGuiToolkit/UIdriver.py,
	  src/uidrivers/qt3/widgets/label.py, src/GFParser.py,
	  src/uidrivers/wx26/widgets/menuitem.py, src/GFObjects/GFBox.py,
	  src/uidrivers/wx26/widgets/scrollbar.py,
	  src/uidrivers/curses/widgets/grid.py,
	  src/uidrivers/gtk2/UIdriver.py, src/uidrivers/gtk2/MenuBar.py,
	  src/uidrivers/win32/ToolBar.py, src/uidrivers/gtk2/widgets/box.py,
	  src/uidrivers/win32/UILoginHandler.py, src/GFObjects/GFHBox.py,
	  src/uidrivers/curses/UILoginHandler.py,
	  src/uidrivers/wx26/widgets/gridline.py,
	  src/GFObjects/GFComponent.py, src/uidrivers/gtk2/ToolBar.py,
	  src/input/displayHandlers/Password.py,
	  src/uidrivers/wx/widgets/_base.py,
	  src/uidrivers/wx/widgets/button.py,
	  src/uidrivers/html/widgets/_base.py,
	  src/uidrivers/wx/widgets/image.py,
	  src/uidrivers/qt3/widgets/_base.py, src/uidrivers/wx/common.py,
	  src/uidrivers/wx/UIdriver.py, src/uidrivers/_base/widgets/_base.py,
	  src/GFObjects/GFImage.py, src/uidrivers/gtk2/widgets/page.py,
	  src/GFObjects/GFField.py, src/uidrivers/wx26/widgets/label.py,
	  src/uidrivers/html/widgets/image.py,
	  src/input/displayHandlers/Text.py,
	  src/uidrivers/qt3/widgets/image.py,
	  src/uidrivers/gtk2/SplashScreen.py,
	  src/uidrivers/qt3/widgets/grid.py,
	  src/uidrivers/win32/widgets/entry.py, src/uidrivers/wx/PrintForm.py,
	  src/dialogs/_base.py, src/GFObjects/GFOption.py,
	  src/GFObjects/commanders.py, src/uidrivers/wx26/widgets/_base.py,
	  src/uidrivers/html/GFhtmlApp.py,
	  src/uidrivers/wx26/widgets/button.py, src/uidrivers/wx/MenuBar.py,
	  src/uidrivers/qt3/widgets/button.py, src/GFObjects/GFScrollBar.py,
	  src/uidrivers/html/Generator.py, src/uidrivers/wx26/widgets/vbox.py,
	  src/uidrivers/html/UISplashScreen.py,
	  src/uidrivers/wx26/widgets/image.py,
	  src/uidrivers/win32/widgets/form/widget.py,
	  src/uidrivers/wx26/UIdriver.py, src/uidrivers/wx/ToolBar.py,
	  src/GFObjects/GFBlock.py, src/GFObjects/GFDataSource.py,
	  src/uidrivers/_base/UIdriver.py, src/uidrivers/html/widgets/box.py,
	  src/uidrivers/curses/__init__.py, src/GFObjects/GFLogic.py,
	  src/input/displayHandlers/__init__.py,
	  src/uidrivers/qt3/widgets/gridline.py,
	  src/uidrivers/curses/widgets/hbox.py,
	  src/input/displayHandlers/Component.py,
	  src/uidrivers/curses/widgets/form.py, src/GFClient.py,
	  src/GFObjects/GFObj.py, src/uidrivers/win32/GFwin32App.py,
	  src/uidrivers/win32/widgets/button.py, src/GFObjects/GFTabStop.py,
	  src/GFObjects/GFPage.py, src/uidrivers/curses/widgets/button.py,
	  src/input/displayHandlers/Cursor.py, src/uidrivers/win32/common.py,
	  src/input/displayHandlers/Image.py, src/uidrivers/win32/UIdriver.py,
	  src/uidrivers/curses/widgets/scrollbar.py,
	  src/uidrivers/html/UIdriver.py, src/uidrivers/wx26/MenuBar.py,
	  src/input/displayHandlers/Checkbox.py,
	  src/uidrivers/qt3/widgets/scrollbar.py,
	  src/uidrivers/wx26/widgets/grid.py, src/GFForm.py,
	  src/uidrivers/wx/widgets/entry.py,
	  src/input/displayHandlers/DateTime.py, src/GFObjects/GFEntry.py,
	  src/uidrivers/wx26/ToolBar.py,
	  src/uidrivers/win32/widgets/form/__init__.py,
	  src/uidrivers/html/widgets/entry.py,
	  src/input/displayHandlers/Numeric.py,
	  src/uidrivers/gtk2/UILoginHandler.py,
	  src/uidrivers/qt3/widgets/hbox.py,
	  src/uidrivers/qt3/widgets/entry.py,
	  src/uidrivers/qt3/widgets/form.py, src/GFObjects/GFButton.py,
	  src/uidrivers/gtk2/widgets/form/wrappers.py, src/__init__.py,
	  src/uidrivers/win32/dialogs.py,
	  src/uidrivers/curses/widgets/page.py, src/GFObjects/GFContainer.py,
	  src/uidrivers/gtk2/dialogs.py,
	  src/uidrivers/curses/widgets/label.py,
	  src/uidrivers/wx/widgets/form/widget.py,
	  src/uidrivers/gtk2/widgets/label.py, src/uidrivers/qt3/QTApp.py,
	  src/input/GFKeyMapper.py, src/uidrivers/qt3/MenuBar.py,
	  src/uidrivers/qt3/UIdriver.py, src/uidrivers/win32/widgets/box.py,
	  src/uidrivers/qt3/widgets/box.py,
	  src/input/displayHandlers/Dropdown.py,
	  src/uidrivers/html/UILoginHandler.py,
	  src/uidrivers/_base/UserActions.py, src/uidrivers/qt3/ToolBar.py,
	  src/uidrivers/wx26/widgets/entry.py,
	  src/uidrivers/gtk2/widgets/component.py: Updated copyright headers

2007-01-05 21:17:07  Rev 9218   reinhard

	* MANIFEST.in, README, setup.py: Removed references to samples dir.

2007-01-05 21:13:38  Rev 9217   reinhard

	* samples: Removed old and partially unmaintained samples. Please use
	  gnue-samples in future.

2007-01-05 19:23:02  Rev 9214   reinhard

	* src/GFObjects/GFBlock.py: Fixed LIKE conditions for fields of
	  datatype raw.

2007-01-05 16:03:21  Rev 9210   reinhard

	* src/GFObjects/GFBlock.py: Damn! xrange() stops at the number
	  *before* the given end!

2007-01-05 15:56:17  Rev 9209   reinhard

	* src/GFObjects/GFBlock.py: Default get_data to return all fields.

2007-01-05 09:15:25  Rev 9206   reinhard

	* src/GFObjects/GFBlock.py: Run POST-CHANGE trigger after updating
	  foreign key fields.

2007-01-05 08:44:10  Rev 9205   johannes

	* src/uidrivers/qt3/widgets/entry.py: Fixed toggling of checkbox if
	  they were clicked while another entry had  the focus.

2007-01-04 22:45:24  Rev 9203   reinhard

	* src/input/displayHandlers/Image.py: Give installation sources in
	  exception detail.

2007-01-04 20:36:51  Rev 9202   jamest

	* src/input/displayHandlers/__init__.py,
	  src/input/displayHandlers/Image.py: don't import PIL unless the form
	  contains an <image> abort if form requires an <image> and PIL is not
	  available

2007-01-04 08:33:44  Rev 9199   johannes

	* src/GFClient.py: Only search for uidrivers in gnue.forms.uidrivers

2007-01-03 21:23:04  Rev 9198   reinhard

	* src/GFObjects/GFParameter.py: Fixed access to GFParameter.

2007-01-03 21:08:42  Rev 9197   reinhard

	* src/GFObjects/GFBlock.py: Really set form into query mode for
	  copy_query().

2007-01-03 19:59:58  Rev 9196   reinhard

	* src/GFParser.py: Make 'raw' datatype the default, for compatibility
	  reasons.

2007-01-03 19:59:33  Rev 9195   reinhard

	* src/GFObjects/GFField.py: Allow length also for 'raw' datatype, for
	  compatibility reasons.

2007-01-02 11:02:38  Rev 9193   reinhard

	* src/input/displayHandlers/Cursor.py: Refresh display after changing
	  from edit to non-edit mode. This fixes the selection not
	  disappearing in dropdowns after moving the focus out of the entry.

2006-12-29 14:02:06  Rev 9192   reinhard

	* src/GFInstance.py: Pass changed parameters back in
	  GFInstance.activate()

2006-12-29 10:14:23  Rev 9190   reinhard

	* src/uidrivers/wx26/widgets/form.py: Implemented missing function
	  _ui_set_title_ in wx26 driver.

2006-12-22 08:44:46  Rev 9189   johannes

	* src/uidrivers/curses/widgets/entry.py: Added Select-All support to
	  TextEntry and it's derived widgets

2006-12-22 08:24:55  Rev 9188   johannes

	* src/uidrivers/_base/widgets/_base.py: span is set for all widgets

2006-12-22 08:09:47  Rev 9187   johannes

	* src/GFObjects/GFField.py: Use proper Exception class

2006-12-22 07:50:49  Rev 9186   johannes

	* src/input/displayHandlers/__init__.py: Make <image> tags work again

2006-12-21 09:28:49  Rev 9184   reinhard

	* src/GFObjects/GFBlock.py, src/GFObjects/GFField.py: Removed
	  GFBlock._fieldList, initialize GFBlock._fieldMap more directly.

2006-12-21 08:38:03  Rev 9183   johannes

	* src/uidrivers/curses/widgets/_base.py,
	  src/uidrivers/curses/widgets/grid.py: Don't crash with forms having
	  empty pages

2006-12-20 13:03:04  Rev 9182   johannes

	* src/uidrivers/curses/widgets/entry.py,
	  src/uidrivers/curses/widgets/form.py,
	  src/uidrivers/curses/widgets/grid.py: Properly shrink grids on resize

2006-12-20 09:16:17  Rev 9181   johannes

	* src/uidrivers/curses/widgets/page.py,
	  src/uidrivers/curses/UIdriver.py,
	  src/uidrivers/curses/widgets/form.py: Added Resize-support, so a
	  form can change it's size when it's window  get's resized

2006-12-20 08:09:40  Rev 9180   johannes

	* src/uidrivers/curses/widgets/grid.py: Grid get additional rows as
	  the get more space available to the control

2006-12-19 15:54:55  Rev 9179   johannes

	* src/uidrivers/curses/widgets/entry.py: Better implementation of
	  selections in multiline edits

2006-12-19 15:35:43  Rev 9178   johannes

	* src/input/displayHandlers/Cursor.py: Proper handling of
	  cursor-movement and selecting

2006-12-19 14:51:26  Rev 9177   johannes

	* src/uidrivers/curses/widgets/entry.py: Selection and navigation keys
	  in multiline edits

2006-12-19 10:49:04  Rev 9176   johannes

	* src/uidrivers/curses/widgets/entry.py: Multiline text edit is
	  capable of entering text now (although selection  is still missing)

2006-12-19 09:51:34  Rev 9175   johannes

	* src/uidrivers/curses/widgets/entry.py: Removed unused instance
	  variables

2006-12-19 08:56:01  Rev 9174   johannes

	* src/uidrivers/curses/UIdriver.py,
	  src/uidrivers/curses/widgets/form.py: Only refresh the current form
	  after selecting an option from a dropdown

2006-12-19 08:44:52  Rev 9173   johannes

	* src/uidrivers/curses/widgets/_base.py,
	  src/uidrivers/curses/widgets/entry.py: Proper restoring of cursor
	  positions and selections

2006-12-18 15:28:49  Rev 9172   johannes

	* src/uidrivers/curses/widgets/_base.py,
	  src/uidrivers/curses/widgets/gridline.py,
	  src/uidrivers/curses/widgets/grid.py: Proper horizontal offset

2006-12-18 14:55:09  Rev 9171   johannes

	* src/uidrivers/curses/widgets/_base.py,
	  src/uidrivers/curses/widgets/button.py,
	  src/uidrivers/curses/widgets/gridline.py,
	  src/uidrivers/curses/widgets/entry.py,
	  src/uidrivers/curses/widgets/grid.py: Added first version of
	  grid-support to curses

2006-12-18 14:54:23  Rev 9170   johannes

	* src/GFObjects/GFGrid.py: Set the _gap for all children of a grid to
	  the number of rows  (gridlines)

2006-12-18 13:53:52  Rev 9169   johannes

	* src/uidrivers/curses/widgets/page.py: Don't add row-offset twice for
	  positioned layout

2006-12-15 08:06:48  Rev 9167   johannes

	* samples/intro/intro.gfd: Refined sample

2006-12-15 07:40:02  Rev 9166   johannes

	* src/uidrivers/curses/widgets/button.py: use proper _ui_* event
	  handler

2006-12-14 18:03:19  Rev 9165   reinhard

	* src/input/displayHandlers/Checkbox.py: Refresh UI after the checkbox
	  state was changed.

2006-12-14 15:40:12  Rev 9164   johannes

	* src/uidrivers/curses/widgets/_base.py,
	  src/uidrivers/curses/widgets/entry.py: Started refactoring curses
	  entry widgets (not done yet)

2006-12-13 09:59:22  Rev 9163   johannes

	* src/uidrivers/curses/widgets/button.py: Hide and Seek with the cursor

2006-12-13 09:33:38  Rev 9162   johannes

	* src/uidrivers/curses/widgets/_base.py,
	  src/uidrivers/curses/widgets/entry.py: Listboxes do have a selection

2006-12-13 09:03:46  Rev 9161   johannes

	* src/input/displayHandlers/Cursor.py: Use the entry-style for
	  checking multiline edits

2006-12-12 21:15:10  Rev 9160   reinhard

	* src/GFObjects/GFField.py: Made lookup dictionaries and lists private
	  to GFField.

2006-12-12 20:59:50  Rev 9159   reinhard

	* src/GFObjects/GFBlock.py, src/GFObjects/GFField.py: New public
	  function for GFField to do a reverse lookup.

2006-12-12 20:50:27  Rev 9158   reinhard

	* src/uidrivers/wx/widgets/entry.py,
	  src/uidrivers/html/widgets/entry.py: Removed some dead code.

2006-12-12 20:48:43  Rev 9157   reinhard

	* src/GFObjects/GFBlock.py: Better implementation for get_data().

2006-12-12 20:29:11  Rev 9156   reinhard

	* src/uidrivers/html/widgets/entry.py: Removed incorrect access to
	  GFField.allowedValues

2006-12-12 20:27:06  Rev 9155   reinhard

	* src/uidrivers/wx/widgets/_base.py: Fixed handling of allowed values
	  for dropdowns.

2006-12-12 20:04:26  Rev 9154   reinhard

	* src/GFInstance.py, src/input/displayHandlers/Cursor.py,
	  src/input/displayHandlers/Checkbox.py: Better way of refreshing
	  display.

2006-12-12 19:50:37  Rev 9153   reinhard

	* src/GFInstance.py, src/input/displayHandlers/Cursor.py: Restructured
	  text editing routines.

2006-12-12 19:08:16  Rev 9152   reinhard

	* src/input/displayHandlers/Cursor.py,
	  src/input/displayHandlers/Checkbox.py: Get rid of
	  displayHandler.work, only displayHandler.display is used now. Start
	  of restructuring of user text change handling.

2006-12-12 18:05:33  Rev 9151   reinhard

	* src/input/displayHandlers/Cursor.py: Fixes for selection in
	  dropdowns.

2006-12-12 17:57:40  Rev 9150   reinhard

	* src/input/displayHandlers/Cursor.py, src/GFObjects/GFField.py,
	  src/uidrivers/wx26/widgets/entry.py: Better place for handling
	  autofill.

2006-12-12 17:17:16  Rev 9149   reinhard

	* src/GFForm.py: No need to generate Refresh event after exception -
	  the beginEdit does that anyway.

2006-12-12 16:11:06  Rev 9148   reinhard

	* src/input/displayHandlers/Cursor.py: Minor cleanups.

2006-12-12 16:07:09  Rev 9147   reinhard

	* src/input/displayHandlers/Numeric.py: Fixed typo.

2006-12-12 15:52:19  Rev 9146   johannes

	* src/uidrivers/curses/widgets/box.py: A Box migth be a container too
	  (even for positioned layout)

2006-12-12 15:44:35  Rev 9145   johannes

	* src/uidrivers/win32/widgets/entry.py: fixed typo

2006-12-12 15:39:19  Rev 9144   johannes

	* src/uidrivers/curses/widgets/entry.py: Show the checkbox labels too

2006-12-12 15:31:23  Rev 9143   reinhard

	* src/input/displayHandlers/Dropdown.py,
	  src/uidrivers/wx/widgets/entry.py, src/GFConfig.py: Further cleanup.

2006-12-12 15:05:41  Rev 9142   reinhard

	* src/input/displayHandlers/Cursor.py: More cleanup.

2006-12-12 14:58:01  Rev 9141   johannes

	* src/uidrivers/curses/widgets/_base.py,
	  src/uidrivers/curses/widgets/button.py,
	  src/uidrivers/curses/widgets/page.py,
	  src/uidrivers/curses/widgets/vbox.py,
	  src/uidrivers/curses/widgets/hbox.py,
	  src/uidrivers/curses/widgets/entry.py,
	  src/uidrivers/curses/widgets/form.py: Improving the layout management

2006-12-12 14:55:34  Rev 9140   reinhard

	* src/input/displayHandlers/Base.py,
	  src/input/displayHandlers/Cursor.py: Some cleanup.

2006-12-12 14:32:12  Rev 9139   reinhard

	* src/GFObjects/GFField.py: Don't use %r in error messages as it
	  writes u'foo' instead of 'foo', which looks ugly.

2006-12-12 14:30:08  Rev 9138   reinhard

	* src/input/displayHandlers/Cursor.py: Write "None" (NULL) to the
	  field for empty entries.

2006-12-12 14:27:59  Rev 9137   reinhard

	* src/input/displayHandlers/Cursor.py: Removed unused exception.

2006-12-12 14:21:14  Rev 9136   reinhard

	* src/uidrivers/win32/widgets/entry.py: Use win32's own password
	  obfuscation entry style (untested!).

2006-12-12 14:18:10  Rev 9135   reinhard

	* src/uidrivers/wx/widgets/entry.py,
	  src/input/displayHandlers/Password.py,
	  src/uidrivers/gtk2/widgets/entry.py: Leave obfuscation of password
	  entry up to the user interface.

2006-12-12 13:32:21  Rev 9134   reinhard

	* src/input/displayHandlers/DateTime.py,
	  src/input/displayHandlers/Dropdown.py,
	  src/input/displayHandlers/Cursor.py,
	  src/input/displayHandlers/Component.py,
	  src/input/displayHandlers/Image.py,
	  src/input/displayHandlers/Numeric.py,
	  src/input/displayHandlers/Password.py,
	  src/input/displayHandlers/Listbox.py,
	  src/input/displayHandlers/Text.py,
	  src/input/displayHandlers/Checkbox.py: Removed some redundant code.

2006-12-12 13:16:18  Rev 9133   reinhard

	* src/input/displayHandlers/Listbox.py: Only set editing to True for
	  Listboxes if they are editable.

2006-12-12 13:13:29  Rev 9132   reinhard

	* src/input/displayHandlers/Dropdown.py,
	  src/input/displayHandlers/Listbox.py: No need to check whether
	  allowed values are loaded, this is certain to have happened already
	  here.

2006-12-12 13:05:18  Rev 9131   reinhard

	* src/input/displayHandlers/Dropdown.py,
	  src/input/displayHandlers/Cursor.py,
	  src/input/displayHandlers/Password.py,
	  src/input/displayHandlers/Listbox.py,
	  src/input/displayHandlers/Checkbox.py: Use field.get_value() which
	  returns the foreign key lookup directly.

2006-12-12 12:58:46  Rev 9130   reinhard

	* src/input/displayHandlers/DateTime.py,
	  src/input/displayHandlers/Dropdown.py,
	  src/input/displayHandlers/Cursor.py,
	  src/input/displayHandlers/Component.py,
	  src/input/displayHandlers/Image.py,
	  src/input/displayHandlers/Numeric.py,
	  src/input/displayHandlers/Password.py,
	  src/input/displayHandlers/Listbox.py,
	  src/input/displayHandlers/Checkbox.py: Get rid of
	  _buildDisplayHelper().

2006-12-12 12:53:54  Rev 9129   reinhard

	* src/input/displayHandlers/Dropdown.py,
	  src/input/displayHandlers/Cursor.py,
	  src/input/displayHandlers/Password.py,
	  src/input/displayHandlers/Listbox.py,
	  src/input/displayHandlers/Checkbox.py: Get rid of function
	  _buildDisplay().

2006-12-12 11:19:13  Rev 9128   reinhard

	* src/GFObjects/GFTabStop.py, src/input/displayHandlers/DateTime.py,
	  src/input/displayHandlers/Cursor.py,
	  src/input/displayHandlers/Component.py,
	  src/input/displayHandlers/Image.py,
	  src/input/displayHandlers/Numeric.py,
	  src/input/displayHandlers/Password.py,
	  src/input/displayHandlers/Checkbox.py: Added "editing" parameter to
	  build_display().

2006-12-12 11:00:21  Rev 9127   reinhard

	* src/input/displayHandlers/Cursor.py,
	  src/input/displayHandlers/Password.py: Better fix for password style
	  entries.

2006-12-12 10:51:55  Rev 9126   reinhard

	* src/uidrivers/wx26/widgets/_base.py: Fix for widgets bound to lookup
	  fields that are neither dropdowns nor listboxes.

2006-12-07 17:01:59  Rev 9125   btami

	* src/uidrivers/_base/UIdriver.py: use default iconset in no kde/gnome
	  desktop cases

2006-12-07 15:05:12  Rev 9124   johannes

	* src/uidrivers/curses/UIdriver.py: Add Enter to the keymap

2006-12-07 14:53:47  Rev 9123   johannes

	* src/uidrivers/curses/widgets/entry.py: An entry is stretchable if
	  used within a HBox or if it is a multiline

2006-12-07 14:47:07  Rev 9122   johannes

	* src/uidrivers/curses/widgets/box.py,
	  src/uidrivers/curses/widgets/_base.py,
	  src/uidrivers/curses/widgets/page.py,
	  src/uidrivers/curses/widgets/vbox.py,
	  src/uidrivers/curses/widgets/hbox.py,
	  src/uidrivers/curses/widgets/form.py: Further cleanup of box-code,
	  right/bottom available via property

2006-12-07 14:32:31  Rev 9121   johannes

	* src/uidrivers/curses/widgets/box.py,
	  src/uidrivers/curses/widgets/_base.py,
	  src/uidrivers/curses/widgets/page.py,
	  src/uidrivers/curses/widgets/vbox.py,
	  src/uidrivers/curses/widgets/hbox.py,
	  src/uidrivers/curses/widgets/entry.py,
	  src/uidrivers/curses/widgets/form.py: Focus the current entry after
	  building the layout, rearranged box-code

2006-12-07 09:38:12  Rev 9120   johannes

	* src/uidrivers/curses/widgets/box.py,
	  src/uidrivers/curses/widgets/_base.py,
	  src/uidrivers/curses/widgets/button.py,
	  src/uidrivers/curses/widgets/page.py,
	  src/uidrivers/curses/widgets/vbox.py,
	  src/uidrivers/curses/widgets/label.py,
	  src/uidrivers/curses/widgets/hbox.py,
	  src/uidrivers/curses/widgets/entry.py,
	  src/uidrivers/curses/UIdriver.py,
	  src/uidrivers/curses/widgets/form.py,
	  src/uidrivers/curses/widgets/scrollbar.py: Aproaching managed layout

2006-12-07 07:58:07  Rev 9119   johannes

	* src/input/displayHandlers/Cursor.py: Don't crash on password entries
	  (although they're still broken and  checkboxes as well)

2006-12-07 07:52:42  Rev 9118   johannes

	* src/GFObjects/GFField.py: Use the field's minimum length

2006-12-05 22:46:25  Rev 9117   jan

	* src/input/displayHandlers/Password.py: removed surplus parameter

2006-12-04 18:27:55  Rev 9116   reinhard

	* src/input/displayHandlers/Dropdown.py,
	  src/input/displayHandlers/Cursor.py,
	  src/input/displayHandlers/Password.py,
	  src/input/displayHandlers/Listbox.py,
	  src/input/displayHandlers/Checkbox.py: Got rid of
	  displayHandler.value

2006-12-04 18:26:37  Rev 9115   reinhard

	* src/input/displayHandlers/Dropdown.py,
	  src/input/displayHandlers/Cursor.py,
	  src/input/displayHandlers/Listbox.py,
	  src/input/displayHandlers/Text.py: No need to update the display on
	  endEdit - the field will do that. Now _buildDisplay is only called
	  in edit mode any more, so we do not need to check for edit mode
	  there.

2006-12-04 18:10:47  Rev 9114   reinhard

	* src/input/displayHandlers/Dropdown.py,
	  src/input/displayHandlers/Cursor.py,
	  src/input/displayHandlers/Numeric.py,
	  src/input/displayHandlers/Password.py,
	  src/input/displayHandlers/Listbox.py,
	  src/input/displayHandlers/Checkbox.py: Got rid of redundant function
	  displayHandler.setValue().

2006-12-04 18:05:55  Rev 9113   reinhard

	* src/input/displayHandlers/Dropdown.py,
	  src/input/displayHandlers/Cursor.py,
	  src/input/displayHandlers/Password.py,
	  src/input/displayHandlers/Listbox.py,
	  src/input/displayHandlers/Checkbox.py: Try to get rid of
	  displayHandler.value

2006-12-04 17:45:33  Rev 9112   reinhard

	* src/GFObjects/GFField.py: Fixed typo.

2006-12-04 17:42:07  Rev 9111   reinhard

	* src/uidrivers/wx/widgets/entry.py: Removed comment that doesn't
	  match the truth.

2006-12-04 17:40:56  Rev 9110   reinhard

	* src/input/displayHandlers/Cursor.py: Removed unused function
	  displayHandler.getValue().

2006-12-04 17:31:31  Rev 9109   reinhard

	* src/input/displayHandlers/DateTime.py,
	  src/input/displayHandlers/Cursor.py, src/GFObjects/GFField.py,
	  src/input/displayHandlers/Numeric.py,
	  src/input/displayHandlers/Checkbox.py: Further work on cleaning up
	  displayHandlers.

2006-12-04 17:07:01  Rev 9108   reinhard

	* src/input/displayHandlers/DateTime.py,
	  src/input/displayHandlers/Component.py,
	  src/input/displayHandlers/Image.py,
	  src/input/displayHandlers/Password.py,
	  src/input/displayHandlers/Checkbox.py: Implemented new build_display
	  method in all displayHandlers.

2006-12-04 16:56:11  Rev 9107   reinhard

	* src/GFObjects/GFTabStop.py, src/input/displayHandlers/Cursor.py,
	  src/GFObjects/GFField.py: Make use of the new get_value function
	  that already returns the FK lookup for lookup fields.

2006-12-04 16:29:58  Rev 9106   reinhard

	* src/uidrivers/wx26/widgets/entry.py: Removed unnecessary (and not
	  working?) check for changed value.

2006-12-04 16:22:38  Rev 9105   reinhard

	* src/GFObjects/GFField.py: Added minLength check, fixed length check.

2006-12-04 16:17:37  Rev 9104   reinhard

	* src/input/displayHandlers/Cursor.py, src/GFObjects/GFField.py: Moved
	  minimum length check to GFField.

2006-12-04 16:08:14  Rev 9103   reinhard

	* src/GFObjects/GFField.py: Function name cleanup.

2006-12-04 15:45:43  Rev 9102   reinhard

	* src/input/displayHandlers/Cursor.py, src/GFObjects/GFField.py:
	  Convert field values to datatype according to field definition.

2006-12-04 14:05:49  Rev 9100   reinhard

	* src/GFObjects/GFBlock.py, src/GFObjects/GFField.py: Code cleanup,
	  docstrings.

2006-12-04 13:22:28  Rev 9099   reinhard

	* src/GFObjects/GFBlock.py, src/GFObjects/GFField.py: Removed unused
	  function GFField.isQueryable() (always returned True).

2006-12-04 12:42:06  Rev 9098   reinhard

	* src/GFObjects/GFObj.py, src/GFObjects/GFTabStop.py,
	  src/uidrivers/_commonGuiToolkit/ToolBar.py,
	  src/input/displayHandlers/__init__.py,
	  src/uidrivers/_base/UserActions.py, src/GFObjects/GFScrollBar.py,
	  src/input/displayHandlers/Image.py,
	  src/uidrivers/_commonGuiToolkit/MenuBar.py, src/GFObjects/GFGrid.py,
	  src/GFParser.py, src/input/GFKeyMapper.py, src/GFClient.py: Several
	  epydoc fixes.

2006-11-30 15:50:37  Rev 9096   reinhard

	* src/GFObjects/GFBlock.py: Docstrings, minor cleanup.

2006-11-30 13:41:19  Rev 9095   reinhard

	* src/input/displayHandlers/Cursor.py: Store NULL if the empty line
	  has been selected in a dropdown.

2006-11-30 13:03:14  Rev 9094   reinhard

	* src/GFObjects/GFBlock.py, src/GFObjects/GFTabStop.py: Make blocks
	  able to cope with a current record number of -1. This makes it
	  possible to attach a block to the same datasource as a lookup field.
	  issue5 testing

2006-11-29 20:37:30  Rev 9091   reinhard

	* src/GFForm.py: Set initial focus on form activation instead of form
	  initialization.

2006-11-29 20:26:29  Rev 9089   reinhard

	* src/GFForm.py: Correctly define UndefinedParameterError exception
	  class.
	  issue55 testing

2006-11-29 20:23:05  Rev 9088   reinhard

	* src/GFForm.py, src/GFInstance.py, src/GFObjects/GFParameter.py,
	  src/GFParser.py: Make parameters more self-contained, allow access
	  to parameter value in triggers through the parameter object, raise
	  an exception on access to undefined parameter.
	  issue55 testing

2006-11-29 10:14:20  Rev 9086   reinhard

	* src/GFObjects/GFBlock.py, src/GFParser.py: Removed "sloppyQuery"
	  creeping feature.

2006-11-28 19:34:29  Rev 9085   reinhard

	* src/GFForm.py: Made it possible to activate pages without a
	  focusable widget.

2006-11-28 19:13:42  Rev 9084   reinhard

	* src/GFForm.py: Made move_focus() private.

2006-11-28 18:30:48  Rev 9083   reinhard

	* src/GFForm.py: Jump over blocks that don't have navigable entries in
	  next_block() and prev_block().
	  issue36 testing

2006-11-28 18:28:43  Rev 9082   reinhard

	* src/uidrivers/wx26/widgets/button.py,
	  src/uidrivers/wx26/widgets/entry.py,
	  src/uidrivers/wx26/widgets/form.py: Do not mess around with the
	  focus while changing a page.

2006-11-28 17:24:58  Rev 9081   reinhard

	* src/GFForm.py: Cleaned up find_focus and find_and_change_focus.

2006-11-28 16:38:29  Rev 9080   reinhard

	* src/uidrivers/wx26/widgets/form.py: Re-added event.Skip() for page
	  change.

2006-11-28 16:18:05  Rev 9079   reinhard

	* src/uidrivers/win32/widgets/_base.py, src/GFForm.py,
	  src/uidrivers/wx26/widgets/form.py: Always jump to the first entry
	  on a page after the page has been changed.
	  issue65 testing

2006-11-28 14:55:29  Rev 9078   reinhard

	* doc/Developers-Guide.sxw: Fixed documentation regarding POST-QUERY
	  and ON-RECORDLOADED triggers.
	  issue33 resolved

2006-11-28 14:35:16  Rev 9077   reinhard

	* src/GFForm.py: Make sure the focus is set to the first entry *after*
	  the prequery has run, in case the first entry is a dropdown and has
	  to be populated before it receives the focus.

2006-11-28 14:26:14  Rev 9076   reinhard

	* src/input/displayHandlers/Dropdown.py: Be more defensive about
	  allowedValues.

2006-11-28 14:21:07  Rev 9075   reinhard

	* src/GFObjects/GFField.py: Undid last change as it breaks too much.

2006-11-28 14:11:33  Rev 9074   reinhard

	* src/GFObjects/GFField.py: Initialize allowedValues with a dictionary
	  so it is always a valid lookup source.

2006-11-28 12:43:00  Rev 9072   reinhard

	* src/GFParser.py: <entry hidden="Y" is now deprecated.

2006-11-27 15:20:10  Rev 9071   reinhard

	* src/input/displayHandlers/Cursor.py: Don't fire the same POST-CHANGE
	  trigger on selection of a dropdown item *and* on focus-out of the
	  dropdown.
	  issue115 testing

2006-11-27 12:49:52  Rev 9070   reinhard

	* src/GFObjects/GFField.py: Allow length/maxLength attribute only for
	  text fields that are no lookups.
	  issue10 testing

2006-11-27 12:09:37  Rev 9069   reinhard

	* src/uidrivers/wx26/widgets/entry.py: Fixed Tab/Enter handling for
	  dropdowns.

2006-11-27 11:54:10  Rev 9068   reinhard

	* src/input/displayHandlers/Dropdown.py,
	  src/input/displayHandlers/Cursor.py,
	  src/uidrivers/wx26/widgets/entry.py: Let the dropdown also honor the
	  position parameter in the replaceVALUE event.

2006-11-27 10:29:10  Rev 9067   reinhard

	* src/GFObjects/GFField.py: Minor code cleanup.

2006-11-27 10:21:23  Rev 9066   reinhard

	* src/GFObjects/GFBlock.py: Avoid KeyError if a field is set to None
	  twice in query mode. This happened when entering an invalid text in
	  a dropdown while in query mode.
	  issue125 testing

2006-11-27 10:03:27  Rev 9065   johannes

	* src/uidrivers/curses/widgets/page.py: Improved get_key() method so
	  it supports all utf encodings (and it's  prepared for resize events)

2006-11-25 11:47:42  Rev 9064   jan

	* src/uidrivers/html/widgets/_base.py,
	  src/uidrivers/html/widgets/entry.py: Update entry to use new
	  function to update combobox choices

2006-11-24 12:12:16  Rev 9063   btami

	* src/uidrivers/win32/widgets/_base.py,
	  src/uidrivers/win32/widgets/entry.py: added _ui_set_choices_()
	  method to win32 too

2006-11-24 10:58:38  Rev 9062   johannes

	* src/uidrivers/curses/widgets/page.py,
	  src/uidrivers/curses/UIdriver.py,
	  src/uidrivers/curses/widgets/form.py: Pep8-ification

2006-11-24 09:46:08  Rev 9061   johannes

	* src/GFObjects/GFTabStop.py, src/uidrivers/wx/widgets/entry.py,
	  src/uidrivers/wx26/widgets/_base.py,
	  src/uidrivers/gtk2/widgets/_base.py, src/GFObjects/GFField.py,
	  src/uidrivers/curses/widgets/entry.py,
	  src/uidrivers/wx26/widgets/entry.py,
	  src/uidrivers/gtk2/widgets/entry.py,
	  src/uidrivers/qt3/widgets/entry.py: Added a _ui_set_choices_()
	  method for controls with items  (listbox/dropdown).  This method
	  get's called whenever the list of  available choices has changed.

2006-11-23 13:36:09  Rev 9060   reinhard

	* src/uidrivers/wx26/widgets/_base.py,
	  src/uidrivers/wx26/widgets/page.py,
	  src/uidrivers/wx26/widgets/entry.py,
	  src/uidrivers/wx26/widgets/form.py: Changed border sizes to match
	  GNOME Human Interface Guidline.

2006-11-20 21:44:50  Rev 9056   btami

	* src/uidrivers/win32/widgets/_base.py: replaced some pass with assert
	  gDebug

2006-11-20 14:28:32  Rev 9055   jan

	* src/uidrivers/html/widgets/_base.py, src/uidrivers/html/GFServer.py,
	  src/uidrivers/html/Generator.py, src/uidrivers/html/widgets/form.py:
	  Fix charset issues for content

2006-11-20 13:02:26  Rev 9054   jan

	* src/uidrivers/html/Generator.py,
	  src/uidrivers/html/widgets/entry.py: Add label to checkbox widget.
	  Make checkbox widget a dojostyle widget.

2006-11-20 11:48:53  Rev 9053   jan

	* src/uidrivers/html/widgets/box.py,
	  src/uidrivers/html/widgets/_base.py,
	  src/uidrivers/html/widgets/button.py, src/uidrivers/html/ToolBar.py,
	  src/uidrivers/html/widgets/page.py, src/uidrivers/html/GFServer.py,
	  src/uidrivers/html/widgets/label.py,
	  src/uidrivers/html/Generator.py,
	  src/uidrivers/html/widgets/entry.py, src/uidrivers/html/MenuBar.py,
	  src/uidrivers/html/widgets/form.py: Change internal html
	  representation to unicode.

2006-11-20 07:37:09  Rev 9052   johannes

	* src/uidrivers/curses/widgets/box.py,
	  src/uidrivers/curses/widgets/_base.py,
	  src/uidrivers/curses/widgets/button.py,
	  src/uidrivers/curses/widgets/label.py,
	  src/uidrivers/curses/widgets/entry.py: Pep8-ification

2006-11-20 01:06:21  Rev 9051   jan

	* src/uidrivers/html/GFServer.py: last changes for today :)

2006-11-20 00:58:56  Rev 9050   jan

	* src/uidrivers/html/GFServer.py: Fix some issues on unix

2006-11-20 00:43:43  Rev 9049   jan

	* src/GFConfig.py, src/GFClient.py: Add final fixes for html ui for
	  GNUe Forms

2006-11-20 00:24:07  Rev 9048   jan

	* src/uidrivers/html/widgets/_base.py,
	  src/uidrivers/html/widgets/button.py,
	  src/uidrivers/html/widgets/page.py, src/uidrivers/html/widgets/form,
	  src/uidrivers/html/GFhtmlApp.py, src/uidrivers/html/GFServer.py,
	  src/uidrivers/html/widgets/label.py,
	  src/uidrivers/html/Generator.py,
	  src/uidrivers/html/UISplashScreen.py, src/uidrivers/html/common.py,
	  src/uidrivers/html/widgets/image.py, src/uidrivers/html/MenuBar.py,
	  src/uidrivers/html/UIdriver.py, src/uidrivers/html/widgets/box.py,
	  src/uidrivers/html/ToolBar.py, src/uidrivers/html/UILoginHandler.py,
	  src/uidrivers/html/widgets/entry.py,
	  src/uidrivers/html/widgets/form.py: first version of new HTML ui
	  driver: ------------------------------------
	  - base functionality implemented - Menu/Toolbar actions implemented
	  - Entry widget working through "onchange" mode - Button/Label/Box
	  full support - multi-user, but just one-form support - no getInput
	  support
	  dojotoolkit.org and simplejson are necessary for startup

2006-11-17 16:26:24  Rev 9047   btami

	* src/uidrivers/win32/GFwin32App.py, src/uidrivers/win32/UIdriver.py:
	  cleanup and pep8

2006-11-17 09:32:00  Rev 9046   btami

	* src/uidrivers/win32/widgets/_base.py,
	  src/uidrivers/win32/GFwin32App.py,
	  src/uidrivers/win32/widgets/button.py,
	  src/uidrivers/win32/widgets/page.py, src/uidrivers/win32/dialogs.py,
	  src/uidrivers/win32/widgets/label.py,
	  src/uidrivers/win32/widgets/image.py, src/uidrivers/win32/common.py,
	  src/uidrivers/win32/UIdriver.py, src/uidrivers/win32/MenuBar.py,
	  src/uidrivers/win32/widgets/scrollbar.py,
	  src/uidrivers/win32/widgets/form/widget.py,
	  src/uidrivers/win32/widgets/box.py, src/uidrivers/win32/dialog.py,
	  src/uidrivers/win32/ToolBar.py,
	  src/uidrivers/win32/UILoginHandler.py,
	  src/uidrivers/win32/widgets/entry.py,
	  src/uidrivers/win32/widgets/form/wrappers.py: started of
	  pep8ification, applied reindent.py

2006-11-16 15:06:12  Rev 9045   johannes

	* src/uidrivers/curses/widgets/page.py,
	  src/uidrivers/curses/UIdriver.py: Only show as much of an exception
	  as possible;  use proper captions for  pages

2006-11-16 14:14:06  Rev 9044   johannes

	* src/uidrivers/curses/widgets/page.py: Don't restrict it to utf-8

2006-11-16 14:13:17  Rev 9043   johannes

	* src/uidrivers/curses/widgets/_base.py,
	  src/uidrivers/curses/widgets/page.py,
	  src/uidrivers/curses/widgets/entry.py,
	  src/uidrivers/curses/UIdriver.py: Support for multibyte strings (on
	  input)

2006-11-14 14:25:42  Rev 9042   johannes

	* src/uidrivers/curses/widgets/entry.py: Better treatment of selections

2006-11-14 13:59:12  Rev 9041   johannes

	* src/uidrivers/curses/widgets/entry.py,
	  src/uidrivers/curses/UIdriver.py: Start Pep8-ification of entry

2006-11-14 13:24:06  Rev 9040   johannes

	* src/uidrivers/curses/widgets/_base.py,
	  src/uidrivers/curses/widgets/entry.py,
	  src/uidrivers/curses/UIdriver.py,
	  src/uidrivers/curses/widgets/form.py: Remove selection when focus is
	  leaving a widget

2006-11-14 10:25:06  Rev 9039   johannes

	* src/uidrivers/curses/widgets/_base.py,
	  src/uidrivers/curses/widgets/entry.py,
	  src/uidrivers/curses/UIdriver.py,
	  src/uidrivers/curses/widgets/form.py: ShowMessage does not erase
	  screen

2006-11-14 08:24:43  Rev 9038   johannes

	* src/uidrivers/curses/dialogs.py: Pep8-ification (using reindent.py :)

2006-11-13 14:47:25  Rev 9032   johannes

	* src/uidrivers/curses/widgets/entry.py,
	  src/uidrivers/curses/UIdriver.py: Pep8-ification (start)

2006-11-13 13:20:54  Rev 9031   johannes

	* src/uidrivers/curses/widgets/button.py: Enable buttons

2006-11-13 13:17:59  Rev 9030   johannes

	* src/GFForm.py: Only move the record when autoNextRecord is set

2006-11-13 12:28:56  Rev 9029   btami

	* src/uidrivers/win32/UIdriver.py,
	  src/uidrivers/win32/widgets/form/widget.py: postpone fixing showModal

2006-11-11 23:36:28  Rev 9028   btami

	* src/uidrivers/win32/dialogs.py,
	  src/uidrivers/win32/widgets/entry.py: minor cosmetic changes

2006-11-11 16:57:44  Rev 9027   btami

	* src/uidrivers/win32/dialog.py, src/uidrivers/win32/dialogs.py,
	  src/uidrivers/win32/UILoginHandler.py,
	  src/uidrivers/win32/widgets/form/widget.py: fixed some dialog issues

2006-11-11 15:27:59  Rev 9026   btami

	* src/uidrivers/win32/UILoginHandler.py: added missing parameter

2006-11-10 22:32:08  Rev 9025   btami

	* src/uidrivers/win32/dialogs.py: minor dialog fixes

2006-11-10 22:31:39  Rev 9024   btami

	* src/uidrivers/win32/UIdriver.py: handle early errors with exception
	  dialog

2006-11-10 12:36:44  Rev 9023   btami

	* src/uidrivers/win32/widgets/entry.py,
	  src/uidrivers/win32/UIdriver.py,
	  src/uidrivers/win32/widgets/form/widget.py,
	  src/uidrivers/win32/widgets/form/wrappers.py: use default system
	  font for widgets

2006-11-10 12:35:05  Rev 9022   btami

	* src/GFConfig.py: Changed fixedWidthFont setting's default to False

2006-11-09 15:33:59  Rev 9021   reinhard

	* po/ro.po, NEWS, src/__init__.py, doc/gnue-forms.dtd,
	  doc/man/gnue-forms.1, po/ru.po, po/fr.po, po/de.po, po/nl.po,
	  po/es_MX.po, po/hu.po, po/es_ES.po, po/lt.po: Released 0.6-alpha1.

2006-11-09 15:30:25  Rev 9020   reinhard

	* AUTHORS, THANKS: Doc update for prerelease.

2006-11-09 14:53:52  Rev 9019   johannes

	* src/uidrivers/wx26/widgets/entry.py: Don't bind both the EVT_CHAR
	  and EVT_KEYDOWN event

2006-11-09 14:36:47  Rev 9018   johannes

	* src/uidrivers/wx26/widgets/page.py: Set the minimum size for pages
	  in a positioned layout as requested.
	  issue134 testing

2006-11-09 14:23:30  Rev 9017   johannes

	* src/uidrivers/wx26/widgets/entry.py: Bah, again a debug print

2006-11-09 14:20:00  Rev 9016   johannes

	* src/uidrivers/wx26/widgets/entry.py: Enable the Backspace-Key for
	  dropdowns

2006-11-09 14:05:03  Rev 9015   johannes

	* src/uidrivers/wx26/widgets/entry.py: Focus is moved into a dropdown
	  on wxMac when the wx.Choice-part is  opened.

2006-11-09 13:11:05  Rev 9014   johannes

	* src/uidrivers/wx26/widgets/entry.py: Get the dropdowns on their way
	  on wxMac too

2006-11-09 12:22:04  Rev 9013   johannes

	* src/input/displayHandlers/Cursor.py: Removed debug-print

2006-11-09 11:22:37  Rev 9012   johannes

	* src/input/displayHandlers/Cursor.py: Select from the cursor up to
	  the end of the text for fk_source-fields

2006-11-09 11:01:18  Rev 9011   johannes

	* src/uidrivers/wx26/dialogs.py, src/uidrivers/wx26/UILoginHandler.py,
	  src/uidrivers/wx26/widgets/entry.py: Login-Dialog is always on top
	  (above splash).  Text-handling is done via  EVT_TEXT (so clipboard
	  should really work now).
	  issue144 external

2006-11-08 19:14:24  Rev 9004   reinhard

	* src/input/displayHandlers/__init__.py: Create correct display
	  handler even for style="auto".

2006-11-08 18:24:28  Rev 9003   reinhard

	* src/GFObjects/GFEntry.py, src/GFParser.py: Added new style "auto"
	  for entries.

2006-11-08 16:59:46  Rev 9002   reinhard

	* src/GFObjects/GFBlock.py, src/GFForm.py,
	  src/input/displayHandlers/Dropdown.py, src/GFParser.py: Added new
	  attribute startup="empty|full" to block to allow to replace prequery
	  on datasource level.

2006-11-08 13:49:06  Rev 9001   johannes

	* src/uidrivers/wx26/widgets/entry.py,
	  src/uidrivers/wx26/widgets/form.py: Don't segfault on closing a form
	  with tabs showing not the first page
	  issue141 external

2006-11-08 13:07:14  Rev 9000   reinhard

	* src/uidrivers/wx26/widgets/form.py: Add reference to issue and some
	  extra comments to workarounds.

2006-11-08 12:54:41  Rev 8999   reinhard

	* src/GFObjects/GFBlock.py, src/input/displayHandlers/Cursor.py,
	  src/input/displayHandlers/__init__.py, src/GFObjects/GFField.py,
	  src/GFParser.py, src/uidrivers/gtk2/widgets/entry.py: Renamed
	  "typecast" attribute to "datatype". Renamed "maxLength" attribute to
	  "length". Added "scale" attribute (not yet used). Replaced general
	  "date" datatype for fields with distinct types "date", "time", and
	  "datetime".

2006-11-08 12:09:38  Rev 8998   btami

	* src/uidrivers/win32/widgets/_base.py,
	  src/uidrivers/win32/UIdriver.py: let unhandled exceptions appear

2006-11-08 10:53:47  Rev 8997   johannes

	* src/GFObjects/GFLabel.py, src/uidrivers/_base/widgets/_base.py:
	  Don't stop loading form due to invalid width or height in positioned
	  layout.
	  issue135 testing

2006-11-08 10:35:49  Rev 8996   johannes

	* src/uidrivers/wx26/widgets/entry.py: That was way too fast ...

2006-11-08 10:23:03  Rev 8995   johannes

	* src/uidrivers/wx26/widgets/entry.py,
	  src/uidrivers/wx26/widgets/form.py: Don't segfault when another tab
	  of a notebook is active on close

2006-11-08 09:35:29  Rev 8994   johannes

	* src/uidrivers/wx26/UIdriver.py, src/uidrivers/wx26/widgets/form.py:
	  Exit the main loop even if a dialog apeared within the close-event

2006-11-07 19:50:28  Rev 8993   reinhard

	* src/GFObjects/GFBlock.py, src/GFForm.py: Update UI if record pointer
	  moves to offending record after exception.

2006-11-07 19:34:33  Rev 8992   reinhard

	* src/GFObjects/GFField.py, src/GFParser.py: Renamed auto_query
	  attribute to autoquery.

2006-11-07 19:31:32  Rev 8991   reinhard

	* src/GFObjects/GFField.py: Added logic to initialize new record if
	  autoquery returned no result.

2006-11-07 19:27:01  Rev 8990   reinhard

	* src/GFObjects/GFBlock.py, src/GFForm.py: Added autosave, focusout
	  etc. logic to GFBlock.query().

2006-11-07 19:26:29  Rev 8989   reinhard

	* src/input/displayHandlers/Cursor.py: Don't swallow exceptions that
	  happen on updating of field.

2006-11-07 18:27:16  Rev 8988   reinhard

	* src/GFForm.py: Block endEditing and beginEditing while executing
	  endEditing, so it does not get called recursively when doing
	  autoquery.

2006-11-07 18:15:51  Rev 8987   reinhard

	* src/GFForm.py: Don't call endEditing and beginEditing if the current
	  record is changed from a focusin/out trigger.

2006-11-07 17:18:58  Rev 8986   reinhard

	* src/GFObjects/GFField.py: auto_query might work now.

2006-11-07 17:17:55  Rev 8985   reinhard

	* src/input/displayHandlers/Cursor.py: Make sure the entry is not in
	  editing mode while the value of the field is set, so that at the
	  time the autoquery runs, the entry is not editing.

2006-11-07 16:50:05  Rev 8984   jamest

	* src/GFForm.py, src/GFObjects/GFField.py, src/GFParser.py: start of
	  auto_query support

2006-11-07 16:05:55  Rev 8983   reinhard

	* src/GFObjects/GFBlock.py: Added possibility to do a query on block
	  level in a trigger.

2006-11-07 14:57:09  Rev 8982   johannes

	* src/uidrivers/qt3/widgets/grid.py,
	  src/uidrivers/qt3/widgets/form.py: Grid widgets can add/remove rows
	  on resizing

2006-11-06 10:23:29  Rev 8981   kilo

	* samples/intro/intro.gfd: Eliminate encode error when string is still
	  empty.

2006-11-06 09:54:17  Rev 8979   reinhard

	* src/uidrivers/wx26/widgets/gridline.py: Fixed function parameters.

2006-11-05 22:41:57  Rev 8977   btami

	* src/uidrivers/win32/dialog.py, src/uidrivers/win32/dialogs.py,
	  src/uidrivers/win32/UIdriver.py,
	  src/uidrivers/win32/widgets/form/widget.py: making native dialogs
	  modal

2006-11-04 00:18:30  Rev 8975   jcater

	* src/GFParser.py: added labels to tags; converted some plain-text
	  descriptions to u_()

2006-10-31 18:34:19  Rev 8972   johannes

	* src/input/displayHandlers/Cursor.py: Set the cursor position only
	  for those events carrying such an  information

2006-10-31 17:00:39  Rev 8971   reinhard

	* src/uidrivers/wx26/widgets/box.py: Make sure the box is always the
	  desired size, even if not all gridbag rows/coluns are used.

2006-10-31 16:29:28  Rev 8970   reinhard

	* src/uidrivers/wx26/widgets/box.py: control_border is already only
	  half of the size difference.

2006-10-31 16:08:47  Rev 8969   johannes

	* src/uidrivers/wx26/widgets/vbox.py,
	  src/uidrivers/wx26/widgets/hbox.py,
	  src/uidrivers/wx26/widgets/entry.py: border option for managed boxes

2006-10-31 16:00:14  Rev 8968   btami

	* src/uidrivers/win32/widgets/box.py: fixed box width

2006-10-31 15:59:48  Rev 8967   johannes

	* src/uidrivers/wx26/widgets/box.py,
	  src/uidrivers/wx26/widgets/button.py,
	  src/uidrivers/wx26/widgets/page.py,
	  src/uidrivers/wx26/widgets/entry.py, src/uidrivers/wx26/UIdriver.py:
	  More work on positioned layout

2006-10-31 15:53:27  Rev 8966   btami

	* src/uidrivers/win32/widgets/button.py: set default height for buttons

2006-10-31 12:50:29  Rev 8962   reinhard

	* src/uidrivers/wx26/widgets/box.py: oops.

2006-10-31 12:50:06  Rev 8961   reinhard

	* src/uidrivers/wx26/widgets/box.py,
	  src/uidrivers/wx26/widgets/_base.py,
	  src/uidrivers/wx26/widgets/page.py: Some fixes for box alignment.

2006-10-31 08:33:39  Rev 8960   johannes

	* src/GFInstance.py: Use the proper flag to rearrange boxes

2006-10-30 19:01:01  Rev 8959   johannes

	* src/uidrivers/wx26/widgets/box.py,
	  src/uidrivers/wx26/widgets/page.py: boxes use all of their available
	  space

2006-10-30 18:37:43  Rev 8957   btami

	* src/uidrivers/win32/dialogs.py, src/uidrivers/win32/common.py: misc
	  dialog fixes

2006-10-30 18:33:46  Rev 8956   johannes

	* src/uidrivers/wx26/__init__.py, src/uidrivers/qt3/__init__.py,
	  src/uidrivers/_base/widgets/_base.py,
	  src/uidrivers/wx26/UIdriver.py, src/uidrivers/qt3/UIdriver.py: Fixed
	  checking of bounding-boxes and rearrangement of box-child-widgets

2006-10-30 18:00:07  Rev 8955   johannes

	* src/uidrivers/wx26/widgets/box.py,
	  src/uidrivers/wx26/widgets/page.py: use the detected
	  cellWidth/Height for the grid-bag-sizers of <box> and  <page> tags
	  (in positioned layout)

2006-10-30 16:05:33  Rev 8953   reinhard

	* src/uidrivers/gtk2/UIdriver.py: (gtk2) add 25% to average character
	  width instead of 10%.

2006-10-30 14:51:47  Rev 8952   reinhard

	* src/uidrivers/wx26/UIdriver.py, src/uidrivers/wx26/widgets/form.py:
	  Updated comments.

2006-10-30 14:23:48  Rev 8951   johannes

	* src/uidrivers/wx26/widgets/form.py: No SegmentationFault when
	  closing the form while not on the first  tab-page

2006-10-29 15:59:42  Rev 8949   reinhard

	* src/uidrivers/wx26/UIdriver.py: Added a comment for form closing
	  segfault issue.
	  issue131 chatting

2006-10-29 15:53:31  Rev 8948   reinhard

	* src/GFForm.py, src/uidrivers/wx26/UIdriver.py,
	  src/uidrivers/wx26/widgets/form.py: Reverted the fix in rev. 8925
	  because it broke closing forms when more than one forms are
	  contained in a single GFD. Instead of that, call ExitMainLoop()
	  manually as a temporary workaround. Further investigation needed.
	  issue132 chatting.

2006-10-27 22:42:34  Rev 8946   jan

	* src/uidrivers/gtk2/widgets/form/widget.py,
	  src/uidrivers/win32/widgets/form/widget.py: Disable statusbar,
	  menubar and toolbar for dialogs in win32 and gtk2 uidrivers (now
	  same as wx,qt etc.)

2006-10-27 19:52:56  Rev 8943   jamest

	* src/input/displayHandlers/Image.py: pass back a blank image when an
	  image tag value is None

2006-10-27 08:53:16  Rev 8939   johannes

	* src/uidrivers/qt3/QTApp.py, src/uidrivers/qt3/UIdriver.py,
	  src/uidrivers/qt3/widgets/form.py: Fixed handling of form.close(). 
	  Only start a single main loop

2006-10-27 06:50:50  Rev 8938   johannes

	* src/uidrivers/wx26/UIdriver.py, src/uidrivers/wx26/widgets/form.py:
	  Select the wx-version using ensureMinimal() instead of select(), so 
	  users having a version above 2.6 installed only can still use forms
	  :)

2006-10-26 17:58:28  Rev 8935   jamest

	* src/uidrivers/_base/UIdriver.py: cleanup widget building

2006-10-26 10:31:56  Rev 8934   btami

	* src/GFObjects/GFObj.py, src/uidrivers/_base/widgets/_base.py: fixed
	  side effect of making all GObj's into Python new style classes

2006-10-25 13:13:34  Rev 8925   johannes

	* src/GFForm.py, src/uidrivers/wx26/widgets/form.py: If a form.close()
	  originates from a wx.CloseEvent don't keep the main  loop running
	  (hanging process)
	  issue-132 testing

2006-10-25 07:50:47  Rev 8924   reinhard

	* src/GFForm.py: Fixed activateDialog trigger function.

2006-10-24 20:10:04  Rev 8922   reinhard

	* src/GFObjects/GFBlock.py, src/GFForm.py: Refresh toobar whenever the
	  status of the record changes (this fixes the bug that the save
	  button was not active immediately after deleting a record).

2006-10-24 19:10:37  Rev 8921   reinhard

	* src/GFObjects/GFBlock.py: Fixed refreshing of ui after query. Not
	  yet working with several independent blocks (non master/detail
	  relationship) on the same form.

2006-10-24 18:55:18  Rev 8920   reinhard

	* src/GFObjects/GFBlock.py, src/GFForm.py: Be smarter about UI moving
	  and updating on commits.

2006-10-24 16:52:48  Rev 8918   reinhard

	* src/input/displayHandlers/Numeric.py: Store numeric field values as
	  number rather than as string.

2006-10-23 16:15:43  Rev 8913   reinhard

	* src/GFObjects/GFBlock.py: Code cleanup.

2006-10-23 15:36:58  Rev 8911   btami

	* src/uidrivers/win32/widgets/_base.py: unicode fix for paste

2006-10-23 15:06:44  Rev 8910   reinhard

	* src/GFObjects/GFBlock.py: Added a big docstring for the block.

2006-10-23 14:44:55  Rev 8909   btami

	* src/uidrivers/win32/widgets/_base.py: execute buttons trigger code
	  only on enter key, but not on tab

2006-10-23 13:44:15  Rev 8908   reinhard

	* src/GFObjects/GFBlock.py: Even more reformatting.

2006-10-23 13:37:52  Rev 8907   reinhard

	* src/GFObjects/GFBlock.py: More code reformatting.

2006-10-23 13:27:04  Rev 8906   reinhard

	* src/GFObjects/GFBlock.py: Code reformatting.

2006-10-23 12:40:25  Rev 8905   reinhard

	* src/GFObjects/GFField.py: Don't convert None to ''. It is not
	  logical for a field (e.g. integer, date...) to return '' in case of
	  NULL db values.

2006-10-23 08:22:02  Rev 8904   reinhard

	* src/GFInstance.py: Some pylint cleanup.

2006-10-23 07:30:37  Rev 8902   reinhard

	* src/GFInstance.py: Source code reformatting.

2006-10-21 22:21:09  Rev 8901   btami

	* src/uidrivers/win32/widgets/scrollbar.py: fixed typo

2006-10-21 22:05:47  Rev 8900   btami

	* src/uidrivers/win32/widgets/scrollbar.py: fixed scrolling one page
	  with mouse

2006-10-21 21:27:16  Rev 8899   btami

	* src/uidrivers/win32/widgets/_base.py: fix for clicking on page tabs
	  loses focus

2006-10-21 19:02:16  Rev 8898   btami

	* src/uidrivers/win32/PrintForm.py,
	  src/uidrivers/win32/widgets/form/widget.py: moved ui printout code
	  to it's place

2006-10-21 18:35:04  Rev 8897   btami

	* src/uidrivers/win32/widgets/entry.py: removed unneeded import

2006-10-21 18:32:20  Rev 8896   btami

	* src/uidrivers/win32/widgets/_base.py,
	  src/uidrivers/win32/widgets/entry.py: finished new clipboard ui
	  functions fixed entry dowsn't scroll bug

2006-10-21 14:33:56  Rev 8895   reinhard

	* src/GFForm.py: Made it possible to exit a form without saving even
	  if the current entry contains invalid data.

2006-10-21 14:15:50  Rev 8894   reinhard

	* src/GFForm.py: Slightly changed FOCUS-IN and FOCUS-OUT logic to make
	  it possible to clear the form in any case, even if the current entry
	  contains an invalid value.

2006-10-21 13:49:14  Rev 8893   reinhard

	* src/uidrivers/win32/widgets/_base.py,
	  src/uidrivers/wx/widgets/form/widget.py,
	  src/uidrivers/wx26/widgets/form.py: Replaced requestEXIT event with
	  GFForm.close()

2006-10-21 13:41:44  Rev 8892   reinhard

	* src/uidrivers/gtk2/widgets/form/widget.py: This is slightly better.

2006-10-21 13:40:45  Rev 8891   reinhard

	* src/uidrivers/gtk2/widgets/form/widget.py: Fixed gtk2 window-close
	  handling for the case where the window may not be closed.

2006-10-21 12:59:07  Rev 8890   reinhard

	* src/GFForm.py, src/GFInstance.py: Renamed GFForm.execute_close() to
	  GFForm.close()

2006-10-21 12:33:23  Rev 8889   reinhard

	* src/uidrivers/gtk2/widgets/form/widget.py: Fixed double focus
	  movement when pressing the Tab key in gtk2. This resulted in showing
	  error messages twice when tabbing out of an entry with invalid
	  content.

2006-10-20 17:43:34  Rev 8888   btami

	* src/uidrivers/win32/widgets/_base.py,
	  src/uidrivers/win32/widgets/entry.py: started implementing new
	  clipboard ui routines

2006-10-20 17:35:35  Rev 8887   btami

	* src/uidrivers/win32/dialog.py, src/uidrivers/win32/dialogs.py,
	  src/uidrivers/win32/UIdriver.py: removed ExceptionDialog to better
	  place

2006-10-20 10:22:53  Rev 8885   johannes

	* src/uidrivers/qt3/widgets/entry.py: Improved MultiLine text edits

2006-10-20 08:35:01  Rev 8884   johannes

	* src/uidrivers/qt3/widgets/_base.py: no need to updateGeometry

2006-10-20 08:20:46  Rev 8883   johannes

	* src/uidrivers/qt3/widgets/vbox.py,
	  src/uidrivers/qt3/widgets/hbox.py: Fixed spanning of child widgets

2006-10-20 07:59:18  Rev 8882   johannes

	* src/uidrivers/qt3/widgets/entry.py: Fixed exceptions while moving
	  the focus

2006-10-20 07:46:53  Rev 8881   reinhard

	* src/GFObjects/GFTabStop.py, src/GFForm.py,
	  src/uidrivers/wx26/widgets/entry.py: Fixed exception handling when
	  switching between grid cells.

2006-10-20 07:30:29  Rev 8880   johannes

	* src/uidrivers/qt3/widgets/_base.py,
	  src/uidrivers/qt3/widgets/entry.py: Getting the grids up and running
	  ...

2006-10-20 07:20:14  Rev 8879   reinhard

	* src/uidrivers/wx/widgets/_base.py: Fixed focus color handling.

2006-10-20 06:34:22  Rev 8878   johannes

	* src/uidrivers/wx26/widgets/button.py: Make sure to move the focus
	  before a button-click on wxMac (since a  button isn't a real focus
	  control there)

2006-10-19 19:51:50  Rev 8877   reinhard

	* src/uidrivers/win32/widgets/_base.py, src/GFObjects/GFTabStop.py,
	  src/uidrivers/curses/widgets/_base.py, src/GFForm.py,
	  src/uidrivers/wx26/widgets/_base.py,
	  src/uidrivers/gtk2/widgets/_base.py,
	  src/uidrivers/qt3/widgets/_base.py, src/GFObjects/GFGrid.py,
	  src/uidrivers/wx/widgets/_base.py,
	  src/uidrivers/wx26/widgets/entry.py: Fixed UI focus handling,
	  especially for grids. Don't call rows_changed before the UI is built.

2006-10-19 15:22:14  Rev 8876   johannes

	* src/uidrivers/qt3/widgets/grid.py,
	  src/uidrivers/qt3/widgets/button.py,
	  src/uidrivers/qt3/widgets/gridline.py,
	  src/uidrivers/qt3/widgets/entry.py: Added grid-support (without
	  hiding lables yet)

2006-10-19 14:52:30  Rev 8875   johannes

	* src/uidrivers/qt3/widgets/form.py: Added handling of the page-changes

2006-10-19 14:35:27  Rev 8874   johannes

	* src/uidrivers/wx26/widgets/box.py,
	  src/uidrivers/wx26/widgets/_base.py,
	  src/uidrivers/wx26/widgets/vbox.py,
	  src/uidrivers/wx26/widgets/hbox.py: Fixed stacking of boxes so it
	  works on wxMac too

2006-10-19 13:22:21  Rev 8873   johannes

	* src/input/displayHandlers/Dropdown.py: Don't register the same
	  handler twice

2006-10-19 13:07:33  Rev 8872   johannes

	* src/uidrivers/wx26/widgets/entry.py: Remove parent-lookup for wxMac

2006-10-19 12:49:37  Rev 8871   johannes

	* src/input/displayHandlers/Checkbox.py: Don't do silly things with
	  cursor in a CheckBox

2006-10-19 12:27:35  Rev 8870   reinhard

	* src/uidrivers/wx26/widgets/entry.py: Accept mouse clicks on grid
	  lines only when the underlying entry is enabled.

2006-10-19 12:14:27  Rev 8869   reinhard

	* src/uidrivers/wx26/widgets/entry.py: Added missing Skip() for
	  kill_focus.

2006-10-19 12:02:02  Rev 8868   reinhard

	* src/GFForm.py: Same fix for next_block.

2006-10-19 11:59:01  Rev 8867   reinhard

	* src/GFForm.py: Fixed traceback when selecting previous block while
	  not being in a block at all.

2006-10-19 11:54:19  Rev 8866   reinhard

	* src/GFForm.py: Removed debug print.

2006-10-19 11:53:12  Rev 8865   reinhard

	* src/GFForm.py: Fixed exception on form startup under wx.

2006-10-19 11:11:59  Rev 8864   reinhard

	* src/uidrivers/wx26/widgets/form.py: Call event.Skip() for events
	  that should be processed normally.

2006-10-19 11:10:14  Rev 8863   btami

	* src/uidrivers/html/GFhtmlApp.py: removed win32 import line

2006-10-19 10:33:30  Rev 8862   reinhard

	* src/uidrivers/gtk2/widgets/form/wrappers.py,
	  src/uidrivers/wx26/widgets/form.py: Set GF focus to None while the
	  focus is on the notebook tabs.

2006-10-19 10:21:26  Rev 8861   reinhard

	* src/uidrivers/wx26/widgets/form.py: Fixed silly bug resulting from
	  debugging.

2006-10-18 22:04:40  Rev 8859   reinhard

	* src/GFObjects/GFPage.py, src/GFForm.py: Fixed focus-in/out for
	  pages. Made it possible to have pages without focusable controls.
	  issue59 testing

2006-10-18 21:38:30  Rev 8858   reinhard

	* src/uidrivers/wx26/widgets/entry.py: Removed a few obsolete lines.

2006-10-18 21:34:09  Rev 8857   reinhard

	* src/GFForm.py: Switch to the page with the vetoing entry if an entry
	  vetoes to lose the focus.

2006-10-18 20:26:25  Rev 8856   reinhard

	* src/uidrivers/win32/widgets/_base.py, src/GFObjects/GFTabStop.py,
	  src/GFForm.py, src/GFInstance.py,
	  src/uidrivers/gtk2/widgets/_base.py, src/uidrivers/wx/common.py,
	  src/uidrivers/wx26/widgets/button.py,
	  src/uidrivers/qt3/widgets/button.py,
	  src/uidrivers/wx26/widgets/entry.py,
	  src/uidrivers/qt3/widgets/entry.py, src/uidrivers/qt3/common.py:
	  More direct way of setting the focus on GF layer if the user selects
	  another widget with the mouse.

2006-10-18 18:21:05  Rev 8855   reinhard

	* src/GFForm.py, src/GFInstance.py: Moved record navigation that
	  results from focus navigation (tabbing to next/previous record)
	  between focus-out and focus-in, so focus triggers and all that other
	  logic runs in the correct order.

2006-10-18 16:36:20  Rev 8854   btami

	* src/uidrivers/win32/widgets/form/widget.py: fix exit stuff
	  reorganization

2006-10-18 15:38:28  Rev 8852   reinhard

	* src/uidrivers/wx26/widgets/_base.py,
	  src/uidrivers/wx26/widgets/entry.py: Fixed focus handling in grids.
	  Things seem to have become a lot easier now actually.

2006-10-18 15:01:21  Rev 8851   reinhard

	* src/uidrivers/wx26/widgets/_base.py,
	  src/uidrivers/wx26/widgets/entry.py: _block_focus_ not necessary any
	  more after focus cleanup.

2006-10-18 14:42:29  Rev 8850   reinhard

	* src/uidrivers/wx26/widgets/form.py: Workaround not necessary any
	  more - probably the problem was fixed with the focus handling
	  cleanup.

2006-10-18 14:37:24  Rev 8849   reinhard

	* src/uidrivers/wx/widgets/entry.py,
	  src/uidrivers/wx26/widgets/entry.py: A dropdown cannot change its
	  value unless it is focused anyway (I think).

2006-10-18 14:32:47  Rev 8848   reinhard

	* src/uidrivers/wx26/widgets/_base.py: Do not change focus to the
	  moving block when using the mouse wheel.

2006-10-18 14:29:56  Rev 8847   johannes

	* src/input/displayHandlers/Cursor.py,
	  src/uidrivers/qt3/widgets/entry.py: Added a REPLACEVALUE to the
	  BaseCursor class

2006-10-18 14:01:42  Rev 8846   reinhard

	* src/uidrivers/gtk2/widgets/entry.py: Removed a few checks that are
	  not needed any more now as focus handling is cleaned up a bit.

2006-10-18 13:56:03  Rev 8845   reinhard

	* src/uidrivers/wx/widgets/tree.py: Removed ui widget for GFTree which
	  was removed long ago.

2006-10-18 13:25:54  Rev 8844   johannes

	* src/uidrivers/qt3/widgets/entry.py, src/uidrivers/qt3/UIdriver.py:
	  Changed clipboard handling

2006-10-18 13:10:08  Rev 8843   reinhard

	* src/uidrivers/win32/widgets/_base.py,
	  src/uidrivers/gtk2/widgets/form/wrappers.py, src/GFForm.py,
	  src/GFInstance.py, src/uidrivers/wx/widgets/form/wrappers.py,
	  src/uidrivers/wx26/widgets/form.py: Reworked routines to change page
	  with the notebook (clicking on the tabs or setting the focus on the
	  notebook and moving the cursor). Not quite perfect yet.

2006-10-18 10:44:18  Rev 8842   reinhard

	* src/GFObjects/GFTabStop.py, src/input/displayHandlers/Cursor.py,
	  src/uidrivers/wx/UIdriver.py, src/uidrivers/win32/UIdriver.py,
	  src/input/displayHandlers/Checkbox.py,
	  src/uidrivers/wx26/UIdriver.py, src/uidrivers/qt3/UIdriver.py,
	  src/uidrivers/gtk2/UIdriver.py, src/uidrivers/_base/UIdriver.py,
	  src/GFForm.py, src/uidrivers/wx/widgets/entry.py, src/GFInstance.py,
	  src/uidrivers/win32/widgets/entry.py,
	  src/input/displayHandlers/Password.py,
	  src/uidrivers/curses/widgets/entry.py,
	  src/uidrivers/wx26/widgets/entry.py,
	  src/uidrivers/gtk2/widgets/entry.py,
	  src/uidrivers/qt3/widgets/entry.py: New implementation of clipboard
	  and selectall routines. Not yet implemented for win32 and qt3.

2006-10-18 09:11:49  Rev 8841   johannes

	* src/GFObjects/GFTabStop.py, src/GFObjects/GFGrid.py: Fixed buttons
	  as part of a grid

2006-10-18 08:46:43  Rev 8840   johannes

	* src/uidrivers/qt3/widgets/form.py: Use the proper calling for modal
	  forms

2006-10-18 08:25:37  Rev 8837   johannes

	* src/uidrivers/qt3/widgets/entry.py: Added Label entry widgets

2006-10-18 08:15:43  Rev 8836   johannes

	* src/uidrivers/qt3/dialogs.py: added AboutBox class to __all__

2006-10-18 08:14:55  Rev 8835   johannes

	* src/uidrivers/qt3/UIdriver.py: Added implementation for getInput()

2006-10-18 08:07:44  Rev 8834   johannes

	* src/uidrivers/qt3/dialogs.py, src/uidrivers/qt3/widgets/form.py:
	  Fixed dialogs and added AboutBox

2006-10-17 22:41:57  Rev 8831   jan

	* src/uidrivers/html/__init__.py, src/GFConfig.py,
	  src/uidrivers/html/GFServer.py,
	  src/uidrivers/html/UISplashScreen.py, src/GFClient.py: Create a
	  basic server adapter for GNUe Forms HTML UI driver

2006-10-17 21:26:22  Rev 8830   reinhard

	* src/uidrivers/_base/UIdriver.py: Removed unused variable.

2006-10-17 18:43:28  Rev 8829   reinhard

	* src/uidrivers/_base/UIdriver.py,
	  src/uidrivers/gtk2/widgets/form/widget.py, src/GFForm.py,
	  src/uidrivers/wx/UIdriver.py,
	  src/uidrivers/wx/widgets/form/widget.py,
	  src/uidrivers/win32/UIdriver.py, src/uidrivers/curses/UIdriver.py,
	  src/uidrivers/curses/widgets/form.py,
	  src/uidrivers/win32/widgets/form/widget.py,
	  src/uidrivers/gtk2/UIdriver.py: More direct way of setting title of
	  a form.

2006-10-17 18:32:36  Rev 8828   reinhard

	* src/uidrivers/_base/UIdriver.py, src/GFForm.py: Call _ui_goto_page_
	  directly from GFForm.

2006-10-17 18:19:37  Rev 8827   reinhard

	* src/GFForm.py, src/GFInstance.py: Moved focus movement functions
	  from GFInstance to GFForm.

2006-10-17 17:15:34  Rev 8826   reinhard

	* src/GFForm.py: More work on focus-in, focus-out and begin/endEditing.

2006-10-17 17:03:32  Rev 8825   reinhard

	* src/GFForm.py: Run focus-out triggers also before closing the form;
	  run focus-out and focus-in triggers before and after committing a
	  record.

2006-10-17 16:59:36  Rev 8824   reinhard

	* src/GFObjects/GFBlock.py, src/GFForm.py: Better solution for
	  focus-out and focus-in at change to/from query mode.

2006-10-17 16:50:23  Rev 8823   reinhard

	* src/GFObjects/GFBlock.py: Added a comment.

2006-10-17 16:36:53  Rev 8822   reinhard

	* src/GFObjects/GFBlock.py, src/GFObjects/GFField.py: Run focus-out
	  triggers on field and block when switching to query mode. Run
	  focus-in triggers on field and block when switching from query mode.
	  Don't run focus triggers on fields and blocks while in query mode.

2006-10-17 15:50:11  Rev 8821   reinhard

	* src/GFObjects/GFBlock.py: Call block and field focus triggers also
	  if the resultset changes, and a few other fixes.

2006-10-17 15:22:50  Rev 8820   reinhard

	* src/GFForm.py: Display insert status for newly opened forms.

2006-10-17 15:20:51  Rev 8819   reinhard

	* src/GFObjects/GFBlock.py, src/GFForm.py, src/GFInstance.py: Further
	  cleanup on status line functions.

2006-10-17 14:54:55  Rev 8818   reinhard

	* src/GFObjects/GFTabStop.py: Fixed disabling of rows at initial form
	  buildup.

2006-10-17 14:25:29  Rev 8817   reinhard

	* src/GFObjects/GFBlock.py, src/GFForm.py, src/GFInstance.py: Moved
	  logic to update record counter and status to GFBlock.

2006-10-17 14:22:27  Rev 8816   johannes

	* src/uidrivers/qt3/widgets/_base.py,
	  src/uidrivers/qt3/widgets/vbox.py,
	  src/uidrivers/qt3/widgets/hbox.py,
	  src/uidrivers/qt3/widgets/entry.py: Added managed layout

2006-10-17 14:00:58  Rev 8815   reinhard

	* src/GFObjects/GFEntry.py: Removed duplicate implementation of focus
	  methods.

2006-10-17 13:46:51  Rev 8814   johannes

	* src/GFObjects/GFObj.py: Fixed checking of block attribute

2006-10-17 13:36:15  Rev 8813   reinhard

	* src/GFObjects/GFTabStop.py, src/GFForm.py, src/GFInstance.py: Moved
	  logic to update the tip to the focus-in of the entry.

2006-10-17 13:22:47  Rev 8812   reinhard

	* src/GFForm.py: Take tip from entry or from field.

2006-10-17 13:00:47  Rev 8811   johannes

	* src/uidrivers/qt3/widgets/entry.py: Focus-Handling and cursor
	  positioning

2006-10-17 10:11:19  Rev 8810   reinhard

	* src/uidrivers/gtk2/widgets/_base.py: Call _ui_lose_focus_ only for
	  the correct widget.

2006-10-17 09:33:47  Rev 8809   johannes

	* src/uidrivers/qt3/widgets/entry.py: Keep in sync with the GF-focus

2006-10-17 09:25:01  Rev 8808   reinhard

	* src/GFObjects/GFBlock.py, src/GFForm.py, src/GFInstance.py: Cleaned
	  up beginEditing and endEditing calls for cases when field/block
	  validation fails.

2006-10-17 09:11:19  Rev 8807   johannes

	* src/uidrivers/qt3/widgets/scrollbar.py: Added ScrollBar widget

2006-10-17 09:00:05  Rev 8806   johannes

	* src/uidrivers/qt3/ToolBar.py: Fixed toolbar-buttons

2006-10-17 08:22:59  Rev 8805   reinhard

	* src/GFObjects/GFBlock.py: Fixed typo.

2006-10-17 08:18:24  Rev 8803   reinhard

	* src/GFObjects/GFBlock.py: Fixed c&p error.

2006-10-17 08:18:07  Rev 8802   reinhard

	* src/uidrivers/wx/widgets/_base.py: Fixed typo.

2006-10-17 08:00:05  Rev 8801   reinhard

	* src/uidrivers/wx/widgets/entry.py,
	  src/uidrivers/wx/widgets/_base.py: Fix for checkboxes in wx 2.4.

2006-10-16 15:51:30  Rev 8799   reinhard

	* src/GFInstance.py: More cleanup.

2006-10-16 14:12:59  Rev 8798   reinhard

	* src/GFForm.py, src/GFInstance.py: Started Cleanup of focus functions.

2006-10-16 13:26:43  Rev 8797   reinhard

	* src/GFForm.py: Reordered functions.

2006-10-16 13:20:53  Rev 8796   reinhard

	* src/GFForm.py: Use findAndChangeFocus also in setFocus trigger
	  method.

2006-10-16 13:02:01  Rev 8795   reinhard

	* src/GFForm.py: Updated changeFocus to use new focus functions.

2006-10-16 12:32:00  Rev 8794   reinhard

	* src/GFObjects/GFBlock.py, src/GFObjects/GFPage.py,
	  src/GFObjects/GFTabStop.py, src/GFObjects/GFField.py: Added
	  focus_in(), validate(), and focus_out() functions for all focus
	  aware objects.

2006-10-16 11:57:10  Rev 8793   reinhard

	* src/GFObjects/GFTabStop.py, src/GFForm.py, src/GFInstance.py:
	  Replaced GFForm.adjust_ui_focus() by two distinct methods
	  GFTabStop.ui_focus_[in|out]().

2006-10-16 09:43:21  Rev 8791   reinhard

	* src/uidrivers/wx/widgets/entry.py,
	  src/uidrivers/wx/widgets/_base.py: Fixed wx uidriver for 3-state
	  checkboxes (now used in queries).

2006-10-15 23:40:05  Rev 8786   reinhard

	* src/__init__.py: Changed release concept as described in
	  http://lists.gnu.org/archive/html/gnue-dev/2006-08/msg00003.html

2006-10-14 19:25:34  Rev 8784   reinhard

	* src/uidrivers/wx/widgets/_base.py: Fixed duplicate variable name use.

2006-10-13 10:29:45  Rev 8782   johannes

	* src/uidrivers/qt3/widgets/image.py: added image widget

2006-10-13 09:41:42  Rev 8781   johannes

	* src/uidrivers/qt3/widgets/entry.py: No recursion on changing the
	  state of a checkbox

2006-10-13 09:29:50  Rev 8780   johannes

	* src/uidrivers/qt3/widgets/entry.py: Added ListBox widgets

2006-10-13 08:37:47  Rev 8779   johannes

	* src/uidrivers/qt3/widgets/entry.py: Added Dropdown widgets

2006-10-13 07:28:15  Rev 8778   johannes

	* src/uidrivers/qt3/widgets/box.py,
	  src/uidrivers/_base/UserActions.py: Don't replace the layout manager
	  of QGroupBox since this renders spacing  unusable.  Removed
	  debug-print

2006-10-12 21:35:41  Rev 8777   reinhard

	* src/uidrivers/win32/widgets/_base.py,
	  src/uidrivers/curses/widgets/_base.py,
	  src/uidrivers/wx26/widgets/_base.py,
	  src/uidrivers/gtk2/widgets/_base.py,
	  src/uidrivers/qt3/widgets/_base.py,
	  src/uidrivers/_base/widgets/_base.py,
	  src/uidrivers/wx/widgets/_base.py: indexed_focus -> _ui_set_focus_
	  lose_focus -> _ui_lose_focus_

2006-10-12 21:25:37  Rev 8776   reinhard

	* src/GFObjects/GFBlock.py, src/GFObjects/GFTabStop.py, src/GFForm.py:
	  Be smarter about when the UI focus has to be adjusted.

2006-10-12 21:11:24  Rev 8775   reinhard

	* src/GFObjects/GFBlock.py: Only execute code for new current record
	  if we *really* have a new current record.

2006-10-12 15:10:33  Rev 8773   reinhard

	* src/GFObjects/GFBlock.py: More work on __switch_record.

2006-10-12 14:26:07  Rev 8772   johannes

	* src/uidrivers/_base/UserActions.py, src/uidrivers/qt3/MenuBar.py:
	  Fixed QKeySequence for Page-Down

2006-10-12 13:50:48  Rev 8771   johannes

	* src/uidrivers/qt3/widgets/_base.py, src/uidrivers/qt3/dialogs.py,
	  src/uidrivers/qt3/widgets/entry.py,
	  src/uidrivers/qt3/widgets/form.py: Fixed inputDialogs (widget names
	  might not be unicode), fixed  _ui_show_message_, added checkbox

2006-10-12 12:34:46  Rev 8770   johannes

	* src/uidrivers/qt3/widgets/_base.py,
	  src/uidrivers/qt3/widgets/button.py,
	  src/uidrivers/qt3/widgets/entry.py, src/uidrivers/qt3/UIdriver.py,
	  src/uidrivers/qt3/widgets/form.py: Added Buttons, started with
	  entries

2006-10-12 12:27:04  Rev 8769   reinhard

	* src/GFObjects/GFBlock.py: More work on __switch_record logic.

2006-10-12 12:08:15  Rev 8767   reinhard

	* src/GFObjects/GFBlock.py: Restructuring in scrolling logic.

2006-10-12 09:56:20  Rev 8764   reinhard

	* src/GFObjects/GFBlock.py: Minor simplification.

2006-10-12 08:25:07  Rev 8763   johannes

	* src/uidrivers/qt3/MenuBar.py: Fixed handling of hotkeys (so the do
	  work now :)

2006-10-12 08:13:09  Rev 8762   johannes

	* src/uidrivers/qt3/widgets/box.py, src/uidrivers/qt3/__init__.py,
	  src/uidrivers/qt3/widgets/_base.py,
	  src/uidrivers/qt3/widgets/button.py, src/uidrivers/qt3/ToolBar.py,
	  src/uidrivers/qt3/QTApp.py, src/uidrivers/qt3/widgets/__init__.py,
	  src/uidrivers/qt3/widgets/label.py,
	  src/uidrivers/qt3/widgets/entry.py, src/uidrivers/qt3/common.py,
	  src/uidrivers/qt3/MenuBar.py, src/uidrivers/qt3/UIdriver.py,
	  src/uidrivers/qt3/widgets/scrollbar.py: Added the Id keyword to all
	  source files

2006-10-12 08:08:19  Rev 8761   johannes

	* src/uidrivers/qt3/ToolBar.py, src/uidrivers/qt3/widgets/form.py:
	  Added Toolbar

2006-10-11 23:03:52  Rev 8760   reinhard

	* src/GFObjects/GFBlock.py: Improved comment.

2006-10-11 22:43:22  Rev 8759   reinhard

	* src/GFObjects/GFBlock.py, src/GFObjects/GFTabStop.py,
	  src/GFObjects/GFEntry.py: Be ultra smart about which UI entries to
	  refresh.

2006-10-11 17:19:26  Rev 8758   reinhard

	* src/GFObjects/GFBlock.py: Execute autoCommit only when the block has
	  pending changes.

2006-10-11 17:07:18  Rev 8757   reinhard

	* src/GFObjects/GFBlock.py: Fixed autoNextRecord behaviour.

2006-10-11 14:33:05  Rev 8754   johannes

	* src/uidrivers/qt3/widgets/page.py, src/uidrivers/qt3/UIdriver.py,
	  src/uidrivers/qt3/widgets/form.py: Added _ui_close_ and filled
	  _ui_update_status_

2006-10-11 14:19:02  Rev 8753   johannes

	* src/uidrivers/wx26/widgets/page.py: Removed debug print

2006-10-11 14:11:18  Rev 8752   johannes

	* src/uidrivers/wx26/widgets/box.py, src/uidrivers/qt3/widgets/box.py,
	  src/uidrivers/qt3/widgets/_base.py,
	  src/uidrivers/_base/widgets/_base.py,
	  src/uidrivers/wx26/widgets/page.py,
	  src/uidrivers/qt3/widgets/page.py,
	  src/uidrivers/qt3/widgets/label.py,
	  src/uidrivers/qt3/widgets/entry.py, src/uidrivers/qt3/MenuBar.py,
	  src/uidrivers/qt3/widgets/form.py: Add Menu- and Statusbar (and
	  silly entries)

2006-10-11 12:07:23  Rev 8750   johannes

	* src/uidrivers/win32/widgets/_base.py,
	  src/uidrivers/curses/widgets/_base.py,
	  src/uidrivers/wx26/widgets/box.py,
	  src/uidrivers/wx26/widgets/_base.py,
	  src/uidrivers/gtk2/widgets/_base.py, src/uidrivers/qt3/__init__.py,
	  src/uidrivers/_base/widgets/_base.py,
	  src/uidrivers/qt3/widgets/page.py,
	  src/uidrivers/wx/widgets/_base.py,
	  src/uidrivers/qt3/widgets/form.py: Moved bounding-box stuff into
	  base ui driver

2006-10-11 09:09:48  Rev 8749   johannes

	* src/uidrivers/qt3/widgets/page.py,
	  src/uidrivers/qt3/widgets/form.py: Added first replacement for old
	  forms/*

2006-10-10 23:32:37  Rev 8748   reinhard

	* src/GFObjects/GFBlock.py, src/uidrivers/wx26/widgets/grid.py,
	  src/uidrivers/wx/widgets/scrollbar.py, src/GFObjects/GFScrollBar.py,
	  src/uidrivers/win32/widgets/scrollbar.py, src/GFObjects/GFGrid.py,
	  src/uidrivers/curses/widgets/scrollbar.py,
	  src/uidrivers/wx26/widgets/scrollbar.py,
	  src/uidrivers/gtk2/widgets/scrollbar.py: No need to set scrollbar in
	  initialisation, because data is now loaded after UI init.

2006-10-10 22:53:53  Rev 8747   reinhard

	* src/GFObjects/GFBlock.py: requery does a __switch_record anyway.

2006-10-10 22:41:09  Rev 8746   reinhard

	* src/GFForm.py: Removed some debug prints that should not happen any
	  more.

2006-10-10 22:40:46  Rev 8745   reinhard

	* src/GFObjects/GFBlock.py: Minor function reorg.

2006-10-10 22:18:57  Rev 8744   reinhard

	* src/GFObjects/GFBlock.py, src/GFForm.py: Generally update UI for the
	  object currently editing when it has moved to another row.

2006-10-10 21:50:05  Rev 8743   reinhard

	* src/uidrivers/_base/UIdriver.py: Removed the last remains of
	  updateENTRY.

2006-10-10 21:47:34  Rev 8742   reinhard

	* src/GFForm.py: Removed two more calls to updateENTRY that should not
	  be necessary.

2006-10-10 21:31:21  Rev 8741   reinhard

	* src/GFObjects/GFBlock.py: In query mode, there is only one "record".

2006-10-10 20:10:23  Rev 8740   reinhard

	* src/GFObjects/GFTabStop.py, src/GFObjects/GFField.py: If the foreign
	  key resultset changes for a dropdown, update the UI for *all* rows,
	  not only for the current row.

2006-10-10 19:57:47  Rev 8739   reinhard

	* src/GFObjects/GFField.py: No need to call __loadAllowedValues
	  because it's called implicitly via dsResultSetChanged.

2006-10-10 19:33:13  Rev 8738   reinhard

	* src/uidrivers/curses/widgets/button.py: Fixed missing variable
	  initializsation.

2006-10-10 19:26:04  Rev 8737   reinhard

	* src/GFForm.py: refreshDisplay function now completely obsolete.

2006-10-10 19:24:36  Rev 8736   reinhard

	* src/GFForm.py: Form is already set up at the time we open it, no
	  need to refresh display or other stuff.

2006-10-10 19:20:16  Rev 8735   reinhard

	* src/GFForm.py, src/GFInstance.py: Initialize UI earlier and build UI
	  form before the result sets are built. This way, the first build of
	  the result sets automatically fills in all the widgets.

2006-10-10 18:49:29  Rev 8734   reinhard

	* src/GFObjects/GFBlock.py, src/GFObjects/GFTabStop.py: Undid parts of
	  the last commit that I actually didn't mean to commit.

2006-10-10 18:45:53  Rev 8733   reinhard

	* src/GFObjects/GFBlock.py, src/GFObjects/GFTabStop.py, src/GFForm.py:
	  Removed even more unnecessary calls to refreshDisplay.

2006-10-10 18:22:20  Rev 8732   reinhard

	* src/GFForm.py: Removed some calls to refreshDisplay that weren't
	  necessary (at least I firmly believe so).

2006-10-10 18:10:16  Rev 8731   reinhard

	* src/GFObjects/GFTabStop.py, src/GFObjects/GFGridLine.py,
	  src/GFObjects/GFGrid.py: More direct and straightforward handling of
	  filling new rows with data when a grid is resized.

2006-10-10 16:52:51  Rev 8730   reinhard

	* src/GFObjects/GFTabStop.py: recalculate_visible must be in
	  GFTabStops because it is also used for buttons.

2006-10-10 16:23:59  Rev 8729   reinhard

	* src/GFObjects/GFTabStop.py, src/GFForm.py, src/GFObjects/GFField.py:
	  Made updateUIEntry obsolete by adding the functionality directly to
	  GFField.

2006-10-10 16:09:50  Rev 8728   reinhard

	* src/GFObjects/GFField.py: Fixed another (bad, bad) typo.

2006-10-10 16:03:57  Rev 8727   reinhard

	* src/GFObjects/GFTabStop.py: Fixed typo.

2006-10-10 15:51:40  Rev 8726   reinhard

	* src/GFObjects/GFValue.py, src/GFObjects/__init__.py: Remoed obsolete
	  GFValue class.

2006-10-10 15:50:11  Rev 8725   reinhard

	* src/GFObjects/GFObj.py, src/GFObjects/GFTabStop.py,
	  src/GFObjects/GFEntry.py, src/GFObjects/GFComponent.py,
	  src/GFObjects/GFImage.py: New class GFFieldBound as a base class for
	  GFEntry, GFImage, and GFComponent. Implemented
	  GFFieldBound.update_ui to update the user interface with the current
	  field value (will replace updateENTRY events).

2006-10-10 14:39:49  Rev 8724   reinhard

	* src/GFObjects/GFBlock.py, src/GFObjects/GFField.py: Added option to
	  get field value for other than current record.

2006-10-10 12:54:24  Rev 8723   reinhard

	* src/uidrivers/wx26/widgets/_base.py,
	  src/uidrivers/wx26/widgets/entry.py: Moved stuff from _base to entry
	  that only is necessary in entry.

2006-10-10 12:01:49  Rev 8722   reinhard

	* src/uidrivers/win32/widgets/_base.py,
	  src/uidrivers/_base/UIdriver.py,
	  src/uidrivers/wx26/widgets/_base.py,
	  src/input/displayHandlers/Cursor.py,
	  src/uidrivers/gtk2/widgets/_base.py,
	  src/uidrivers/qt3/widgets/_base.py,
	  src/uidrivers/wx/widgets/image.py,
	  src/uidrivers/_base/widgets/_base.py,
	  src/uidrivers/curses/widgets/entry.py,
	  src/uidrivers/wx/widgets/_base.py,
	  src/uidrivers/gtk2/widgets/entry.py,
	  src/uidrivers/wx26/widgets/image.py,
	  src/uidrivers/gtk2/widgets/component.py,
	  src/uidrivers/gtk2/widgets/image.py: set_value -> _ui_set_value_
	  set_cursor_position -> _ui_set_cursor_position_ set_selection_area
	  -> _ui_set_selection_area_

2006-10-10 11:30:58  Rev 8721   johannes

	* src/uidrivers/qt3/widgets/form: Removed old code so it could be
	  replaced

2006-10-09 16:04:04  Rev 8720   reinhard

	* src/GFObjects/GFObj.py: Removed debugging output.

2006-10-09 15:30:43  Rev 8719   reinhard

	* src/GFObjects/GFBlock.py: Setting _recordCount in __switch_record
	  seems to be sufficient for all cases.

2006-10-09 15:03:53  Rev 8718   reinhard

	* src/GFObjects/GFBlock.py, src/GFObjects/GFObj.py: Made GF objects a
	  little more self contained regarding scrolling.

2006-10-09 09:22:45  Rev 8717   reinhard

	* src/uidrivers/win32/widgets/button.py,
	  src/uidrivers/curses/widgets/button.py,
	  src/uidrivers/wx26/widgets/button.py,
	  src/uidrivers/gtk2/widgets/button.py,
	  src/uidrivers/qt3/widgets/button.py,
	  src/uidrivers/wx/widgets/button.py: Added _ui_[en|dis]able_ methods
	  to UI button objects.

2006-10-06 20:40:00  Rev 8716   reinhard

	* src/uidrivers/wx/widgets/entry.py,
	  src/uidrivers/win32/widgets/entry.py,
	  src/uidrivers/curses/widgets/entry.py,
	  src/uidrivers/wx26/widgets/entry.py,
	  src/uidrivers/gtk2/widgets/entry.py,
	  src/uidrivers/qt3/widgets/entry.py: Added explicit _ui_enable_ and
	  _ui_disable_ methods to all entry implementations.

2006-10-05 15:47:11  Rev 8715   reinhard

	* src/GFObjects/GFBlock.py, src/uidrivers/_base/UIdriver.py,
	  src/GFForm.py, src/GFInstance.py,
	  src/uidrivers/_base/widgets/_base.py: Introduced new
	  GFForm.adjust_ui_focus that causes the UI focus to follow the GF
	  focus.

2006-10-05 14:11:26  Rev 8714   reinhard

	* src/uidrivers/wx26/widgets/grid.py, src/GFObjects/GFGrid.py: Moved
	  more UI independent stuff to GF layer.

2006-10-05 14:06:03  Rev 8713   reinhard

	* src/GFObjects/GFBlock.py: Adjust scrollbars after the gid has been
	  resized.

2006-10-05 13:52:59  Rev 8712   reinhard

	* src/GFObjects/GFBlock.py, src/uidrivers/wx26/widgets/grid.py,
	  src/GFObjects/GFGrid.py: When number of rows is reduced in a grid by
	  resizing it, keep the current record active and scroll up if
	  necessary.

2006-10-05 12:29:55  Rev 8711   reinhard

	* src/uidrivers/wx26/widgets/grid.py, src/GFObjects/GFGrid.py: Moved
	  some UI independent logic of rowcount changing in grids to GF layer.

2006-10-05 10:17:48  Rev 8710   reinhard

	* src/uidrivers/wx26/widgets/grid.py: Removed an unused variable and
	  made two other variables private.

2006-10-05 10:17:00  Rev 8709   reinhard

	* src/uidrivers/curses/widgets/_base.py,
	  src/uidrivers/curses/UIdriver.py: Do not use uiFocusWidget any more,
	  it will be removed.

2006-10-02 13:52:19  Rev 8708   reinhard

	* src/uidrivers/wx/widgets/_base.py: Make use of index parameter.

2006-10-02 13:25:37  Rev 8707   reinhard

	* src/uidrivers/curses/widgets/_base.py,
	  src/uidrivers/curses/widgets/button.py,
	  src/uidrivers/curses/widgets/entry.py: A little restructuring.

2006-10-02 10:50:13  Rev 8706   reinhard

	* src/GFObjects/GFBlock.py: Use better method to update the UI focus
	  position when scrollbar is moved.

2006-10-02 10:48:30  Rev 8705   reinhard

	* samples/zipcode/zipcode.gfd: Added scrollbar for testing purposes.

2006-10-02 10:48:10  Rev 8704   reinhard

	* samples/zipcode/states.gfd: Added primarykey to gfd.

2006-09-26 18:16:31  Rev 8702   reinhard

	* samples/zipcode/zipparse.py: Added script contributed by Alex
	  Bodnaru to read ZIP data from a file.

2006-09-26 14:00:17  Rev 8701   johannes

	* src/uidrivers/qt3/UILoginHandler.py: Fixed copyright header

2006-09-26 13:53:31  Rev 8700   johannes

	* src/uidrivers/qt3/dialogs.py, src/uidrivers/qt3/UILoginHandler.py:
	  Implemented the versatile input dialog as well as the LoginHandler

2006-09-25 14:27:14  Rev 8698   johannes

	* src/uidrivers/qt3/widgets/form/widget.py,
	  src/uidrivers/qt3/QTSplashScreen.py, src/uidrivers/qt3/UIdriver.py:
	  Don't override inherited implementation of initialize(); added
	  splash  screen support

2006-09-25 13:38:39  Rev 8697   johannes

	* src/uidrivers/qt3/widgets/form/widget.py,
	  src/uidrivers/qt3/widgets/form/wrappers.py,
	  src/uidrivers/qt3/widgets/box.py,
	  src/uidrivers/qt3/widgets/_base.py,
	  src/uidrivers/qt3/widgets/button.py,
	  src/uidrivers/qt3/widgets/page.py,
	  src/uidrivers/qt3/widgets/label.py,
	  src/uidrivers/qt3/widgets/entry.py, src/uidrivers/qt3/UIdriver.py,
	  src/uidrivers/qt3/widgets/scrollbar.py: Finished renaming of qt
	  driver

2006-09-25 13:34:47  Rev 8696   johannes

	* src/uidrivers/qt3/widgets, src/uidrivers/qt3/ToolBar.py,
	  src/uidrivers/qt3/dialogs.py, src/uidrivers/qt, src/uidrivers/qt3,
	  src/uidrivers/qt3/UIdriver.py: Renamed uidriver from qt to qt3
	  issue88 in-progress

2006-09-25 13:18:03  Rev 8695   johannes

	* src/uidrivers/qt/dialogs.py, src/uidrivers/qt/ToolBar.py,
	  src/uidrivers/qt/widgets/entry.py, src/uidrivers/qt/UIdriver.py,
	  src/uidrivers/qt/widgets/form/widget.py: Started refactoring of UI
	  driver. Added an exception dialog (so debugging gets easier :)
	  issue88 in-progress

2006-09-18 10:22:49  Rev 8690   reinhard

	* src/input/displayHandlers/Dropdown.py: Fixed access to nonexistant
	  variable.

2006-09-14 15:47:01  Rev 8689   reinhard

	* src/GFObjects/GFBlock.py: Fixed traceback when button is bound to a
	  block.

2006-09-14 15:24:08  Rev 8688   reinhard

	* src/GFObjects/GFEntry.py: Prepared focus-in and focus-out procedures
	  for GFEntry (not used yet).

2006-09-14 15:06:17  Rev 8687   jamest

	* src/uidrivers/wx/UIdriver.py,
	  src/uidrivers/wx/widgets/form/widget.py: wx24 driver working again

2006-09-14 13:09:23  Rev 8686   reinhard

	* src/GFObjects/GFField.py: New functions to set and get the user
	  value.

2006-09-14 10:06:08  Rev 8685   reinhard

	* src/GFObjects/GFBlock.py, src/GFForm.py, src/GFInstance.py: Changed
	  GFForm.endEditing() to raise an exception rather than to return
	  False in case of errors.

2006-09-13 21:50:40  Rev 8684   reinhard

	* src/GFObjects/GFBlock.py, src/GFObjects/GFField.py: Cleaned up
	  trigger namespace properties.

2006-09-13 21:46:54  Rev 8683   reinhard

	* src/GFObjects/GFBlock.py: Added comment reminding me of a problem I
	  just found out.

2006-09-13 21:42:07  Rev 8682   reinhard

	* src/GFObjects/GFBlock.py: More logical function names and docstrings
	  to reflect a better understanding of the role of the focus triggers.

2006-09-13 20:24:24  Rev 8681   reinhard

	* src/GFObjects/GFField.py: Updated docstring.

2006-09-13 16:06:14  Rev 8680   reinhard

	* src/GFObjects/GFBlock.py: Changed the name of some private variables.

2006-09-13 15:49:04  Rev 8679   reinhard

	* src/GFObjects/GFBlock.py, src/GFObjects/GFField.py: Keep the
	  _recordSet object private to the block.

2006-09-13 13:54:16  Rev 8678   reinhard

	* src/GFObjects/GFBlock.py: No focusout/focusin for delete/undelete,
	  as the focus remains on the same field *and* the same record.
	  Created new functions pre/post-focus-in/out in preparation of focus
	  handling cleanup.

2006-09-12 14:26:36  Rev 8677   reinhard

	* src/GFForm.py, src/GFInstance.py: Removed some unneeded code pieces.

2006-09-11 21:56:26  Rev 8668   reinhard

	* src/GFObjects/GFField.py: Minor cleanup.

2006-09-11 21:39:28  Rev 8667   reinhard

	* src/uidrivers/wx/UIdriver.py,
	  src/uidrivers/wx/widgets/form/widget.py,
	  src/uidrivers/win32/UIdriver.py, src/uidrivers/curses/UIdriver.py,
	  src/uidrivers/win32/widgets/form/widget.py,
	  src/uidrivers/wx26/UIdriver.py, src/uidrivers/gtk2/UIdriver.py,
	  src/uidrivers/_base/UIdriver.py,
	  src/uidrivers/gtk2/widgets/form/widget.py, src/GFForm.py,
	  src/GFInstance.py, src/uidrivers/qt/UIdriver.py,
	  src/uidrivers/curses/widgets/form.py,
	  src/uidrivers/wx26/widgets/form.py, src/GFClient.py,
	  src/uidrivers/qt/widgets/form/widget.py: Restructured message box
	  and exception dialog methods.

2006-09-11 19:46:28  Rev 8666   reinhard

	* src/GFForm.py: Further cleanup.

2006-09-11 19:05:12  Rev 8665   reinhard

	* src/uidrivers/win32/dialogs.py, src/uidrivers/wx/UIdriver.py,
	  src/uidrivers/wx26/dialogs.py, src/uidrivers/gtk2/dialogs.py,
	  src/uidrivers/wx/widgets/form/widget.py,
	  src/uidrivers/win32/UIdriver.py,
	  src/uidrivers/win32/widgets/form/widget.py,
	  src/uidrivers/wx26/UIdriver.py, src/uidrivers/gtk2/UIdriver.py,
	  src/uidrivers/gtk2/MenuBar.py, src/uidrivers/_base/UIdriver.py,
	  src/uidrivers/gtk2/widgets/form/widget.py, src/GFForm.py,
	  src/GFInstance.py, src/uidrivers/wx26/widgets/form.py,
	  src/uidrivers/wx/dialogs.py: Cleanup of about box methods.

2006-09-11 14:55:54  Rev 8664   reinhard

	* src/GFForm.py, src/GFInstance.py: Cleanup of insert/overwrite mode
	  toggle (still doesn't do anything though).

2006-09-11 14:19:35  Rev 8663   reinhard

	* src/GFInstance.py: Further cleanup.

2006-09-11 13:57:31  Rev 8662   reinhard

	* src/GFObjects/GFBlock.py, src/GFForm.py, src/GFInstance.py: Slight
	  restructuring of commit/rollback methods.

2006-09-11 12:42:57  Rev 8661   reinhard

	* src/GFObjects/GFBlock.py, src/GFForm.py, src/GFInstance.py:
	  Restructuring query methods.

2006-09-06 11:38:57  Rev 8660   reinhard

	* src/GFObjects/GFBlock.py, src/GFForm.py: Further cleanup of GFBlock.

2006-09-06 11:06:04  Rev 8659   reinhard

	* src/GFInstance.py: Made cleaned-up event functions private.

2006-09-06 10:50:15  Rev 8658   reinhard

	* src/GFObjects/GFBlock.py, src/GFForm.py, src/GFInstance.py: Cleanup
	  of record insertion/deletion procedures.

2006-09-06 09:39:18  Rev 8657   reinhard

	* src/GFObjects/GFBlock.py: Reordered trigger functions.

2006-09-06 09:13:27  Rev 8656   reinhard

	* src/GFForm.py: Make record navigation methods available in the
	  form's trigger namespace. This will be needed for migrating the menu
	  bar and the toolbar to the action system.

2006-09-06 08:40:25  Rev 8655   reinhard

	* src/uidrivers/gtk2/widgets/_base.py: Fix for setting the checkbox to
	  undefined state in gtk2 UI.

2006-09-05 20:38:39  Rev 8654   reinhard

	* src/GFObjects/GFBlock.py, src/GFForm.py, src/GFInstance.py: Removed
	  unused event.

2006-09-05 20:27:09  Rev 8653   reinhard

	* src/GFObjects/GFBlock.py, src/GFForm.py, src/GFInstance.py:
	  Restructured record navigation methods.

2006-09-05 15:18:40  Rev 8652   reinhard

	* src/GFObjects/GFBlock.py, src/GFForm.py: Added
	  GFBlock.get_possible_operations() function.

2006-09-04 22:22:54  Rev 8651   reinhard

	* src/GFForm.py: Use new GFBlock.get_record_status() function to find
	  out status of current block.

2006-09-04 22:13:44  Rev 8650   reinhard

	* src/GFObjects/GFBlock.py: Some further cleanup.

2006-09-04 21:42:41  Rev 8649   reinhard

	* src/GFObjects/GFBlock.py, src/GFForm.py, src/GFInstance.py: Cleanup
	  of "newRecord" procedures, first step of restructuring GFBlock.

2006-09-04 18:59:22  Rev 8648   reinhard

	* src/uidrivers/_base/UIdriver.py,
	  src/uidrivers/gtk2/widgets/form/widget.py, src/GFForm.py,
	  src/GFInstance.py, src/uidrivers/wx/UIdriver.py,
	  src/uidrivers/wx/widgets/form/widget.py,
	  src/uidrivers/win32/UIdriver.py, src/uidrivers/curses/UIdriver.py,
	  src/uidrivers/html/UIdriver.py, src/uidrivers/qt/UIdriver.py,
	  src/uidrivers/win32/widgets/form/widget.py,
	  src/uidrivers/wx26/UIdriver.py, src/uidrivers/wx26/widgets/form.py,
	  src/uidrivers/gtk2/UIdriver.py: Restructured procedures to close a
	  form and to exit the application. Application is now generally ended
	  when the last form is closed.

2006-09-04 14:02:28  Rev 8647   johannes

	* src/uidrivers/wx26/widgets/grid.py: Add a scrollbar to a grid
	  automatically (still needs refinement)

2006-08-31 14:51:24  Rev 8646   johannes

	* src/GFObjects/GFGrid.py, src/GFParser.py: A grid uses the parent's
	  block if not otherwise specified

2006-08-31 14:48:16  Rev 8645   johannes

	* src/uidrivers/wx26/widgets/box.py,
	  src/uidrivers/wx26/widgets/_base.py,
	  src/uidrivers/wx26/widgets/entry.py: Add better spacing to managed
	  boxes and fixed typo for msw-dropdowns

2006-08-31 12:24:45  Rev 8644   johannes

	* src/uidrivers/wx26/widgets/scrollbar.py: Use the proper height for
	  non-managed layouts

2006-08-29 14:45:53  Rev 8642   johannes

	* src/uidrivers/wx26/widgets/entry.py: Block wheel-event for dropdowns
	  on msw

2006-08-27 17:05:00  Rev 8639   reinhard

	* src/input/displayHandlers/Checkbox.py: Immediately notify the
	  underlying GFField when the user checks/unchecks a checkbox.

2006-08-26 11:19:15  Rev 8637   reinhard

	* src/GFObjects/GFField.py: Fixed GFBlock.getFKDescription for
	  non-string values.

2006-08-24 08:14:26  Rev 8619   johannes

	* src/GFInstance.py, src/uidrivers/wx26/widgets/_base.py,
	  src/uidrivers/wx26/widgets/entry.py: Fixed focus and keyboard
	  handling for dropdowns and multiline edits

2006-08-23 11:58:08  Rev 8611   johannes

	* src/uidrivers/wx26/UIdriver.py: Remove the splash screen so it does
	  not get closed twice

2006-08-22 13:03:31  Rev 8593   johannes

	* src/uidrivers/wx26/widgets/entry.py: Removed debug-prints

2006-08-22 12:56:36  Rev 8590   johannes

	* src/uidrivers/wx26/widgets/entry.py: Proper handling of the tab-keys
	  on MSW's dropdowns (it's handled via  menue here)

2006-08-22 08:53:59  Rev 8586   johannes

	* src/uidrivers/wx26/UIdriver.py, src/uidrivers/wx26/widgets/form.py:
	  Hide the splash screen outside the mainloop

2006-08-22 08:48:43  Rev 8584   johannes

	* src/GFObjects/GFBlock.py: Only access the _block attribute of a
	  GFObject if it is available. Added a 'get_data' method for exporting
	  the current resultset

2006-08-21 08:47:53  Rev 8575   johannes

	* src/input/displayHandlers/Dropdown.py,
	  src/input/displayHandlers/Cursor.py: added Auto-Select-All for
	  dropdowns and fixed refreshDisplay for requestCURSORRIGHT on the
	  last character

2006-08-18 16:02:42  Rev 8573   reinhard

	* src/GFForm.py: Fix for calling activateTrigger from another trigger.

2006-08-18 08:38:38  Rev 8571   johannes

	* src/GFObjects/GFBlock.py, src/GFConfig.py, src/GFObjects/GFField.py,
	  src/GFParser.py: Introduced a working version of
	  'query_casesensitive' (per field) as well as a 'fake_ascii_query'
	  config option to fade out 8-bit characters in queryies.

2006-08-18 07:35:46  Rev 8569   johannes

	* src/GFObjects/GFBlock.py: A boolean field in a query set to False
	  will also match NULL-values

2006-08-17 14:32:41  Rev 8567   johannes

	* src/GFObjects/GFBlock.py, src/uidrivers/wx26/widgets/_base.py,
	  src/GFObjects/GFField.py, src/uidrivers/wx26/widgets/entry.py,
	  src/input/displayHandlers/Checkbox.py: Added a third state to the
	  checkboxes while in query mode.  This way we can search for either
	  state of a checkbox.

2006-08-17 12:00:55  Rev 8565   johannes

	* src/input/displayHandlers/Cursor.py,
	  src/input/displayHandlers/Password.py,
	  src/uidrivers/wx26/widgets/entry.py: Always do a SelectAll on
	  entering editmode via keyboard focus

2006-08-08 22:25:40  Rev 8558   reinhard

	* src/uidrivers/_base/widgets/_base.py: Fix typo. This fixes
	  tabbing/entering through the form in curses UI.

2006-08-08 22:25:13  Rev 8557   reinhard

	* src/uidrivers/curses/widgets/form.py: curses: Fix for empty page
	  caption.

2006-08-08 22:23:29  Rev 8556   reinhard

	* src/GFForm.py: Fixes for tabbing through forms without a block.
	  issue111 testing

2006-08-08 21:38:49  Rev 8555   reinhard

	* src/uidrivers/wx26/UIdriver.py: Start main loop only once.

2006-08-08 21:32:32  Rev 8554   reinhard

	* src/uidrivers/wx26/UIdriver.py: wx26: No need to explicitly exit the
	  main loop, this is done implicitly when the last window is destroyed.

2006-08-08 20:11:47  Rev 8553   reinhard

	* src/GFParser.py: Removed requirement for forms to have at least one
	  block. There might be, for example, forms with only buttons on it.

2006-08-08 20:10:36  Rev 8552   reinhard

	* src/GFForm.py: Fixed behaviour for forms where first (or even only)
	  control is a button.
	  issue111 testing

2006-08-08 18:59:06  Rev 8551   reinhard

	* src/GFForm.py, src/GFInstance.py: Moved code to close form to GFForm.

2006-08-08 16:59:12  Rev 8550   reinhard

	* src/uidrivers/_base/UIdriver.py,
	  src/uidrivers/gtk2/widgets/form/widget.py, src/GFForm.py,
	  src/GFInstance.py, src/uidrivers/wx/UIdriver.py,
	  src/uidrivers/wx/widgets/form/widget.py,
	  src/uidrivers/curses/widgets/form.py,
	  src/uidrivers/win32/widgets/form/widget.py,
	  src/uidrivers/wx/PrintForm.py, src/uidrivers/wx26/UIdriver.py:
	  Properly display Cancel button in wx26 if requested. New function
	  GFForm.__must_save() to ask user if changes should be  saved. A few
	  files that have been forgotten at last commit (screen dump).

2006-08-03 15:49:49  Rev 8549   reinhard

	* src/uidrivers/wx26/widgets/form.py: Implemented screen dump function
	  for wx26.

2006-08-01 13:53:35  Rev 8547   reinhard

	* src/GFForm.py: Moved initialisation of trigger system to Phase 2
	  init so that imported elements are also visible.

2006-07-31 18:42:28  Rev 8545   reinhard

	* src/uidrivers/_base/UIdriver.py: At updating the entry display,
	  leave out current entry as it might contain changes that are not yet
	  stored in the corresponding GFField.

2006-07-31 17:10:26  Rev 8544   reinhard

	* src/uidrivers/wx26/UIdriver.py: Implement clipboard handling in wx26
	  driver.

2006-07-31 08:47:14  Rev 8543   reinhard

	* src/GFObjects/GFField.py: Initialize _allowedValuesReverse

2006-07-28 17:29:49  Rev 8542   johannes

	* src/GFObjects/GFBlock.py, src/uidrivers/wx26/widgets/grid.py,
	  src/GFObjects/GFButton.py, src/uidrivers/wx26/widgets/_base.py,
	  src/uidrivers/wx26/widgets/button.py,
	  src/uidrivers/_base/widgets/_base.py,
	  src/uidrivers/wx26/widgets/page.py,
	  src/uidrivers/wx26/widgets/gridline.py,
	  src/uidrivers/wx26/widgets/vbox.py,
	  src/uidrivers/wx26/widgets/hbox.py,
	  src/uidrivers/wx26/widgets/entry.py: Fixed buttons in
	  multi-row-blocks (issue6), improved usage of sizers. Added support
	  of checkboxes and buttons to the grid control
	  issue6 testing issue89 in-progress

2006-07-25 13:24:07  Rev 8541   johannes

	* src/uidrivers/wx26/widgets/box.py,
	  src/uidrivers/wx26/widgets/_base.py,
	  src/uidrivers/wx26/widgets/page.py,
	  src/uidrivers/wx26/widgets/vbox.py,
	  src/uidrivers/wx26/widgets/hbox.py,
	  src/uidrivers/wx26/widgets/form.py: Improved stacking of sizeres and
	  panels

2006-07-25 12:50:28  Rev 8540   neilt

	* packaging/fink/gnue-forms.info: Remove old version of Fink files.

2006-07-25 12:45:48  Rev 8539   neilt

	* packaging/fink/gnue-forms-py.info: Updated fink info files to
	  improve capability with new Fink.

2006-07-21 07:46:09  Rev 8538   johannes

	* src/uidrivers/win32/widgets/page.py,
	  src/uidrivers/html/widgets/page.py,
	  src/uidrivers/_base/widgets/_base.py,
	  src/uidrivers/wx26/widgets/page.py,
	  src/uidrivers/gtk2/widgets/page.py,
	  src/uidrivers/wx/widgets/form/widget.py,
	  src/uidrivers/wx26/widgets/vbox.py,
	  src/uidrivers/win32/widgets/form/widget.py,
	  src/uidrivers/html/widgets/form/widget.py,
	  src/uidrivers/wx26/widgets/grid.py,
	  src/uidrivers/gtk2/widgets/form/widget.py,
	  src/uidrivers/wx26/widgets/box.py, src/uidrivers/qt/widgets/page.py,
	  src/uidrivers/wx26/widgets/gridline.py,
	  src/uidrivers/wx26/widgets/hbox.py,
	  src/uidrivers/wx26/widgets/form.py,
	  src/uidrivers/qt/widgets/form/widget.py,
	  src/uidrivers/wx/widgets/page.py,
	  src/uidrivers/wx26/widgets/menu.py: Changed _containerToolkitWidget
	  to _container

2006-07-19 12:37:01  Rev 8537   johannes

	* src/uidrivers/_base/widgets/_base.py: Added _form to the constructor
	  (pep8)

2006-07-19 12:35:20  Rev 8536   johannes

	* src/uidrivers/wx26/widgets/_base.py,
	  src/uidrivers/wx26/widgets/entry.py: Use smaller values for
	  get_default_size().  Use Up/Down-Keys in  MSW-Dropdowns for
	  record-navigation and Shift-Up/Down for  option-navigation.

2006-07-19 12:05:01  Rev 8535   johannes

	* samples/zipcode/zipcode.gfd, samples/zipcode/m_states.gfd,
	  samples/zipcode/zipgrid.gfd: Updated samples

2006-07-17 14:34:11  Rev 8533   johannes

	* src/uidrivers/wx26/widgets/button.py,
	  src/uidrivers/wx26/widgets/vbox.py,
	  src/uidrivers/wx26/widgets/hbox.py: Further pep8-ification

2006-07-17 13:30:04  Rev 8532   johannes

	* src/uidrivers/wx26/widgets/box.py: pep8-ification, removed one layer
	  in the sizer hierarchy
	  issue87 in-progress

2006-07-07 09:49:37  Rev 8530   johannes

	* src/uidrivers/wx26/widgets/page.py,
	  src/uidrivers/wx26/widgets/form.py: pep8 for pages. If tabbed is set
	  to none, hide all pages except the  current one.  This does not work
	  with grid-controls smoothly now, as  there's a pb with the
	  grid-panel's sizer.
	  issue87 in-progress

2006-07-06 14:31:28  Rev 8529   johannes

	* src/uidrivers/win32/widgets/_base.py,
	  src/uidrivers/html/widgets/_base.py,
	  src/uidrivers/wx26/widgets/_base.py,
	  src/uidrivers/gtk2/widgets/_base.py,
	  src/uidrivers/_base/widgets/_base.py,
	  src/uidrivers/wx/widgets/form/widget.py,
	  src/uidrivers/_commonGuiToolkit/UIdriver.py,
	  src/uidrivers/win32/widgets/form/widget.py,
	  src/uidrivers/html/widgets/form/widget.py,
	  src/uidrivers/_base/UIdriver.py, src/uidrivers/qt/widgets/_base.py,
	  src/uidrivers/gtk2/widgets/form/widget.py,
	  src/uidrivers/wx/widgets/_base.py,
	  src/uidrivers/curses/widgets/form.py,
	  src/uidrivers/wx26/widgets/form.py,
	  src/uidrivers/qt/widgets/form/widget.py: More Pep8-ifying and
	  reorganisation of the wx26 driver
	  issue87 in-progress

2006-07-06 13:02:22  Rev 8528   johannes

	* src/uidrivers/html/widgets/_base.py,
	  src/uidrivers/curses/widgets/_base.py,
	  src/uidrivers/gtk2/widgets/_base.py,
	  src/uidrivers/wx/widgets/image.py,
	  src/uidrivers/_base/widgets/_base.py,
	  src/uidrivers/gtk2/widgets/page.py,
	  src/uidrivers/wx26/widgets/label.py,
	  src/uidrivers/win32/widgets/scrollbar.py,
	  src/uidrivers/html/widgets/image.py,
	  src/uidrivers/gtk2/widgets/image.py,
	  src/uidrivers/win32/widgets/entry.py,
	  src/uidrivers/wx26/widgets/hbox.py,
	  src/uidrivers/wx26/widgets/form.py,
	  src/uidrivers/wx26/widgets/menu.py,
	  src/uidrivers/wx/widgets/page.py, src/uidrivers/qt/widgets/box.py,
	  src/uidrivers/wx26/widgets/_base.py,
	  src/uidrivers/win32/widgets/label.py,
	  src/uidrivers/wx26/widgets/button.py,
	  src/uidrivers/gtk2/widgets/button.py,
	  src/uidrivers/wx26/widgets/vbox.py, src/uidrivers/wx/widgets/box.py,
	  src/uidrivers/wx26/widgets/image.py,
	  src/uidrivers/win32/widgets/form/widget.py,
	  src/uidrivers/_base/UIdriver.py, src/uidrivers/html/widgets/box.py,
	  src/uidrivers/gtk2/widgets/form/widget.py,
	  src/uidrivers/qt/widgets/button.py,
	  src/uidrivers/curses/widgets/form.py,
	  src/uidrivers/qt/widgets/scrollbar.py,
	  src/uidrivers/win32/widgets/_base.py,
	  src/uidrivers/win32/widgets/button.py,
	  src/uidrivers/html/widgets/button.py,
	  src/uidrivers/curses/widgets/button.py,
	  src/uidrivers/wx/widgets/scrollbar.py,
	  src/uidrivers/wx26/widgets/page.py,
	  src/uidrivers/win32/widgets/image.py,
	  src/uidrivers/qt/widgets/entry.py,
	  src/uidrivers/gtk2/widgets/scrollbar.py,
	  src/uidrivers/wx26/widgets/grid.py,
	  src/uidrivers/wx/widgets/tree.py, src/uidrivers/wx26/widgets/box.py,
	  src/uidrivers/wx/widgets/entry.py, src/uidrivers/qt/widgets/page.py,
	  src/uidrivers/qt/widgets/label.py,
	  src/uidrivers/curses/widgets/entry.py,
	  src/uidrivers/html/widgets/entry.py,
	  src/uidrivers/gtk2/widgets/entry.py,
	  src/uidrivers/qt/widgets/form/widget.py,
	  src/uidrivers/wx/widgets/label.py,
	  src/uidrivers/win32/widgets/page.py,
	  src/uidrivers/curses/widgets/page.py,
	  src/uidrivers/html/widgets/page.py,
	  src/uidrivers/html/widgets/label.py,
	  src/uidrivers/wx/widgets/form/widget.py,
	  src/uidrivers/gtk2/widgets/label.py,
	  src/uidrivers/wx26/widgets/scrollbar.py,
	  src/uidrivers/wx26/widgets/menuitem.py,
	  src/uidrivers/html/widgets/form/widget.py,
	  src/uidrivers/win32/widgets/box.py,
	  src/uidrivers/qt/widgets/_base.py,
	  src/uidrivers/gtk2/widgets/box.py,
	  src/uidrivers/wx26/widgets/gridline.py,
	  src/uidrivers/wx/widgets/_base.py,
	  src/uidrivers/wx26/widgets/entry.py,
	  src/uidrivers/wx/widgets/button.py,
	  src/uidrivers/gtk2/widgets/component.py: Further cleanup and
	  pep8-ifying issue87 in-progress

2006-07-06 09:46:51  Rev 8527   johannes

	* src/uidrivers/wx26/widgets/_base.py,
	  src/uidrivers/wx26/widgets/entry.py, src/uidrivers/wx26/UIdriver.py:
	  Start of cleanup- and pep8-ifying session. Removed some unused
	  methods
	  issue87 in-progress

2006-07-05 14:41:32  Rev 8526   johannes

	* src/GFConfig.py, src/uidrivers/wx26/widgets/gridline.py,
	  src/uidrivers/wx26/UIdriver.py: Make the colors of the grid-rows
	  configurable via gnue.conf issue87 in-progress

2006-07-05 14:13:58  Rev 8525   johannes

	* src/uidrivers/wx26/widgets/gridline.py: Use other grid colors for
	  the moment ...

2006-07-05 13:45:59  Rev 8524   johannes

	* src/GFObjects/GFObj.py, src/uidrivers/curses/widgets/_base.py,
	  src/uidrivers/wx26/widgets/_base.py,
	  src/uidrivers/gtk2/widgets/_base.py,
	  src/uidrivers/wx26/widgets/button.py,
	  src/uidrivers/_base/widgets/_base.py,
	  src/uidrivers/wx26/widgets/page.py, src/GFObjects/__init__.py,
	  doc/technotes/00006.txt, src/uidrivers/wx26/widgets/vbox.py,
	  src/uidrivers/wx26/widgets/label.py, src/GFObjects/GFGrid.py,
	  src/GFParser.py, src/uidrivers/wx26/widgets/image.py,
	  src/uidrivers/wx26/widgets/scrollbar.py, samples/intro/intro.gfd,
	  src/uidrivers/wx26/widgets/grid.py, src/uidrivers/_base/UIdriver.py,
	  src/GFObjects/GFGridLine.py, src/GFForm.py,
	  src/uidrivers/wx26/widgets/box.py, src/GFObjects/GFEntry.py,
	  src/uidrivers/wx26/widgets/gridline.py,
	  src/uidrivers/wx26/widgets/hbox.py,
	  src/uidrivers/wx/widgets/_base.py,
	  src/uidrivers/wx26/widgets/entry.py, samples/zipcode/zipgrid.gfd,
	  src/uidrivers/wx26/widgets/form.py, samples/zipcode/zipcode.gsd:
	  More work in layout management and started work on grid controls.
	  This  commit is more like a backup-to-svn, although the basic
	  concepts are  working. More 'clean-up' commits and improvements will
	  follow soon.
	  issue89 in-progress

2006-06-29 21:16:34  Rev 8523   reinhard

	* src/input/displayHandlers/Cursor.py, src/uidrivers/wx/UIdriver.py,
	  src/uidrivers/wx/widgets/form/widget.py,
	  src/uidrivers/win32/UIdriver.py,
	  src/uidrivers/_commonGuiToolkit/UIdriver.py,
	  src/uidrivers/html/UIdriver.py, src/uidrivers/curses/UIdriver.py,
	  src/uidrivers/win32/widgets/form/widget.py,
	  src/uidrivers/wx26/UIdriver.py, src/uidrivers/gtk2/UIdriver.py,
	  src/uidrivers/_base/UIdriver.py,
	  src/uidrivers/gtk2/widgets/form/widget.py, src/GFForm.py,
	  src/GFInstance.py, src/uidrivers/qt/UIdriver.py,
	  src/uidrivers/curses/widgets/form.py,
	  src/uidrivers/wx26/widgets/form.py,
	  src/uidrivers/qt/widgets/form/widget.py: Cleanup for user feedback
	  functions.

2006-06-29 20:16:33  Rev 8522   reinhard

	* src/GFForm.py: Can use GFForm.commit() directly for triggers now.

2006-06-29 13:35:25  Rev 8521   reinhard

	* src/GFObjects/GFBlock.py, src/GFForm.py, src/GFInstance.py: Cleanup
	  of commit and rollback functions so they can safely be used from
	  within triggers.
	  issue79 in-progress

2006-06-29 10:06:26  Rev 8520   reinhard

	* src/GFInstance.py: Removed unnecessary imports.

2006-06-29 09:47:32  Rev 8519   reinhard

	* src/GFObjects/GFTabStop.py, src/GFForm.py,
	  src/input/displayHandlers/Cursor.py, src/GFObjects/GFEntry.py,
	  src/GFObjects/GFField.py: Fixed check for minimum field length.

2006-06-28 23:18:25  Rev 8518   reinhard

	* src/GFObjects/GFBlock.py, src/uidrivers/_base/UIdriver.py,
	  src/uidrivers/gtk2/widgets/form/widget.py, src/GFForm.py,
	  src/GFInstance.py, src/uidrivers/wx/widgets/form/widget.py,
	  src/uidrivers/curses/widgets/form.py,
	  src/uidrivers/win32/widgets/form/widget.py,
	  src/uidrivers/wx26/widgets/form.py, src/uidrivers/gtk2/MenuBar.py,
	  src/uidrivers/html/widgets/form/widget.py,
	  src/uidrivers/qt/widgets/form/widget.py: Cleanup of status bar
	  related functions.

2006-06-28 20:46:34  Rev 8517   reinhard

	* src/uidrivers/_base/UIdriver.py, src/GFInstance.py: Prevent focus to
	  be mouseclicked out of an entry with an invalid current value.
	  Necessary as a result of the last change with beginEdit and endEdit.
	  issue79 testing

2006-06-28 13:16:22  Rev 8515   reinhard

	* src/uidrivers/_base/UIdriver.py, src/GFForm.py,
	  src/input/displayHandlers/Dropdown.py,
	  src/input/displayHandlers/Cursor.py, src/GFObjects/GFEntry.py,
	  src/GFObjects/GFField.py, src/input/displayHandlers/Password.py,
	  src/input/displayHandlers/Listbox.py,
	  src/input/displayHandlers/Checkbox.py: Changed beginEdit and endEdit
	  into normal methods that return proper exceptions. Needed for
	  transition of menus/toolbars from events to actions.
	  issue79 in-progress

2006-06-27 12:20:14  Rev 8512   johannes

	* src/uidrivers/wx26/UIdriver.py: Add __splash handle issue112 testing

2006-06-27 12:06:01  Rev 8511   johannes

	* src/uidrivers/wx26/widgets/_base.py, src/GFObjects/GFVBox.py,
	  src/uidrivers/wx26/widgets/button.py,
	  src/uidrivers/_base/widgets/_base.py,
	  src/uidrivers/wx26/widgets/page.py,
	  src/uidrivers/wx26/widgets/vbox.py,
	  src/uidrivers/wx26/widgets/label.py, src/GFParser.py,
	  src/uidrivers/wx26/widgets/image.py,
	  src/uidrivers/wx26/widgets/scrollbar.py,
	  src/uidrivers/wx26/UIdriver.py, src/uidrivers/wx26/widgets/box.py,
	  src/GFObjects/GFEntry.py, src/uidrivers/wx26/widgets/hbox.py,
	  src/uidrivers/wx26/widgets/entry.py,
	  src/uidrivers/wx26/widgets/form.py: More work on layout management
	  issue87 in-progress

2006-06-22 19:14:39  Rev 8510   reinhard

	* src/GFObjects/commanders.py, src/GFInstance.py,
	  src/uidrivers/wx26/widgets/menuitem.py,
	  src/uidrivers/wx26/widgets/menu.py: Fixed GCMenu/GCToolbar to
	  GFMenu/GFToolbar, merge actions from default form into main form.
	  issue79 in-progress

2006-06-22 18:35:43  Rev 8509   reinhard

	* src/GFForm.py, src/GFInstance.py, src/uidrivers/wx/PrintForm.py:
	  Clean up GFForm's trigger visible functions.

2006-06-22 17:10:52  Rev 8508   reinhard

	* src/GFObjects/commanders.py: Put methods into a slightly more
	  logical (?) order.

2006-06-22 14:21:45  Rev 8507   reinhard

	* src/GFObjects/commanders.py, src/uidrivers/wx26/widgets/menuitem.py:
	  Also use event_begin and event_end in commanders.
	  issue79 in-progress

2006-06-22 09:42:48  Rev 8506   reinhard

	* src/GFObjects/commanders.py, src/GFParser.py: Moved Menu and Toolbar
	  objects from common to forms. There's just too much forms specific
	  issues for them to be in common.

2006-06-21 12:49:18  Rev 8505   johannes

	* src/uidrivers/wx26/UIdriver.py: If the splash screen is visible
	  while an exception occured, hide it  prior to display the exception
	  dialog.
	  issue112 testing

2006-06-21 11:04:29  Rev 8504   reinhard

	* src/uidrivers/_base/UIdriver.py: Fix debug message for unicode
	  values.

2006-06-21 08:36:05  Rev 8503   btami

	* src/GFParser.py: adding boolean typecast back to fields

2006-06-21 08:26:29  Rev 8502   reinhard

	* src/GFObjects/GFButton.py, src/GFForm.py,
	  src/uidrivers/_commonGuiToolkit/ToolBar.py,
	  src/uidrivers/win32/ToolBar.py, src/GFInstance.py,
	  src/input/displayHandlers/Cursor.py, src/uidrivers/wx/MenuBar.py,
	  src/uidrivers/wx26/ToolBar.py, src/uidrivers/gtk2/ToolBar.py,
	  src/uidrivers/_commonGuiToolkit/MenuBar.py,
	  src/uidrivers/win32/MenuBar.py, src/uidrivers/wx26/MenuBar.py,
	  src/uidrivers/wx26/UIdriver.py, src/uidrivers/gtk2/MenuBar.py,
	  src/uidrivers/wx/ToolBar.py: Introduced event_begin and event_end
	  methods in GFForm that are called for every user event (button
	  press, menu selection, toolbar selection etc) and make sure the form
	  is in a consistent state while the event is processed.

2006-06-20 09:41:58  Rev 8500   johannes

	* src/uidrivers/gtk2/widgets/form/wrappers.py,
	  src/GFObjects/GFPage.py, src/GFObjects/GFLayout.py,
	  src/GFObjects/GFVBox.py, src/uidrivers/wx26/widgets/_base.py,
	  src/GFObjects/GFLabel.py, src/uidrivers/wx26/widgets/button.py,
	  src/uidrivers/wx26/widgets/page.py, src/GFObjects/__init__.py,
	  src/uidrivers/wx26/widgets/vbox.py,
	  src/uidrivers/wx26/widgets/label.py, src/GFParser.py,
	  src/uidrivers/wx26/widgets/image.py,
	  src/uidrivers/wx26/widgets/scrollbar.py,
	  src/uidrivers/wx26/UIdriver.py, src/uidrivers/wx26/widgets/box.py,
	  src/uidrivers/wx26/__init__.py, src/GFInstance.py,
	  src/GFObjects/GFHBox.py, src/uidrivers/wx/widgets/form/wrappers.py,
	  src/uidrivers/wx26/widgets/entry.py,
	  src/uidrivers/win32/widgets/form/wrappers.py,
	  src/uidrivers/wx26/widgets/form.py,
	  src/uidrivers/wx26/widgets/menu.py: GFBox could be used as container
	  (at least for wx26 UI). Changed concept of layout to completely
	  using Sizers, so no tricky size  calculations are needed for widgets
	  anymore.
	  issue87 in-progress

2006-06-20 09:41:04  Rev 8499   reinhard

	* src/GFForm.py: Removed obsolete function "triggerActivateTrigger".

2006-06-20 09:39:00  Rev 8498   reinhard

	* src/GFInstance.py: Removed obsolete event "fireTRIGGER".

2006-06-20 09:35:43  Rev 8497   reinhard

	* src/GFInstance.py, src/uidrivers/qt/widgets/button.py: Removed
	  obsolete event "fireButton".

2006-06-14 14:02:28  Rev 8494   reinhard

	* src/GFInstance.py, src/GFParser.py,
	  src/uidrivers/wx26/widgets/menu.py: Support for loading a default
	  menu from a separate file.
	  issue79 in-progress

2006-06-13 14:54:27  Rev 8491   reinhard

	* src/uidrivers/wx26/widgets/menuitem.py: Implemented toggleable menu
	  items.
	  issue79 in-progress

2006-06-12 14:07:22  Rev 8490   reinhard

	* src/uidrivers/wx26/widgets/menuitem.py: Added possibility to
	  dynamically enable/disable menu items.
	  issue79 in-progress

2006-06-08 12:28:54  Rev 8489   johannes

	* src/GFObjects/GFObj.py, src/GFObjects/GFTabStop.py,
	  src/GFObjects/GFEntry.py, src/GFObjects/GFField.py: Code cleanup and
	  basic validation stub

2006-05-24 14:38:04  Rev 8486   reinhard

	* src/uidrivers/_base/widgets/_base.py,
	  src/uidrivers/wx26/widgets/menuitem.py,
	  src/uidrivers/wx26/widgets/form.py,
	  src/uidrivers/wx26/widgets/menu.py: First steps towards a dynamic
	  menu.

2006-05-24 09:23:21  Rev 8481   reinhard

	* src/GFParser.py: Removed obsolete import.

2006-05-22 14:33:03  Rev 8480   reinhard

	* src/GFObjects/GFButton.py, src/GFForm.py, src/GFParser.py: Made it
	  possible to attach buttons to actions.

2006-05-22 12:08:39  Rev 8478   reinhard

	* src/GFParser.py: Enabled new usercode elements in forms.

2006-04-19 16:04:30  Rev 8437   reinhard

	* src/GFForm.py: User new ConnectionTriggerObj handling.

2006-04-19 12:29:35  Rev 8433   reinhard

	* src/GFObjects/GFObj.py: Inherit the better __repr__ implementation
	  from GTriggerCore.

2006-04-10 17:14:44  Rev 8397   jcater

	* src/GFParser.py, samples/intro/intro.gfd: more work on the new
	  property editor, allowing multiple objects to be selected

2006-04-08 13:20:21  Rev 8394   neilt

	* packaging/fink/gnue-forms.info: Update fink files to latest release.

2006-04-07 11:51:38  Rev 8392   johannes

	* src/uidrivers/wx26/widgets/entry.py: Add a keypress handler to
	  checkbox-style entries, so processing command  events works as
	  intended

2006-04-07 09:21:49  Rev 8391   johannes

	* src/uidrivers/_base/UIdriver.py, src/GFForm.py, src/GFInstance.py,
	  src/GFObjects/__init__.py: findAndChangeFocus() first searches
	  within the visible containers. Some  cleanup and pep8-ification

2006-04-07 06:55:42  Rev 8390   johannes

	* src/GFObjects/GFLabel.py, src/GFObjects/GFEntry.py,
	  src/GFObjects/GFComponent.py, src/GFObjects/GFImage.py: Replace
	  'Char__width/height' attributes in phased init only, if they're  not
	  set already.

2006-04-07 01:51:42  Rev 8387   jcater

	* src/GFObjects/GFBlock.py, src/GFObjects/GFLabel.py,
	  src/GFObjects/GFEntry.py: Removed stuff from __init__ that should be
	  in phased init.

2006-04-05 22:02:56  Rev 8378   jcater

	* src/GFParser.py: added <label for='..'> attribute so designer can
	  know what entry a label is for

2006-04-05 14:47:32  Rev 8377   johannes

	* src/GFObjects/GFBlock.py, src/GFObjects/GFMask.py,
	  src/GFObjects/GFField.py: Pep8-ified and restructured GFField

2006-04-05 13:53:36  Rev 8375   johannes

	* src/uidrivers/wx26/widgets/_base.py: Added missing argument to
	  updateChoices

2006-04-05 11:40:02  Rev 8374   johannes

	* src/GFObjects/GFObj.py, src/GFObjects/GFOptions.py,
	  src/GFObjects/GFTabStop.py, src/GFObjects/GFValue.py,
	  src/GFObjects/GFLogic.py, src/GFObjects/GFLabel.py,
	  src/GFObjects/GFParameter.py, src/GFObjects/GFEntry.py,
	  src/GFObjects/GFContainer.py, src/GFObjects/GFImage.py,
	  src/GFObjects/GFScrollBar.py, src/GFObjects/GFOption.py: Same header
	  for all files

2006-04-05 11:29:10  Rev 8371   johannes

	* src/uidrivers/wx/widgets/scrollbar.py,
	  src/uidrivers/win32/widgets/scrollbar.py,
	  src/uidrivers/curses/widgets/scrollbar.py,
	  src/uidrivers/wx26/widgets/scrollbar.py,
	  src/uidrivers/gtk2/widgets/scrollbar.py: changes due to
	  pep8-ification

2006-04-05 09:56:28  Rev 8368   johannes

	* src/GFObjects/GFBlock.py, src/GFObjects/GFOptions.py,
	  src/GFObjects/GFPage.py, src/GFObjects/GFTabStop.py,
	  src/GFObjects/GFValue.py, src/GFObjects/GFLayout.py,
	  src/GFObjects/GFLogic.py, src/GFObjects/GFLabel.py,
	  src/GFObjects/GFParameter.py, src/GFObjects/GFEntry.py,
	  src/GFObjects/GFImage.py, src/GFObjects/__init__.py,
	  src/GFObjects/GFScrollBar.py, src/GFObjects/GFOption.py:
	  Pep8-ification

2006-04-05 09:16:05  Rev 8367   johannes

	* src/uidrivers/wx26/UIdriver.py: use the proper version string for
	  about-boxes

2006-04-05 08:53:03  Rev 8366   johannes

	* src/GFObjects/GFObj.py, src/GFObjects/GFButton.py,
	  src/GFObjects/GFPage.py, src/GFObjects/GFTabStop.py,
	  src/GFObjects/GFLayout.py, src/GFObjects/GFLabel.py,
	  src/GFObjects/GFImage.py, src/GFObjects/GFContainer.py,
	  src/GFObjects/GFScrollBar.py, src/GFObjects/GFField.py,
	  src/GFObjects/GFBox.py, src/GFObjects/GFDataSource.py,
	  src/GFObjects/GFBlock.py, src/GFForm.py, src/GFInstance.py,
	  src/GFObjects/GFEntry.py, src/GFObjects/GFComponent.py: Fixed
	  blockChange detection for buttons, pep8-ified

2006-04-04 09:39:16  Rev 8354   johannes

	* src/GFObjects/GFButton.py, src/GFParser.py: Buttons honor the
	  blocks' rows- and rowSpacer-attribute now.  Additionally a button
	  can override that values using it's own rows- and 
	  rowSpacer-attribute.
	  issue6 testing

2006-04-04 09:06:30  Rev 8353   johannes

	* src/GFObjects/GFButton.py, src/uidrivers/wx26/widgets/button.py:
	  Don't use a subevent handler anymore ... pep8-ified

2006-04-04 08:25:01  Rev 8352   johannes

	* src/GFObjects/GFBlock.py, src/GFObjects/GFScrollBar.py: Cleanup of
	  GFBlock

2006-03-30 18:10:18  Rev 8293   johannes

	* src/GFObjects/GFBlock.py, src/uidrivers/win32/widgets/_base.py,
	  src/uidrivers/wx/widgets/scrollbar.py, src/GFObjects/GFScrollBar.py,
	  src/uidrivers/win32/widgets/scrollbar.py,
	  src/uidrivers/curses/widgets/scrollbar.py,
	  src/uidrivers/wx26/widgets/scrollbar.py,
	  src/uidrivers/gtk2/widgets/scrollbar.py: Use new naming schema for
	  ui/gf-events

2006-03-30 17:51:05  Rev 8292   johannes

	* src/GFObjects/GFObj.py, src/GFObjects/GFButton.py,
	  src/GFObjects/GFTabStop.py, src/GFObjects/GFEntry.py,
	  src/GFObjects/GFComponent.py, src/GFObjects/GFImage.py,
	  src/GFObjects/GFScrollBar.py: Centralized assignment of block and
	  fields, use exceptions  derived from MarkupError to report erroneous
	  xml-code.

2006-03-30 16:56:28  Rev 8291   johannes

	* src/GFObjects/GFBlock.py, src/GFObjects/GFButton.py,
	  src/GFObjects/GFPage.py, src/uidrivers/win32/widgets/button.py,
	  src/GFObjects/GFLayout.py, src/uidrivers/wx26/widgets/button.py,
	  src/uidrivers/gtk2/widgets/button.py, src/GFObjects/GFComponent.py,
	  src/GFObjects/GFContainer.py, src/GFObjects/GFBox.py,
	  src/uidrivers/wx/widgets/button.py: More code rearrangement. renamed
	  the button's doFire into _event_fire

2006-03-30 08:15:26  Rev 8289   johannes

	* src/GFObjects/GFLabel.py: Make rows- and rowSpacer-attribute working
	  for GFLabels

2006-03-30 08:06:52  Rev 8288   johannes

	* src/GFObjects/GFBlock.py, src/GFObjects/GFObj.py,
	  src/GFObjects/GFPage.py, src/GFObjects/GFTabStop.py,
	  src/GFObjects/GFValue.py, src/GFObjects/GFLabel.py,
	  src/GFObjects/GFEntry.py, src/GFObjects/GFComponent.py,
	  src/GFObjects/GFImage.py, src/GFObjects/GFField.py,
	  src/GFObjects/GFScrollBar.py: More cleanup

2006-03-29 21:33:02  Rev 8283   reinhard

	* MANIFEST.in, ROADMAP.in, TODO: Removed ROADMAP.in & friends because
	  all that information has been moved to roundup.

2006-03-29 12:24:18  Rev 8281   johannes

	* src/uidrivers/wx26/widgets/button.py: Also capture keyboard events
	  on buttons

2006-03-29 08:46:43  Rev 8280   johannes

	* src/GFObjects/GFObj.py, src/GFObjects/GFButton.py,
	  src/GFObjects/GFValue.py, src/GFObjects/GFTabStop.py,
	  src/GFObjects/GFPage.py, src/GFObjects/GFLayout.py,
	  src/GFObjects/GFLabel.py, src/GFObjects/GFParameter.py,
	  src/GFObjects/__init__.py, src/GFObjects/GFContainer.py,
	  src/GFObjects/GFImage.py, src/GFObjects/GFScrollBar.py,
	  src/GFObjects/GFField.py, src/GFObjects/GFColsrc.py,
	  src/GFParser.py, src/GFObjects/GFBox.py,
	  src/GFObjects/GFDataSource.py, src/GFObjects/GFBlock.py,
	  src/GFObjects/GFMask.py, src/GFObjects/GFOptions.py,
	  src/GFObjects/GFLogic.py, src/GFObjects/GFColumn.py,
	  src/GFObjects/GFTree.py, src/GFObjects/GFEntry.py,
	  src/GFObjects/GFComponent.py, src/GFObjects/GFLeaf.py,
	  src/GFObjects/GFOption.py: Started code cleanup. Removed GFTree*
	  stuff (as it wasn't really  implemented).

2006-03-28 16:32:11  Rev 8278   jamest

	* src/GFObjects/GFLayout.py, src/GFParser.py: added
	  layout.pageName.entryName to the trigger namespace

2006-03-27 15:44:24  Rev 8276   reinhard

	* doc/technotes/00006.txt: New technote.

2006-03-27 12:17:07  Rev 8275   reinhard

	* doc/Concepts-Guide.sxw: Removed empty placeholder document.

2006-03-27 09:36:29  Rev 8274   reinhard

	* src/__init__.py: Started new release cycle.

2006-03-27 09:01:02  Rev 8268   reinhard

	* po/ro.po, NEWS, src/__init__.py, doc/gnue-forms.dtd,
	  doc/man/gnue-forms.1, po/ru.po, po/fr.po, po/de.po, po/nl.po,
	  po/es_MX.po, po/hu.po, po/es_ES.po, po/lt.po: Released 0.5.14.

2006-03-27 07:51:55  Rev 8262   reinhard

	* src/GFForm.py: Fall back to GFInstance._parameters in ON-STARTUP
	  triggers.

2006-03-24 20:46:33  Rev 8259   kilo

	* po/hu.po: Updated Hungarian translations

2006-03-24 11:10:31  Rev 8257   reinhard

	* po/ro.po, doc/gnue-forms.dtd, doc/man/gnue-forms.1, po/ru.po,
	  po/fr.po, po/de.po, po/nl.po, po/es_MX.po, po/hu.po, po/es_ES.po,
	  po/lt.po: Released 0.5.13.99-pre1.

2006-03-24 08:22:29  Rev 8252   reinhard

	* BUGS: Better formatting.

2006-03-23 15:41:33  Rev 8250   johannes

	* po/ro.po, po/ru.po, po/de.po, po/es_ES.po, po/fr.po, po/nl.po,
	  po/es_MX.po, po/hu.po, po/lt.po: Updated translatable strings and
	  german translations

2006-03-21 19:53:53  Rev 8246   johannes

	* src/GFForm.py, src/input/displayHandlers/DateTime.py: Don't use
	  str(val) for length checking (does not work with unicode very 
	  well). Quick fix for invalid date-literals.

2006-03-21 19:29:49  Rev 8245   johannes

	* src/uidrivers/wx26/widgets/entry.py: Better handling of focus
	  requests of wx.widgets

2006-03-20 15:51:47  Rev 8244   johannes

	* src/GFObjects/GFBlock.py, src/GFInstance.py: Always update the
	  record counter/status

2006-03-20 15:03:26  Rev 8243   johannes

	* src/uidrivers/wx26/widgets/entry.py: Do the proper adjustmen if
	  changing focus to another index within the  same gfObject

2006-03-20 12:21:38  Rev 8241   johannes

	* src/GFObjects/GFBlock.py: Don't use str () to convert values to
	  string (as this breaks for unicode  characters)

2006-03-16 14:15:47  Rev 8238   reinhard

	* po/ro.po, doc/gnue-forms.dtd, po/ru.po, po/fr.po, po/de.po,
	  po/nl.po, po/es_MX.po, po/hu.po, po/es_ES.po, po/lt.po: Released
	  0.5.13.99-beta4.

2006-03-16 13:38:55  Rev 8237   btami

	* src/uidrivers/wx26/UIdriver.py: sigh, forgot import sys

2006-03-16 13:23:33  Rev 8236   reinhard

	* po/ro.po, doc/gnue-forms.dtd, doc/man/gnue-forms.1, po/ru.po,
	  po/fr.po, po/de.po, po/nl.po, po/es_MX.po, po/hu.po, po/es_ES.po,
	  po/lt.po: Released 0.5.13.99-beta3.

2006-03-16 13:13:17  Rev 8235   btami

	* src/uidrivers/wx26/UIdriver.py: make the wx26 uidriver py2exe
	  compatible

2006-03-14 10:23:37  Rev 8228   reinhard

	* po/ro.po, doc/gnue-forms.dtd, doc/man/gnue-forms.1, po/ru.po,
	  po/fr.po, po/de.po, po/nl.po, po/es_MX.po, po/hu.po, po/es_ES.po,
	  po/lt.po: Released 0.5.13.99-beta2.

2006-03-10 18:50:14  Rev 8218   johannes

	* src/uidrivers/wx26/widgets/entry.py: Bind vk.RETURN as well as
	  vk.ENTER to wx.WXK_RETURN

2006-03-10 18:19:13  Rev 8217   btami

	* src/GFObjects/GFBlock.py: fix for win32-driver: Scrollbar duplicates
	  first record (Issue 16)

2006-03-10 18:03:23  Rev 8216   johannes

	* src/uidrivers/wx26/widgets/button.py,
	  src/uidrivers/_base/UserActions.py, src/input/GFKeyMapper.py: Don't
	  add up- and down-keys to the menu-items (as hotkeys), but still 
	  keep them functional through the KeyMapper. This allows controls
	  (like  dropdowns) on wx.MSW to make use of the normal up/down keys.

2006-03-08 07:56:59  Rev 8215   johannes

	* src/uidrivers/wx26/widgets/_base.py: Set the value into the
	  textportion directly if it's not available in the  list of values -
	  that shows what has been entered all the time

2006-03-07 16:00:22  Rev 8214   johannes

	* packaging/osx/create-image, packaging/osx/scripts,
	  packaging/osx/gnue-forms.pmproj, packaging/osx/HOWTO-Build,
	  packaging/osx, packaging/osx/create-build,
	  packaging/osx/dist/README, packaging/osx/dist,
	  packaging/osx/scripts/postflight: Added environments for
	  package-creation on OS X

2006-03-07 15:23:23  Rev 8213   johannes

	* src/uidrivers/wx26/widgets/button.py,
	  src/uidrivers/wx26/UIdriver.py, src/uidrivers/wx26/widgets/form.py:
	  Fixed initial focus for dialogs

2006-03-07 14:24:12  Rev 8212   johannes

	* src/GFForm.py, src/GFInstance.py: Do proper focus change for buttons
	  too, so GF and UI focus can always  match :)

2006-03-07 12:44:13  Rev 8211   johannes

	* src/uidrivers/wx26/widgets/_base.py: Don't call SetFocus multiple
	  times for the same controls, which fixes  the dropdown-click on
	  wx.MSW. Use a better way to set the values of  dropdowns, which
	  keeps the selected value of the Choice-Control in sync  on Mac OS X.

2006-03-06 20:23:30  Rev 8209   kilo

	* po/hu.po: Updated Hungarian translations

2006-03-06 14:25:55  Rev 8207   johannes

	* src/uidrivers/wx26/widgets/form.py: Use other way to find out which
	  page is the first one to show

2006-03-06 13:59:03  Rev 8206   johannes

	* src/uidrivers/wx26/widgets/form.py: Don't always make the first page
	  to be the first one visible

2006-03-06 13:05:56  Rev 8205   johannes

	* src/input/GFKeyMapper.py: Removed debug-prints (sorry)

2006-03-06 13:00:23  Rev 8204   johannes

	* src/input/GFKeyMapper.py: Fixed updating the user key map, so
	  changed event-bindings are correctly  displayed and used in the menus

2006-03-03 17:45:45  Rev 8200   jan

	* samples/helloworld2.gfd, samples/zipcode/states.gfd: fix typo in
	  forms sample add password field to helloworld

2006-03-03 08:01:15  Rev 8195   johannes

	* po/de.po: Updated german translations

2006-03-02 20:09:45  Rev 8193   reinhard

	* po/ro.po, NEWS, doc/gnue-forms.dtd, doc/man/gnue-forms.1, po/ru.po,
	  po/fr.po, po/de.po, po/nl.po, po/es_MX.po, po/hu.po, po/es_ES.po,
	  po/lt.po: Released 0.5.13.99-beta1.

2006-03-02 20:05:54  Rev 8192   johannes

	* src/GFObjects/GFButton.py: Better to use refreshDisplay () and call
	  updateFieldValue () only for  those widgets, having a _displayHandler

2006-03-02 19:50:50  Rev 8191   johannes

	* src/GFObjects/GFButton.py: Refersh state of toolbar- and menu-items
	  after calling a button trigger

2006-03-02 19:44:10  Rev 8190   johannes

	* src/uidrivers/win32/widgets/button.py,
	  src/uidrivers/gtk2/widgets/button.py,
	  src/uidrivers/wx/widgets/button.py: Changed calling of the
	  associated trigger

2006-03-02 19:40:35  Rev 8189   johannes

	* src/GFObjects/GFButton.py, src/input/displayHandlers/Base.py,
	  src/input/displayHandlers/Cursor.py,
	  src/uidrivers/wx26/widgets/button.py: Update the current entries'
	  field value before calling a trigger code  via GFButton. This
	  ensures to have always an up to date field value  available, even if
	  there's no focus-change.

2006-03-02 18:04:28  Rev 8186   reinhard

	* src/GFForm.py: Fixed unbound fields appearing as dirty.

2006-03-02 14:42:59  Rev 8185   johannes

	* src/GFForm.py: Don't catch our own exceptions

2006-03-02 14:06:44  Rev 8184   johannes

	* src/uidrivers/wx26/dialogs.py: Better placement and sizing of
	  exception dialog

2006-02-27 21:15:15  Rev 8182   johannes

	* src/uidrivers/wx26/widgets/entry.py: Don't generate events for
	  controls not having an insertion point

2006-02-27 21:01:04  Rev 8181   johannes

	* src/uidrivers/wx26/UIdriver.py: Make sure to select a 2.6 version
	  before importing wx module

2006-02-27 14:54:59  Rev 8179   johannes

	* src/uidrivers/wx26/widgets/_base.py,
	  src/input/displayHandlers/Cursor.py,
	  src/uidrivers/wx26/widgets/entry.py: Fixed handling of <Enter> in
	  multiline text fields, as well as  positioning for wx.MSW.

2006-02-24 17:46:55  Rev 8178   johannes

	* src/uidrivers/wx26/widgets/entry.py: Make sure to have focus between
	  ui and gf in sync

2006-02-24 11:50:37  Rev 8177   johannes

	* src/uidrivers/wx26/widgets/box.py,
	  src/uidrivers/wx26/widgets/entry.py: Further improvents for
	  entry-widgets and dropdowns on MSW and Mac

2006-02-22 13:06:09  Rev 8176   johannes

	* src/GFObjects/GFButton.py, src/input/displayHandlers/Dropdown.py,
	  src/uidrivers/wx26/widgets/_base.py,
	  src/uidrivers/wx26/widgets/button.py,
	  src/uidrivers/wx26/widgets/entry.py: Further fixes for input widgets
	  (dropdowns should work fine now)

2006-02-22 10:57:07  Rev 8174   jan

	* samples/connections/connection.gfd: fix dropdown in connection.gfd

2006-02-21 14:51:14  Rev 8172   johannes

	* src/uidrivers/wx26/widgets/entry.py: Simpler key-handling for all
	  entry widgets

2006-02-20 21:37:41  Rev 8168   reinhard

	* src/GFForm.py, src/GFInstance.py, src/GFParser.py: Every form has
	  its own parameter set. Main form gets parameters from command line,
	  and dialogs get parameters from runDialog call.

2006-02-20 19:12:41  Rev 8167   reinhard

	* src/GFForm.py: Fix for default-less parameters.

2006-02-13 07:17:06  Rev 8164   johannes

	* src/uidrivers/wx26/widgets/label.py: Better placement of static text
	  widgets

2006-02-13 07:05:23  Rev 8163   johannes

	* src/uidrivers/wx26/ToolBar.py, src/uidrivers/wx26/widgets/form.py:
	  Removed obsolete stuff, fixed handling of sizers, so scrolling will
	  work  for wxGTK, wxMSW and wxMac.

2006-02-12 18:51:16  Rev 8162   johannes

	* src/uidrivers/wx26/ToolBar.py, src/uidrivers/wx26/widgets/form.py:
	  Minor code cleanup (fixes size of toolbar for wxMSW)

2006-02-11 14:21:04  Rev 8161   johannes

	* src/uidrivers/wx26/widgets/form.py: Moved the call of Raise () to
	  the proper place, so calling dialogs will  work as intended

2006-02-10 11:28:33  Rev 8158   johannes

	* src/uidrivers/wx26/dialogs.py: Fixed the InputDialog to behave the
	  same way on wxMSW, wxGTK and wxMac

2006-02-09 19:24:41  Rev 8156   johannes

	* images/default/gnue-16x16.png, src/uidrivers/wx26/dialogs.py,
	  images/default/gnue-64x64.png, po/de.po,
	  images/default/gnue-32x32.png, src/uidrivers/wx26/UIdriver.py,
	  src/uidrivers/wx26/widgets/form.py: Added iconbundle for forms; wx26
	  driver: changed about dialog, added  default icons to forms; always
	  raise a form to the front when it is  shown.

2006-02-06 13:57:33  Rev 8150   johannes

	* src/uidrivers/wx26/UISplashScreen.py,
	  src/uidrivers/wx26/UIdriver.py: Added implementation of a
	  SplashScreen

2006-01-30 12:50:29  Rev 8149   johannes

	* src/uidrivers/wx26/widgets/entry.py: Refined keyhandling - needs
	  more improvements ...

2006-01-30 09:42:29  Rev 8148   johannes

	* src/uidrivers/wx26/widgets/entry.py: Better aproach to differentiate
	  keys and function keys

2006-01-30 09:39:47  Rev 8147   johannes

	* src/uidrivers/wx26/widgets/entry.py: Use unicode character for
	  _keypress events

2006-01-30 08:12:25  Rev 8146   johannes

	* src/uidrivers/win32/widgets/_base.py,
	  src/uidrivers/_base/widgets/_base.py,
	  src/uidrivers/curses/UIdriver.py: Fix use of
	  input/GFKeyMapper.KeyMapper.getEvent () as it return a tuple  now
	  (instead of a command name)

2006-01-27 10:44:22  Rev 8145   johannes

	* src/uidrivers/wx26/dialogs.py, src/uidrivers/wx26/widgets/entry.py:
	  Use better spacing for InputDialog and don't restrict size of a
	  checkbox

2006-01-27 09:45:09  Rev 8143   johannes

	* src/uidrivers/wx26/widgets/entry.py: Only send a requestFOCUS a
	  widget is not the current one; use the proper  selection marks for
	  dropdowns now

2006-01-27 09:19:03  Rev 8142   johannes

	* src/uidrivers/wx26/ToolBar.py, src/uidrivers/wx26/widgets/entry.py:
	  Don't remap icons in toolbar (better images) and don't use
	  CB_READONLY.  This allows automatic selection of options on win32
	  and mac os x

2006-01-26 19:01:23  Rev 8140   johannes

	* src/uidrivers/wx26/widgets/entry.py: Fixed typo

2006-01-26 15:57:51  Rev 8138   johannes

	* src/uidrivers/wx26/widgets/form.py: Fix the widget-index error on
	  win32

2006-01-26 15:27:48  Rev 8137   johannes

	* src/uidrivers/wx26/dialogs.py: Fix for GridBagSizer on Win32 and Mac
	  OS X

2006-01-26 14:26:19  Rev 8136   johannes

	* src/uidrivers/wx26/widgets, src/uidrivers/wx26/widgets/_base.py,
	  src/uidrivers/wx26/widgets/button.py,
	  src/uidrivers/wx26/widgets/page.py, src/uidrivers/wx26/dialogs.py,
	  src/uidrivers/_commonGuiToolkit/MenuBar.py,
	  src/uidrivers/wx26/widgets/label.py, src/input/GFKeyMapper.py,
	  src/uidrivers/wx26/widgets/image.py,
	  src/uidrivers/wx26/widgets/scrollbar.py,
	  src/uidrivers/wx26/MenuBar.py, src/uidrivers/wx26/UIdriver.py,
	  src/GFForm.py, src/uidrivers/_commonGuiToolkit/ToolBar.py,
	  src/uidrivers/wx26/widgets/box.py, src/uidrivers/wx26/__init__.py,
	  src/uidrivers/wx26/ToolBar.py, src/uidrivers/wx26/UILoginHandler.py,
	  src/uidrivers/wx26/widgets/__init__.py,
	  src/uidrivers/wx26/widgets/entry.py,
	  src/uidrivers/wx26/widgets/form.py, src/uidrivers/wx26: Added new UI
	  driver for wx 2.6+

2006-01-21 16:20:53  Rev 8135   reinhard

	* README: Removed duplicate section.

2006-01-21 16:17:43  Rev 8134   reinhard

	* README: Fixed typo.
	  issue49 resolved

2006-01-20 02:12:41  Rev 8131   jamest

	* src/uidrivers/win32/widgets/_base.py, src/GFForm.py,
	  src/GFInstance.py, src/uidrivers/wx/common.py,
	  src/uidrivers/qt/common.py, src/input/GFKeyMapper.py,
	  samples/intro/intro.gfd, src/uidrivers/gtk2/common.py: start of
	  allowing user defined triggers against keystrokes example for
	  CTRL-ALT-G included in intro.gfd doesn't handle function keys as of
	  yet as I'm not happy with the +64 coded into GFKeyMapper  and I
	  imagine it'll not work on non-us key setups so checking in for
	  feedback from others

2006-01-19 02:12:58  Rev 8130   jamest

	* src/input/GFKeyMapper.py: removed the unique exception generator
	  from the keypress event handler

2006-01-18 21:25:44  Rev 8129   jcater

	* src/uidrivers/_commonGuiToolkit/MenuBar.py,
	  src/GFObjects/GFOptions.py,
	  src/uidrivers/_commonGuiToolkit/ToolBar.py, src/GFLibrary.py,
	  src/uidrivers/wx/dialogs.py, src/uidrivers/win32/widgets/label.py,
	  src/uidrivers/win32/dialog.py,
	  src/uidrivers/qt/widgets/scrollbar.py, src/GFObjects/GFLayout.py,
	  src/uidrivers/html/widgets/button.py,
	  src/uidrivers/win32/widgets/image.py, src/GFObjects/GFColsrc.py,
	  src/uidrivers/wx/UIWXSplashScreen.py,
	  src/uidrivers/qt/widgets/label.py, utils/gfd04to05.py,
	  src/uidrivers/curses/widgets/entry.py,
	  src/uidrivers/gtk2/widgets/entry.py,
	  src/uidrivers/win32/PrintForm.py,
	  src/uidrivers/win32/widgets/page.py,
	  src/uidrivers/html/widgets/page.py,
	  src/uidrivers/html/widgets/label.py,
	  src/uidrivers/_base/Exceptions.py, src/GFObjects/GFBox.py,
	  src/uidrivers/win32/UILoginHandler.py,
	  src/uidrivers/html/widgets/image.py, src/uidrivers/wx/PrintForm.py,
	  src/uidrivers/wx/MenuBar.py, src/GFObjects/GFScrollBar.py,
	  src/uidrivers/win32/widgets/form/widget.py,
	  src/uidrivers/wx/ToolBar.py, src/GFObjects/GFBlock.py,
	  src/input/displayHandlers/__init__.py,
	  src/input/displayHandlers/Component.py, src/GFObjects/GFObj.py,
	  src/GFObjects/GFTabStop.py, src/uidrivers/win32/common.py,
	  src/uidrivers/wx/widgets/entry.py, src/GFObjects/GFEntry.py,
	  src/uidrivers/gtk2/dialogs.py, src/uidrivers/html/UILoginHandler.py,
	  src/uidrivers/_base/UserActions.py,
	  src/uidrivers/gtk2/widgets/component.py,
	  src/GFObjects/GFParameter.py, src/input/displayHandlers/Listbox.py,
	  src/GFInstance.py, src/uidrivers/win32/widgets/form/wrappers.py,
	  src/uidrivers/wx/widgets/box.py, src/uidrivers/qt/common.py,
	  src/uidrivers/win32/widgets/_base.py,
	  src/uidrivers/qt/QTSplashScreen.py, src/GFParser.py,
	  src/uidrivers/gtk2/UIdriver.py, src/uidrivers/gtk2/MenuBar.py,
	  src/uidrivers/qt/widgets/_base.py, src/uidrivers/gtk2/ToolBar.py,
	  src/input/displayHandlers/Password.py,
	  src/uidrivers/wx/widgets/button.py,
	  src/uidrivers/html/widgets/_base.py,
	  src/uidrivers/gtk2/widgets/page.py, src/GFObjects/GFField.py,
	  src/uidrivers/gtk2/SplashScreen.py, src/uidrivers/qt/widgets/box.py,
	  src/GFObjects/GFDataSource.py, src/uidrivers/html/widgets/box.py,
	  src/uidrivers/curses/widgets/button.py,
	  src/uidrivers/curses/widgets/scrollbar.py,
	  src/uidrivers/html/UIdriver.py,
	  src/input/displayHandlers/Checkbox.py,
	  src/input/displayHandlers/Numeric.py, src/GFObjects/GFButton.py,
	  src/uidrivers/curses/widgets/page.py,
	  src/uidrivers/curses/widgets/label.py,
	  src/uidrivers/gtk2/widgets/label.py,
	  src/uidrivers/win32/widgets/box.py,
	  src/uidrivers/gtk2/widgets/image.py, src/uidrivers/gtk2/GFApp.py,
	  src/uidrivers/qt/MenuBar.py, src/uidrivers/qt/ToolBar.py,
	  src/uidrivers/gtk2/widgets/button.py, src/uidrivers/html/MenuBar.py,
	  src/uidrivers/gtk2/common.py, src/uidrivers/wx/UILoginHandler.py,
	  src/uidrivers/gtk2/widgets/form/widget.py,
	  src/uidrivers/qt/widgets/button.py, src/uidrivers/html/ToolBar.py,
	  src/uidrivers/qt/widgets/page.py,
	  src/uidrivers/qt/widgets/form/widget.py,
	  src/uidrivers/wx/widgets/label.py, src/GFObjects/GFLabel.py,
	  setup.py, src/uidrivers/html/widgets/form/widget.py,
	  src/uidrivers/gtk2/widgets/box.py,
	  src/uidrivers/curses/UILoginHandler.py,
	  src/GFObjects/GFComponent.py, src/uidrivers/wx/widgets/image.py,
	  src/uidrivers/_base/widgets/_base.py, src/GFObjects/GFImage.py,
	  src/uidrivers/win32/widgets/entry.py, src/dialogs/_base.py,
	  src/uidrivers/html/GFhtmlApp.py, src/uidrivers/curses/__init__.py,
	  src/GFObjects/GFLogic.py, src/GFObjects/GFPage.py,
	  src/uidrivers/qt/widgets/entry.py, src/uidrivers/win32/UIdriver.py,
	  src/GFForm.py, src/input/displayHandlers/DateTime.py,
	  src/uidrivers/qt/QTApp.py,
	  src/uidrivers/win32/widgets/form/__init__.py,
	  src/uidrivers/gtk2/UILoginHandler.py,
	  src/uidrivers/html/widgets/entry.py, src/GFObjects/GFValue.py,
	  src/uidrivers/win32/dialogs.py, src/uidrivers/qt/UILoginHandler.py,
	  src/input/displayHandlers/Dropdown.py,
	  src/uidrivers/curses/widgets/_base.py,
	  src/uidrivers/gtk2/widgets/_base.py,
	  src/uidrivers/win32/widgets/scrollbar.py,
	  src/uidrivers/wx/GFwxApp.py, src/uidrivers/wx/widgets/page.py,
	  src/uidrivers/curses/dialogs.py, src/GFObjects/__init__.py,
	  src/uidrivers/curses/widgets/box.py, src/GFObjects/GFColumn.py,
	  src/input/displayHandlers/Base.py,
	  src/uidrivers/wx/widgets/scrollbar.py, src/uidrivers/html/common.py,
	  src/uidrivers/curses/UIdriver.py,
	  src/uidrivers/gtk2/widgets/scrollbar.py,
	  src/uidrivers/qt/widgets/form/wrappers.py, src/GFConfig.py,
	  src/uidrivers/wx/widgets/form/wrappers.py,
	  src/uidrivers/html/widgets/form/wrappers.py,
	  src/uidrivers/_commonGuiToolkit/UIdriver.py,
	  src/uidrivers/win32/MenuBar.py, src/uidrivers/win32/ToolBar.py,
	  src/GFObjects/GFTree.py, src/uidrivers/wx/widgets/_base.py,
	  src/input/displayHandlers/Text.py, src/GFObjects/GFLeaf.py,
	  src/GFObjects/GFOption.py, src/uidrivers/_base/UIdriver.py,
	  src/uidrivers/curses/widgets/form.py, src/uidrivers/qt/UIdriver.py,
	  src/uidrivers/win32/GFwin32App.py,
	  src/uidrivers/win32/widgets/button.py,
	  src/input/displayHandlers/Cursor.py,
	  src/input/displayHandlers/Image.py,
	  src/uidrivers/wx/widgets/tree.py,
	  src/uidrivers/gtk2/widgets/form/wrappers.py, src/__init__.py,
	  src/GFObjects/GFContainer.py,
	  src/uidrivers/wx/widgets/form/widget.py, src/input/GFKeyMapper.py:
	  fixed copyright headers

2005-12-06 21:20:29  Rev 8113   reinhard

	* src/GFParser.py: Trigger is UsableBySiblings, no need to add all
	  parent tags.

2005-12-06 21:09:37  Rev 8112   reinhard

	* src/GFParser.py: Fixed list of allowed parent tags.

2005-11-25 10:33:33  Rev 8108   btami

	* src/GFObjects/GFScrollBar.py: typo

2005-11-24 08:54:44  Rev 8104   btami

	* src/GFObjects/GFScrollBar.py,
	  src/uidrivers/win32/widgets/scrollbar.py, src/GFParser.py: added
	  optional scrollrows attrib to scrollbar

2005-11-04 02:37:33  Rev 8093   jamest

	* README: issue30 testing yet another test commit for roundup

2005-11-04 02:27:41  Rev 8092   jamest

	* README: testing roundup/svn issue30 testing

2005-11-04 02:19:11  Rev 8091   jamest

	* README: another test issue30 testing

2005-11-04 02:12:34  Rev 8090   jamest

	* README: test commit for roundup/svn integration issue30 testing

2005-10-29 20:01:41  Rev 8086   btami

	* samples/contact.gfd, samples/helloworld2.gfd: removed fake
	  datasources

2005-10-27 20:40:32  Rev 8084   jamest

	* src/GFInstance.py, src/GFClient.py: fix parameter dict setup when no
	  parameters are given on command line

2005-10-21 21:07:59  Rev 8075   btami

	* src/uidrivers/win32/widgets/_base.py: implemented up/down key
	  handling in multiline edit

2005-10-20 13:16:03  Rev 8074   jamest

	* src/uidrivers/wx/common.py, src/uidrivers/wx/UIdriver.py,
	  src/uidrivers/_base/widgets/_base.py,
	  src/uidrivers/win32/UIdriver.py, src/uidrivers/gtk2/GFApp.py,
	  src/uidrivers/qt/QTApp.py, src/uidrivers/wx/GFwxApp.py,
	  src/GFObjects/GFValue.py, src/uidrivers/gtk2/widgets/button.py:
	  replaced all references of GDebug.printMesg() with assert gDebug()

2005-10-19 16:22:20  Rev 8072   btami

	* src/uidrivers/win32/widgets/_base.py,
	  src/uidrivers/wx/widgets/image.py, src/GFObjects/GFImage.py,
	  src/input/displayHandlers/Image.py,
	  src/uidrivers/gtk2/widgets/image.py: not stop forms containing
	  <image> if PIL not installed

2005-10-19 13:58:32  Rev 8071   btami

	* src/uidrivers/win32/widgets/_base.py, src/input/GFKeyMapper.py:
	  fixed quit with ctrl+q in win32 ui

2005-10-19 11:31:59  Rev 8070   btami

	* src/uidrivers/win32/widgets/_base.py,
	  src/input/displayHandlers/Cursor.py: fixed multiline edit newline
	  handling in win32 ui

2005-10-18 12:43:45  Rev 8066   johannes

	* BUGS: Moved bugs to roundup

2005-10-18 09:44:35  Rev 8065   johannes

	* src/GFForm.py, src/GFInstance.py: Don't ignore parameters given on
	  command line, fixed handling of case for parameters passed to
	  activateDialog ()

2005-10-15 12:05:06  Rev 8062   neilt

	* packaging/fink/gnue-forms.info: Update fink package files.

2005-10-13 18:24:51  Rev 8056   jamest

	* src/GFObjects/GFContainer.py: stop exception if tab stop object is
	  something like a label

2005-10-13 14:11:50  Rev 8055   johannes

	* src/GFObjects/GFContainer.py: Don't throw an exception if no
	  tabstops are available

2005-10-12 16:28:28  Rev 8051   jamest

	* src/GFObjects/GFContainer.py: reworked the GFContainer to deal with
	  non sequential focusorder settings which designer seems to produce
	  in some instances

2005-10-10 11:06:29  Rev 8042   neilt

	* packaging/fink/gnue-forms.info: Update Fink files for latest release.

2005-10-10 04:24:06  Rev 8039   btami

	* src/GFObjects/GFScrollBar.py: fix for designer started with .gfd
	  containing scrollbar

2005-10-07 04:12:16  Rev 8037   kilo

	* BUGS: Added a bug

2005-10-04 05:05:24  Rev 8035   johannes

	* BUGS: Added some small ones

2005-09-28 17:20:25  Rev 8029   reinhard

	* src/__init__.py: Started new release cycle.

2005-09-28 17:12:25  Rev 8025   reinhard

	* po/ro.po, NEWS, src/__init__.py, doc/gnue-forms.dtd,
	  doc/man/gnue-forms.1, po/ru.po, po/fr.po, po/de.po, po/nl.po,
	  po/es_MX.po, po/hu.po, po/es_ES.po, po/lt.po: Released 0.5.13.

2005-09-28 16:34:53  Rev 8018   kilo

	* po/hu.po: Updated Hungarian translations.

2005-09-28 03:27:27  Rev 8015   reinhard

	* po/nl.po: Updated Dutch translations. Thanks to Michael Van
	  Wesenbeeck.

2005-09-27 15:25:40  Rev 8014   reinhard

	* TODO, ROADMAP.in: Doc updates.

2005-09-27 10:29:25  Rev 8007   reinhard

	* po/ro.po, doc/gnue-forms.dtd, doc/man/gnue-forms.1, po/ru.po,
	  po/fr.po, po/de.po, po/nl.po, po/es_MX.po, po/hu.po, po/es_ES.po,
	  po/lt.po: Released 0.5.12.99-pre2.

2005-09-27 08:51:53  Rev 8003   btami

	* src/uidrivers/win32/widgets/_base.py: let function keys work when
	  focus is on dropdown

2005-09-27 05:44:08  Rev 8002   btami

	* src/uidrivers/win32/widgets/_base.py: dropdown fix

2005-09-26 14:16:35  Rev 7998   johannes

	* src/GFObjects/GFImage.py: Removed debug-prints

2005-09-25 07:20:25  Rev 7991   reinhard

	* po/ro.po, NEWS, doc/gnue-forms.dtd, doc/man/gnue-forms.1, po/ru.po,
	  po/fr.po, po/de.po, po/nl.po, po/es_MX.po, po/hu.po, po/es_ES.po,
	  po/lt.po: Released 0.5.12.99-pre1.

2005-09-24 17:04:40  Rev 7988   btami

	* src/uidrivers/win32/widgets/_base.py,
	  src/uidrivers/win32/ToolBar.py: close up the dropdown's listbox part
	  after selection with mouse

2005-09-24 13:27:58  Rev 7987   reinhard

	* src/uidrivers/gtk2/widgets/_base.py, src/uidrivers/gtk2/common.py:
	  Fiddling with debug messages.

2005-09-24 13:05:40  Rev 7986   reinhard

	* src/uidrivers/gtk2/widgets/_base.py: Fixed debug level.

2005-09-24 12:51:30  Rev 7985   reinhard

	* src/GFInstance.py: Restore editing mode if exception happens on
	  commit.

2005-09-24 09:52:49  Rev 7983   reinhard

	* src/GFObjects/GFBlock.py, src/GFForm.py: If requery is done after
	  unsuccessful commit, remember to do it again after the next
	  successful one.

2005-09-23 13:39:47  Rev 7979   btami

	* src/uidrivers/win32/widgets/_base.py,
	  src/uidrivers/win32/widgets/entry.py: incremental search in dropdown

2005-09-22 08:36:05  Rev 7965   johannes

	* src/uidrivers/gtk2/widgets/entry.py: Removed unneccessary call to
	  focus_on_click ()

2005-09-22 06:01:05  Rev 7964   btami

	* src/uidrivers/win32/ToolBar.py: added togglebutton support

2005-09-22 04:24:33  Rev 7961   reinhard

	* src/uidrivers/curses/widgets/scrollbar.py: Stub implementation for
	  scrollbar in curses UI.

2005-09-22 04:22:08  Rev 7960   johannes

	* src/uidrivers/gtk2/widgets/_base.py, src/uidrivers/gtk2/ToolBar.py,
	  src/uidrivers/gtk2/widgets/entry.py: Removed old code (< pygtk2.4)

2005-09-22 04:13:32  Rev 7959   reinhard

	* src/GFForm.py: Update status bar on focus change if necessary.

2005-09-22 03:50:18  Rev 7958   reinhard

	* src/uidrivers/win32/widgets/scrollbar.py: Last fix didn't work.

2005-09-22 03:43:35  Rev 7957   reinhard

	* src/uidrivers/win32/widgets/scrollbar.py: Fixed scroll count.

2005-09-22 03:24:11  Rev 7956   johannes

	* po/de.po: Updated translations

2005-09-22 02:58:34  Rev 7955   johannes

	* src/uidrivers/gtk2/ToolBar.py: Added handler attribute for pygtk2.2

2005-09-21 18:10:06  Rev 7954   reinhard

	* src/GFObjects/GFBlock.py, src/uidrivers/win32/widgets/_base.py,
	  src/uidrivers/wx/widgets/scrollbar.py, src/GFObjects/GFScrollBar.py,
	  src/uidrivers/win32/widgets/scrollbar.py,
	  src/uidrivers/gtk2/widgets/scrollbar.py: Changed scrollbar to scroll
	  instead of moving the record pointer.

2005-09-21 16:30:39  Rev 7953   btami

	* images/default/toolbar-24x24.bmp: removed edit record from toolbar
	  imagelist

2005-09-21 15:30:33  Rev 7950   reinhard

	* src/GFForm.py: Display inserted+deleted record as deleted.

2005-09-21 14:42:01  Rev 7948   reinhard

	* src/uidrivers/gtk2/widgets/scrollbar.py: Fixed upper bound.

2005-09-21 14:31:14  Rev 7947   reinhard

	* src/GFObjects/GFBlock.py: Don't focus into the block on
	  jumpRecord[s].

2005-09-21 13:43:14  Rev 7946   reinhard

	* samples/zipcode/states.gfd: Added scrollbar for testing purposes.

2005-09-21 13:34:47  Rev 7945   reinhard

	* src/uidrivers/_commonGuiToolkit/ToolBar.py,
	  src/uidrivers/_base/UserActions.py, src/input/GFKeyMapper.py:
	  Removed unimplemented "Edit record" button/menu item.

2005-09-21 11:17:08  Rev 7939   johannes

	* po/de.po, src/GFForm.py, src/GFInstance.py, src/GFClient.py: Added
	  an assert to gLeave () which will in turn always return True

2005-09-21 11:01:46  Rev 7938   reinhard

	* src/GFForm.py: Oops...

2005-09-21 10:53:22  Rev 7937   reinhard

	* src/GFObjects/GFBlock.py, src/GFForm.py, src/GFInstance.py,
	  src/uidrivers/_base/UserActions.py,
	  src/uidrivers/_commonGuiToolkit/MenuBar.py: Separate event
	  requestUNDELETE.

2005-09-21 09:04:24  Rev 7936   johannes

	* src/uidrivers/gtk2/SplashScreen.py,
	  src/uidrivers/gtk2/widgets/form/widget.py,
	  src/uidrivers/gtk2/MenuBar.py, src/uidrivers/gtk2/UIdriver.py: Fixed
	  display and selection of menu items, cleaned up splash screen

2005-09-21 05:15:02  Rev 7934   johannes

	* src/uidrivers/gtk2/ToolBar.py: Block- and Unblock toggle events when
	  toggle called from outside

2005-09-20 17:16:02  Rev 7933   reinhard

	* src/GFObjects/GFBlock.py: Added On-RecordLoaded trigger.

